
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest0 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test001"); }


    long[] long_array3 = new long[] { 10L, 10L, 1L };
    long[] long_array6 = new long[] { 1L, (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array3, long_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test002"); }


    org.apache.commons.math.distribution.GammaDistribution gammaDistribution1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl2 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d, gammaDistribution1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test003"); }


    long[] long_array2 = new long[] { 0L, 100L };
    long[] long_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array3, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test004"); }


    double[] d_array1 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array1, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test005"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    double[] d_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d5 = variance1.evaluate(d_array2, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test006"); }


    double[] d_array2 = new double[] { 0.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.stat.inference.TestUtils.t(Double.NaN, d_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array2);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test007"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d1 = firstMoment0.getResult();
    double[] d_array4 = new double[] { 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      firstMoment0.incrementAll(d_array4, 100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test008"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test009"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    long[] long_array3 = new long[] { 100L };
    long[] long_array4 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array3, long_array4, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test010"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test011"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl2.getGeoMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test012"); }


    long[] long_array3 = new long[] { 0L, 1L, 0L };
    long[] long_array4 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array3, long_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test013"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d };
    double d4 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array3);
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array3, d_array8, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test014"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    long[] long_array6 = new long[] { 100L, 0L, 100L };
    long[] long_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array6, long_array7, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test015"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array3 = new double[] { 0.0d, 10.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d6 = variance0.evaluate(d_array3, 0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test016"); }


    double[] d_array0 = new double[] {  };
    long[] long_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array0, long_array1, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test017"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP((-1.0d), 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test018"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    long[] long_array6 = new long[] { 0L, (-1L) };
    long[] long_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array6, long_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test019"); }


    org.apache.commons.math.stat.inference.TTest tTest0 = org.apache.commons.math.stat.inference.TestUtils.getTTest();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(tTest0);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test020"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    long[] long_array8 = new long[] { 10L, 10L };
    long[] long_array10 = new long[] { 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d11 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array8, long_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test021"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    long[] long_array4 = new long[] {  };
    long[] long_array8 = new long[] { 10L, 100L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array4, long_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test022"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl1.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum3);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics5 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics5);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test023"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl2.getGeoMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = tTestImpl0.tTest(Double.NaN, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl2, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test024"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.tTest(1.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics1, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics1);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test025"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 100.0d, 0.0d, 1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test026"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
    double d15 = summaryStatisticsImpl9.getMean();
    double d16 = summaryStatisticsImpl9.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d17 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test027"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array14 = new double[] { (-1.0d) };
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = tTestImpl0.homoscedasticTTest(d_array10, d_array14, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test028"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long14 = summaryStatisticsImpl13.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment15 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d16 = firstMoment15.getResult();
    summaryStatisticsImpl13.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment15);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary18 = summaryStatisticsImpl13.getSummary();
    double d19 = summaryStatisticsImpl13.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d20 = tTestImpl0.t(1.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test029"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl3.getGeoMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test030"); }


    double[] d_array3 = new double[] { 1.0d, 0.0d };
    double d4 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array3);
    double[] d_array5 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array3, d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test031"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double d23 = tTestImpl12.pairedT(d_array16, d_array21);
    double[] d_array25 = new double[] { 1.0d };
    // The following exception was thrown during execution in test generation
    try {
      double d26 = tTestImpl0.tTest(d_array16, d_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test032"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl((-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test033"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = sum2.evaluate(d_array8, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test034"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str2 = convergenceException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    convergenceException1.addSuppressed((java.lang.Throwable)mathException5);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException1);
    java.lang.String str8 = convergenceException1.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str8.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test035"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = sumOfLogs0.evaluate(d_array1, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test036"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary4 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = tTestImpl2.tTest(0.5012447816130978d, statisticalSummary4, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test037"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(10.0d, 10.0d, 100.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test038"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array12 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array9, d_array12, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test039"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    double[] d_array6 = null;
    long[] long_array8 = new long[] { 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl1.chiSquare(d_array6, long_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test040"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    double[] d_array4 = new double[] { 1.0d };
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = tTestImpl2.homoscedasticTTest(d_array4, d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test041"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = tTestImpl0.t(d_array15, d_array26);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics31 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b33 = summaryStatistics31.equals((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      boolean b35 = tTestImpl0.tTest((-1.0d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics31, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test042"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance2.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary10 = summaryStatisticsImpl5.getSummary();
    double d11 = summaryStatisticsImpl5.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl5.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance12);
    double[] d_array14 = new double[] {  };
    double d16 = variance12.evaluate(d_array14, 100.0d);
    double d17 = variance2.evaluate(d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest((-1.0d), d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test043"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long2 = variance1.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    double d16 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array27);
    boolean b32 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array13, d_array27, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = variance1.evaluate(d_array27, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test044"); }


    org.apache.commons.math.stat.inference.ChiSquareTest chiSquareTest0 = org.apache.commons.math.stat.inference.TestUtils.getChiSquareTest();
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest(chiSquareTest0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(chiSquareTest0);

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test045"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 0.0d, 10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test046"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = tTestImpl0.t(d_array15, d_array26);
    org.apache.commons.math.stat.descriptive.summary.Sum sum30 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    sum30.incrementAll(d_array40);
    org.apache.commons.math.stat.descriptive.moment.Variance variance45 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance45.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl48 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long49 = summaryStatisticsImpl48.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment50 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d51 = firstMoment50.getResult();
    summaryStatisticsImpl48.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment50);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary53 = summaryStatisticsImpl48.getSummary();
    double d54 = summaryStatisticsImpl48.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance55 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl48.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance55);
    double[] d_array57 = new double[] {  };
    double d59 = variance55.evaluate(d_array57, 100.0d);
    double d60 = variance45.evaluate(d_array57);
    // The following exception was thrown during execution in test generation
    try {
      boolean b62 = tTestImpl0.pairedTTest(d_array40, d_array57, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test047"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(long_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test048"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = tTestImpl0.t(d_array15, d_array26);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl30 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = summaryStatisticsImpl30.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary32 = summaryStatisticsImpl30.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl33 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long34 = summaryStatisticsImpl33.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment35 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d36 = firstMoment35.getResult();
    summaryStatisticsImpl33.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment35);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary38 = summaryStatisticsImpl33.getSummary();
    double d39 = summaryStatisticsImpl33.getMean();
    // The following exception was thrown during execution in test generation
    try {
      boolean b41 = tTestImpl0.tTest(statisticalSummary32, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl33, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test049"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl6.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum8);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl6.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(statisticalSummary5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test050"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = tTestImpl2.tTest(0.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics4, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test051"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    boolean b11 = summaryStatisticsImpl0.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test052"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test053"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long2 = variance1.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    double d16 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array27);
    boolean b32 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array13, d_array27, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = variance1.evaluate(d_array27, 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test054"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double d13 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array10);
    long[] long_array14 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array10, long_array14, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test055"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquaredDistributionImpl1.cumulativeProbability(0.5012447816130978d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test056() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test056"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    // The following exception was thrown during execution in test generation
    try {
      chiSquaredDistributionImpl1.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test057"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    // The following exception was thrown during execution in test generation
    try {
      double d3 = variance2.getResult();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test058"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    long[] long_array4 = null;
    long[] long_array6 = new long[] { 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array4, long_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test059"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = tTestImpl44.t(d_array59, d_array70);
    double d74 = tTestImpl13.tTest(d_array29, d_array70);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = tTestImpl1.homoscedasticT(d_array29, d_array85);
    long[] long_array93 = new long[] { (-1L), (-1L), 0L };
    // The following exception was thrown during execution in test generation
    try {
      double d94 = chiSquareTestImpl0.chiSquareTest(d_array85, long_array93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array93);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test060"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = tTestImpl44.t(d_array59, d_array70);
    double d74 = tTestImpl13.tTest(d_array29, d_array70);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = tTestImpl1.homoscedasticT(d_array29, d_array85);
    long[] long_array90 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d91 = chiSquareTestImpl0.chiSquareTest(d_array85, long_array90);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test061"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array1 = new long[] {  };
    long[] long_array2 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d3 = chiSquareTestImpl0.chiSquareDataSetsComparison(long_array1, long_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test062"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl3.getSumLogImpl();
    summaryStatisticsImpl3.clear();
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test063"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = mean1.evaluate(d_array6, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test064"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics0, statisticalSummary6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test065"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    double d7 = summaryStatisticsImpl1.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl1.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double d22 = tTestImpl11.pairedT(d_array15, d_array20);
    double d23 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array20);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array34);
    boolean b39 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array20, d_array34, 0.003199067406189915d);
    double d43 = variance8.evaluate(d_array20, Double.NaN, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b45 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array0, d_array20, 0.9984150981000139d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test066"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(100.0d, 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 5.398589728139425E-63d);

  }

  @Test
  public void test067() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test067"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = geometricMean0.evaluate(d_array5, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test068"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    double[] d_array3 = new double[] { 100.0d, 10.0d };
    long[] long_array7 = new long[] { 1L, 10L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = chiSquareTestImpl0.chiSquareTest(d_array3, long_array7, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test069() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test069"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array4 = new long[] { 1L, (-1L), 100L };
    long[] long_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = chiSquareTestImpl0.chiSquareDataSetsComparison(long_array4, long_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test070() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test070"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array10 = new long[] { (-1L), (-1L), 0L };
    long[] long_array11 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d12 = chiSquareTestImpl6.chiSquareTestDataSetsComparison(long_array10, long_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);

  }

  @Test
  public void test071() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test071"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    long[] long_array17 = new long[] { 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d18 = chiSquareTestImpl1.chiSquareTest(d_array13, long_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);

  }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test072"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = tTestImpl3.t(d_array18, d_array29);
    long[] long_array34 = new long[] { 0L };
    // The following exception was thrown during execution in test generation
    try {
      double d35 = chiSquareTestImpl1.chiSquareTest(d_array18, long_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array34);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test073"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    double d8 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
    double d15 = summaryStatisticsImpl9.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl9.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d51 = variance16.evaluate(d_array28, Double.NaN, 0, 0);
    firstMoment5.incrementAll(d_array28);
    long[] long_array55 = new long[] { 0L, 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d56 = chiSquareTestImpl1.chiSquare(d_array28, long_array55);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array55);

  }

  @Test
  public void test074() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test074"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    long[] long_array5 = new long[] { 1L, 10L };
    long[] long_array8 = new long[] { 1L, 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array5, long_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);

  }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test075"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double[] d_array9 = null;
    long[] long_array11 = new long[] { 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d12 = chiSquareTestImpl8.chiSquareTest(d_array9, long_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test076"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test077"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test078"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares0.increment(100.0d);
    long long3 = sumOfSquares0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test079"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    // The following exception was thrown during execution in test generation
    try {
      double d2 = variance1.getResult();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test080"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquaredDistributionImpl1.getDegreesOfFreedom();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test081"); }


    java.lang.Class clazz0 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance(clazz0);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test082"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    long[] long_array6 = null;
    long[][] long_array_array7 = new long[][] { long_array6 };
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquareTestImpl1.chiSquare(long_array_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array7);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test083"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    // The following exception was thrown during execution in test generation
    try {
      double d5 = chiSquaredDistributionImpl1.cumulativeProbability(10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test084"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    double d17 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    boolean b33 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array14, d_array28, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d36 = sum2.evaluate(d_array14, (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test085"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    double[] d_array9 = new double[] {  };
    double d11 = variance7.evaluate(d_array9, 100.0d);
    long[] long_array15 = new long[] { 100L, 0L, 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(d_array9, long_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array15);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test086"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = tTestImpl17.t(d_array32, d_array43);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl47 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double d58 = tTestImpl47.pairedT(d_array51, d_array56);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl64 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array73);
    double d75 = tTestImpl64.pairedT(d_array68, d_array73);
    double d76 = tTestImpl47.t(d_array62, d_array73);
    double d77 = tTestImpl16.tTest(d_array32, d_array73);
    org.apache.commons.math.stat.descriptive.summary.Sum sum78 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl79 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array83 = new double[] { 1.0d, 0.0d };
    double d84 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array83);
    double[] d_array88 = new double[] { 1.0d, 0.0d };
    double d89 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array88);
    double d90 = tTestImpl79.pairedT(d_array83, d_array88);
    sum78.incrementAll(d_array88);
    double d92 = tTestImpl4.homoscedasticT(d_array32, d_array88);
    // The following exception was thrown during execution in test generation
    try {
      double d93 = tTestImpl0.tTest(5.398589728139425E-63d, d_array88);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test087"); }


    org.apache.commons.math.distribution.GammaDistribution gammaDistribution1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl2 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(1.0d, gammaDistribution1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test088() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test088"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long9 = summaryStatisticsImpl8.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment10 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d11 = firstMoment10.getResult();
    summaryStatisticsImpl8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment10);
    double d13 = summaryStatisticsImpl8.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test089"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long3 = summaryStatisticsImpl2.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment4 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d5 = firstMoment4.getResult();
    summaryStatisticsImpl2.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment4);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = summaryStatisticsImpl2.getSummary();
    double d8 = summaryStatisticsImpl2.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl2.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double d23 = tTestImpl12.pairedT(d_array16, d_array21);
    double d24 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array21);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
    boolean b40 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array21, d_array35, 0.003199067406189915d);
    double d44 = variance9.evaluate(d_array21, Double.NaN, 0, 0);
    long[] long_array46 = new long[] { 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d47 = chiSquareTestImpl1.chiSquare(d_array21, long_array46);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array46);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test090"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl4.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl4.getMaxImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test091"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl62 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic63 = summaryStatisticsImpl62.getGeoMeanImpl();
    summaryStatisticsImpl62.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic65 = summaryStatisticsImpl62.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl66 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long67 = summaryStatisticsImpl66.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment68 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d69 = firstMoment68.getResult();
    summaryStatisticsImpl66.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment68);
    double d71 = summaryStatisticsImpl66.getStandardDeviation();
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    boolean b77 = summaryStatisticsImpl66.equals((java.lang.Object)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl62, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl66);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long67 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test092"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array1 = null;
    long[][] long_array_array2 = new long[][] { long_array1 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = chiSquareTestImpl0.chiSquareTest(long_array_array2, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array2);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test093"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      tDistributionImpl1.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test094"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = tTestImpl2.t(d_array17, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = tTestImpl32.t(d_array47, d_array58);
    double d62 = tTestImpl1.tTest(d_array17, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      boolean b64 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array58, 0.9984150981000139d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test095"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    double d17 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    boolean b33 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array14, d_array28, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b35 = tTestImpl2.tTest(Double.NaN, d_array14, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test096"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = tTestImpl13.t(d_array28, d_array39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double d71 = tTestImpl60.pairedT(d_array64, d_array69);
    double d72 = tTestImpl43.t(d_array58, d_array69);
    double d73 = tTestImpl12.tTest(d_array28, d_array69);
    org.apache.commons.math.stat.descriptive.summary.Sum sum74 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl75 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double d86 = tTestImpl75.pairedT(d_array79, d_array84);
    sum74.incrementAll(d_array84);
    double d88 = tTestImpl0.homoscedasticT(d_array28, d_array84);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary91 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b93 = tTestImpl0.tTest((-1.0d), statisticalSummary91, 0.5012447816130978d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test097"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d1 = max0.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = max0.evaluate(d_array11, (-1), 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test098"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0d, Double.NaN, Double.NaN, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test099"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(10.0d, 0.5012447816130978d, 10.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test100"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    double d11 = summaryStatisticsImpl4.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long14 = variance13.getN();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance13);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = tTestImpl2.t(0.5012447816130978d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test101"); }


    long[] long_array3 = new long[] { 0L, 0L, 0L };
    long[] long_array4 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array3, long_array4, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test102"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    double d7 = summaryStatisticsImpl1.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl1.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    double[] d_array10 = new double[] {  };
    double d12 = variance8.evaluate(d_array10, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = max0.evaluate(d_array10, 100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test103"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    tDistributionImpl1.setDegreesOfFreedom(5.398589728139425E-63d);
    // The following exception was thrown during execution in test generation
    try {
      tDistributionImpl1.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test104"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = tTestImpl13.t(d_array28, d_array39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double d71 = tTestImpl60.pairedT(d_array64, d_array69);
    double d72 = tTestImpl43.t(d_array58, d_array69);
    double d73 = tTestImpl12.tTest(d_array28, d_array69);
    org.apache.commons.math.stat.descriptive.summary.Sum sum74 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl75 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double d86 = tTestImpl75.pairedT(d_array79, d_array84);
    sum74.incrementAll(d_array84);
    double d88 = tTestImpl0.homoscedasticT(d_array28, d_array84);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl89 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long90 = summaryStatisticsImpl89.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum91 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl89.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum91);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary93 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d94 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl89, statisticalSummary93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long90 == 0L);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test105"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double d13 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double d27 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array24);
    boolean b29 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array10, d_array24, 0.003199067406189915d);
    double[] d_array30 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d31 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT(d_array10, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test106"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    double[] d_array43 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d46 = variance7.evaluate(d_array43, 100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test107"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(Double.NaN, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test108"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test109"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = chiSquaredDistributionImpl1.getDegreesOfFreedom();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test110"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(Double.NEGATIVE_INFINITY, 0.9984150981000139d, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test111"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    long[] long_array41 = new long[] { 1L, 0L, 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d42 = chiSquareTestImpl7.chiSquare(d_array34, long_array41);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array41);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test112"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 82099.71749644238d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test113"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    // The following exception was thrown during execution in test generation
    try {
      tDistributionImpl1.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test114"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = tDistributionImpl2.inverseCumulativeProbability(10000.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test115"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 10000.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test116"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary10 = summaryStatisticsImpl5.getSummary();
    double d11 = summaryStatisticsImpl5.getMean();
    double d12 = summaryStatisticsImpl5.getSum();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = tTestImpl4.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, statisticalSummary15, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test117"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    double d8 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl10.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment12);
    firstMoment12.clear();
    summaryStatisticsImpl10.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test118"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = tTestImpl0.t(d_array15, d_array26);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl30 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = summaryStatisticsImpl30.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = summaryStatisticsImpl30.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl33 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic34 = summaryStatisticsImpl33.getSumLogImpl();
    boolean b36 = summaryStatisticsImpl33.equals((java.lang.Object)0);
    // The following exception was thrown during execution in test generation
    try {
      double d37 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl30, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test119"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    long long3 = summaryStatisticsImpl0.getN();
    java.lang.String str4 = summaryStatisticsImpl0.toString();
    double d5 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, statisticalSummary6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str4.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test120"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d5 = summaryStatisticsImpl4.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test121"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl6.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares9 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares9);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = tTestImpl4.tTest((-1.0d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test122"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    double d2 = summaryStatisticsImpl0.getVariance();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, statisticalSummary3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test123"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array1 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = tTestImpl2.t(d_array17, d_array28);
    // The following exception was thrown during execution in test generation
    try {
      double d32 = tTestImpl0.homoscedasticTTest(d_array1, d_array17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test124"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    sum2.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = sum2.evaluate(d_array14, 100, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test125"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double d27 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array24);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    boolean b43 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array24, d_array38, 0.003199067406189915d);
    double d44 = tTestImpl1.t(d_array11, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double d47 = geometricMean0.evaluate(d_array24, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test126"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(1.0d, 0.5d, 0.0d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test127"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl1.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(82099.71749644238d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test128"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = null;
    long[][] long_array_array7 = new long[][] { long_array6 };
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquareTestImpl5.chiSquareTest(long_array_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array7);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test129"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = tTestImpl2.t(d_array17, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = tTestImpl32.t(d_array47, d_array58);
    double d62 = tTestImpl1.tTest(d_array17, d_array58);
    double[] d_array66 = new double[] { 100.0d, 1.0d, 10.0d };
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl67 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    double d72 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array71);
    double[] d_array76 = new double[] { 1.0d, 0.0d };
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array76);
    double d78 = tTestImpl67.pairedT(d_array71, d_array76);
    double d79 = tTestImpl1.tTest(d_array66, d_array76);
    // The following exception was thrown during execution in test generation
    try {
      boolean b81 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5d, d_array76, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.3675056060707571d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test130"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl2.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl2.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum4);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl2.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test131"); }


    long[] long_array0 = new long[] {  };
    long[] long_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d2 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array0, long_array1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array0);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test132"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    long[] long_array14 = new long[] { 100L, (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array9, long_array14, 3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test133"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = firstMoment2.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl6.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array39);
    boolean b44 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array25, d_array39, 0.003199067406189915d);
    double d48 = variance13.evaluate(d_array25, Double.NaN, 0, 0);
    firstMoment2.incrementAll(d_array25);
    firstMoment2.increment(0.0d);
    firstMoment2.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares53 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long54 = sumOfSquares53.getN();
    boolean b55 = firstMoment2.equals((java.lang.Object)long54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long54 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b55 == false);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test134"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution9 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution9);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = chiSquaredDistributionImpl1.cumulativeProbability(10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test135"); }


    double[] d_array0 = new double[] {  };
    long[] long_array4 = new long[] { 10L, 100L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array0, long_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test136"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    double[] d_array13 = new double[] {  };
    double d15 = variance11.evaluate(d_array13, 100.0d);
    double d16 = variance1.evaluate(d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double d46 = tTestImpl35.pairedT(d_array39, d_array44);
    double d47 = tTestImpl18.t(d_array33, d_array44);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = tTestImpl48.t(d_array63, d_array74);
    double d78 = tTestImpl17.tTest(d_array33, d_array74);
    // The following exception was thrown during execution in test generation
    try {
      double d79 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array13, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test137"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    double d16 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array27);
    boolean b32 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array13, d_array27, 0.003199067406189915d);
    double[] d_array33 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d34 = tTestImpl0.pairedTTest(d_array13, d_array33);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b32 == false);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test138"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares3);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d7 = summaryStatisticsImpl6.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test139"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d4 = max0.evaluate(d_array1, 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test140"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    double[] d_array3 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    double d9 = firstMoment6.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl10.getSummary();
    double d16 = summaryStatisticsImpl10.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl10.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d52 = variance17.evaluate(d_array29, Double.NaN, 0, 0);
    firstMoment6.incrementAll(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      double d54 = tTestImpl2.homoscedasticTTest(d_array3, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test141"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    long long9 = variance7.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test142"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double d14 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    boolean b30 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array11, d_array25, 0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = tTestImpl32.t(d_array47, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl62 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    double d72 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array71);
    double d73 = tTestImpl62.pairedT(d_array66, d_array71);
    double[] d_array77 = new double[] { 1.0d, 0.0d };
    double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl79 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array83 = new double[] { 1.0d, 0.0d };
    double d84 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array83);
    double[] d_array88 = new double[] { 1.0d, 0.0d };
    double d89 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array88);
    double d90 = tTestImpl79.pairedT(d_array83, d_array88);
    double d91 = tTestImpl62.t(d_array77, d_array88);
    double d92 = tTestImpl31.tTest(d_array47, d_array88);
    double d93 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array25, d_array47);
    // The following exception was thrown during execution in test generation
    try {
      boolean b95 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array0, d_array25, 3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.0d);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test143"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl2.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl2, 0.6909132170845432d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test144"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquaredDistributionImpl1.cumulativeProbability(3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test145"); }


    long[] long_array2 = new long[] { 10L, 1L };
    long[] long_array4 = new long[] { 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array2, long_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test146"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array54);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array68);
    boolean b73 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array54, d_array68, 0.003199067406189915d);
    variance7.incrementAll(d_array68);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl75 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long76 = summaryStatisticsImpl75.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment77 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d78 = firstMoment77.getResult();
    summaryStatisticsImpl75.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment77);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary80 = summaryStatisticsImpl75.getSummary();
    double d81 = summaryStatisticsImpl75.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance82 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl75.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance82);
    double[] d_array84 = new double[] {  };
    double d86 = variance82.evaluate(d_array84, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b88 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array68, d_array84, 10000.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long76 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test147"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl3.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl3.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    double d13 = summaryStatisticsImpl6.getSum();
    double d14 = summaryStatisticsImpl6.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl6.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = tTestImpl2.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test148"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long1 = max0.getN();
    max0.increment(0.9984150981000139d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double d44 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array41);
    boolean b46 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array27, d_array41, 0.003199067406189915d);
    double d47 = tTestImpl4.t(d_array14, d_array27);
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl50 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double d61 = tTestImpl50.pairedT(d_array54, d_array59);
    sum49.incrementAll(d_array59);
    double d63 = tTestImpl4.tTest(0.9984150981000139d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array74);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array59, d_array74);
    // The following exception was thrown during execution in test generation
    try {
      double d81 = max0.evaluate(d_array74, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test149"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    double[] d_array3 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d46 = variance11.evaluate(d_array23, Double.NaN, 0, 0);
    long long47 = variance11.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array72);
    boolean b77 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array58, d_array72, 0.003199067406189915d);
    variance11.incrementAll(d_array72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum79 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double[] d_array89 = new double[] { 1.0d, 0.0d };
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
    double d91 = tTestImpl80.pairedT(d_array84, d_array89);
    sum79.incrementAll(d_array89);
    double d93 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array72, d_array89);
    // The following exception was thrown during execution in test generation
    try {
      boolean b95 = tTestImpl0.tTest(d_array3, d_array72, 82099.71749644238d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.0d);

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test150"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = tTestImpl0.tTest((-1.0d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl4, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test151"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array40);
    boolean b45 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array26, d_array40, 0.003199067406189915d);
    double d46 = tTestImpl3.t(d_array13, d_array26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl47 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double d58 = tTestImpl47.pairedT(d_array51, d_array56);
    // The following exception was thrown during execution in test generation
    try {
      double d59 = tTestImpl0.homoscedasticTTest(d_array13, d_array56);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test152"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double[] d_array11 = new double[] { (-1.0d), (-1.0d) };
    long[] long_array14 = new long[] { 0L, 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d15 = chiSquareTestImpl8.chiSquareTest(d_array11, long_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test153"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double[] d_array5 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl6.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array39);
    boolean b44 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array25, d_array39, 0.003199067406189915d);
    double d48 = variance13.evaluate(d_array25, Double.NaN, 0, 0);
    long long49 = variance13.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    double d63 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array60);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array74);
    boolean b79 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array60, d_array74, 0.003199067406189915d);
    variance13.incrementAll(d_array74);
    org.apache.commons.math.stat.descriptive.summary.Sum sum81 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl82 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array86 = new double[] { 1.0d, 0.0d };
    double d87 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array86);
    double[] d_array91 = new double[] { 1.0d, 0.0d };
    double d92 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array91);
    double d93 = tTestImpl82.pairedT(d_array86, d_array91);
    sum81.incrementAll(d_array91);
    double d95 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array74, d_array91);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = tTestImpl0.homoscedasticTTest(d_array5, d_array74);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d93, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 1.0d);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test154"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = null;
    long[] long_array10 = new long[] { 0L, 0L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = chiSquareTestImpl5.chiSquareTestDataSetsComparison(long_array6, long_array10, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test155"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double d13 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double d27 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array24);
    boolean b29 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array10, d_array24, 0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double[] d_array76 = new double[] { 1.0d, 0.0d };
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array76);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl78 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array82 = new double[] { 1.0d, 0.0d };
    double d83 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array82);
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double d89 = tTestImpl78.pairedT(d_array82, d_array87);
    double d90 = tTestImpl61.t(d_array76, d_array87);
    double d91 = tTestImpl30.tTest(d_array46, d_array87);
    double d92 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array24, d_array46);
    long[] long_array93 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d94 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array24, long_array93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b29 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array93);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test156"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    double d4 = variance1.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double d18 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array15);
    double d19 = variance1.evaluate(d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double d50 = tTestImpl21.t(d_array36, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl68 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double[] d_array77 = new double[] { 1.0d, 0.0d };
    double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
    double d79 = tTestImpl68.pairedT(d_array72, d_array77);
    double d80 = tTestImpl51.t(d_array66, d_array77);
    double d81 = tTestImpl20.tTest(d_array36, d_array77);
    double[] d_array85 = new double[] { 100.0d, 1.0d, 10.0d };
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl86 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array90 = new double[] { 1.0d, 0.0d };
    double d91 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array90);
    double[] d_array95 = new double[] { 1.0d, 0.0d };
    double d96 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array95);
    double d97 = tTestImpl86.pairedT(d_array90, d_array95);
    double d98 = tTestImpl20.tTest(d_array85, d_array95);
    double d99 = variance1.evaluate(d_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array95);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d97, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == 0.25d);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test157"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test158"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = tTestImpl2.t(d_array17, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = tTestImpl32.t(d_array47, d_array58);
    double d62 = tTestImpl1.tTest(d_array17, d_array58);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = variance0.evaluate(d_array17, 0.5d, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test159"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl3.getSummary();
    double d9 = summaryStatisticsImpl3.getMean();
    double d10 = summaryStatisticsImpl3.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long13 = variance12.getN();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance12);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test160"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double d27 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array24);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    boolean b43 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array24, d_array38, 0.003199067406189915d);
    double d44 = tTestImpl1.t(d_array11, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      boolean b46 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array24, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test161"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary45 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b47 = tTestImpl0.tTest(10.0d, statisticalSummary45, 0.25d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test162"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d1 = firstMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment3);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double d46 = tTestImpl35.pairedT(d_array39, d_array44);
    double d47 = tTestImpl18.t(d_array33, d_array44);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = tTestImpl48.t(d_array63, d_array74);
    double d78 = tTestImpl17.tTest(d_array33, d_array74);
    org.apache.commons.math.stat.descriptive.summary.Sum sum79 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double[] d_array89 = new double[] { 1.0d, 0.0d };
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
    double d91 = tTestImpl80.pairedT(d_array84, d_array89);
    sum79.incrementAll(d_array89);
    double d93 = tTestImpl5.homoscedasticT(d_array33, d_array89);
    firstMoment3.incrementAll(d_array33);
    mean2.incrementAll(d_array33);
    java.lang.Object obj96 = null;
    boolean b97 = mean2.equals(obj96);
    mean2.increment(0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b97 == false);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test163"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    double d67 = tTestImpl38.t(d_array53, d_array64);
    double d68 = tTestImpl7.tTest(d_array23, d_array64);
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array64);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl70 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long71 = summaryStatisticsImpl70.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment72 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d73 = firstMoment72.getResult();
    summaryStatisticsImpl70.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment72);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary75 = summaryStatisticsImpl70.getSummary();
    double d76 = summaryStatisticsImpl70.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance77 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl70.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance77);
    double[] d_array79 = new double[] {  };
    double d81 = variance77.evaluate(d_array79, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d82 = tTestImpl0.tTest(d_array64, d_array79);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long71 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test164"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long10 = variance9.getN();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long14 = summaryStatisticsImpl13.getN();
    summaryStatisticsImpl13.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs16 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs16.increment(0.0d);
    sumOfLogs16.increment(Double.NEGATIVE_INFINITY);
    summaryStatisticsImpl13.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs16);
    // The following exception was thrown during execution in test generation
    try {
      double d22 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test165"); }


    org.apache.commons.math.stat.descriptive.moment.Mean mean0 = new org.apache.commons.math.stat.descriptive.moment.Mean();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double d27 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array24);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    boolean b43 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array24, d_array38, 0.003199067406189915d);
    double d44 = tTestImpl1.t(d_array11, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double d47 = mean0.evaluate(d_array24, 100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test166"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long14 = summaryStatisticsImpl13.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment15 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d16 = firstMoment15.getResult();
    summaryStatisticsImpl13.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment15);
    double d18 = firstMoment15.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl19 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long20 = summaryStatisticsImpl19.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment21 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d22 = firstMoment21.getResult();
    summaryStatisticsImpl19.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment21);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary24 = summaryStatisticsImpl19.getSummary();
    double d25 = summaryStatisticsImpl19.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl19.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array52);
    boolean b57 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array38, d_array52, 0.003199067406189915d);
    double d61 = variance26.evaluate(d_array38, Double.NaN, 0, 0);
    firstMoment15.incrementAll(d_array38);
    double d63 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array38);
    double[] d_array64 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d65 = tTestImpl0.homoscedasticTTest(d_array38, d_array64);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 3.0d);

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test167"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment1 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = tTestImpl16.t(d_array31, d_array42);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = tTestImpl46.t(d_array61, d_array72);
    double d76 = tTestImpl15.tTest(d_array31, d_array72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl78 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array82 = new double[] { 1.0d, 0.0d };
    double d83 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array82);
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double d89 = tTestImpl78.pairedT(d_array82, d_array87);
    sum77.incrementAll(d_array87);
    double d91 = tTestImpl3.homoscedasticT(d_array31, d_array87);
    firstMoment1.incrementAll(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double d93 = org.apache.commons.math.stat.inference.TestUtils.pairedT(d_array0, d_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test168"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl((-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test169"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.8839455171548418d);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test170"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    double[] d_array3 = null;
    long[] long_array4 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b6 = chiSquareTestImpl1.chiSquareTest(d_array3, long_array4, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test171"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d2 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    double d9 = firstMoment6.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl10.getSummary();
    double d16 = summaryStatisticsImpl10.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl10.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d52 = variance17.evaluate(d_array29, Double.NaN, 0, 0);
    firstMoment6.incrementAll(d_array29);
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5d, d_array29);
    double d55 = secondMoment1.evaluate(d_array29);
    // The following exception was thrown during execution in test generation
    try {
      boolean b57 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.25d, d_array29, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.5d);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test172"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6909132170845432d, 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.020798772066727332d);

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test173"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics46 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b48 = summaryStatistics46.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs49 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long50 = sumOfLogs49.getN();
    summaryStatistics46.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs49);
    // The following exception was thrown during execution in test generation
    try {
      double d52 = tTestImpl0.t(0.5d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics46);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test174"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, (-0.0020211614211524953d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test175"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    sum12.incrementAll(d_array22);
    double d26 = tTestImpl0.tTest(10.0d, d_array22);
    long[] long_array27 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b29 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array22, long_array27, 82099.71749644238d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.03347541671314813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array27);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test176"); }


    long[] long_array3 = new long[] { (-1L), 0L, 0L };
    long[] long_array6 = new long[] { 0L, 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array3, long_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test177"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquaredDistributionImpl1.cumulativeProbability(0.3675056060707571d, 0.03347541671314813d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test178"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary60 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl61 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long62 = summaryStatisticsImpl61.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment63 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d64 = firstMoment63.getResult();
    summaryStatisticsImpl61.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment63);
    double d66 = summaryStatisticsImpl61.getStandardDeviation();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    boolean b72 = summaryStatisticsImpl61.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min73 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d74 = min73.getResult();
    double d75 = min73.getResult();
    summaryStatisticsImpl61.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min73);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = tTestImpl0.tTest(statisticalSummary60, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl61);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test179"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    sum2.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = tTestImpl6.t(d_array21, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl36 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double d47 = tTestImpl36.pairedT(d_array40, d_array45);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl53 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double d64 = tTestImpl53.pairedT(d_array57, d_array62);
    double d65 = tTestImpl36.t(d_array51, d_array62);
    double d66 = tTestImpl5.tTest(d_array21, d_array62);
    sum2.incrementAll(d_array62);
    double[] d_array68 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d69 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array62, d_array68);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test180"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    variance7.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test181"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = summaryStatisticsImpl5.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares11 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares11.increment(100.0d);
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares11);
    double d15 = summaryStatisticsImpl5.getMax();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl16 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl16.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl16.getMaxImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d19 = tTestImpl4.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test182"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array7 = new long[] {  };
    long[] long_array8 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl6.chiSquareTestDataSetsComparison(long_array7, long_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test183"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl8.getGeoMeanImpl();
    summaryStatisticsImpl8.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl8.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl8, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test184"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array39);
    boolean b44 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array25, d_array39, 0.003199067406189915d);
    double d45 = tTestImpl2.t(d_array12, d_array25);
    org.apache.commons.math.stat.descriptive.summary.Sum sum47 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    sum47.incrementAll(d_array57);
    double d61 = tTestImpl2.tTest(0.9984150981000139d, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array72);
    double d76 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array57, d_array72);
    // The following exception was thrown during execution in test generation
    try {
      double d79 = variance1.evaluate(d_array72, 100, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test185"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double d14 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    boolean b30 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array11, d_array25, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array0, d_array25);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == false);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test186"); }


    org.apache.commons.math.distribution.GammaDistribution gammaDistribution1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl2 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(Double.POSITIVE_INFINITY, gammaDistribution1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test187"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics2 = new org.apache.commons.math.stat.descriptive.SummaryStatistics();
    double d3 = summaryStatistics2.getVariance();
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics2, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test188"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.stat.inference.TestUtils.t(0.8839455171548418d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test189"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.6931471805599457d);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test190"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl46 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic47 = summaryStatisticsImpl46.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary48 = summaryStatisticsImpl46.getSummary();
    summaryStatisticsImpl46.clear();
    java.lang.String str50 = summaryStatisticsImpl46.toString();
    // The following exception was thrown during execution in test generation
    try {
      boolean b52 = tTestImpl0.tTest((-1.0d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl46, 0.25d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str50 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str50.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test191"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    geometricMean0.clear();
    geometricMean0.clear();
    double d4 = geometricMean0.getResult();
    double d5 = geometricMean0.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl36 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double d47 = tTestImpl36.pairedT(d_array40, d_array45);
    double d48 = tTestImpl19.t(d_array34, d_array45);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = tTestImpl49.t(d_array64, d_array75);
    double d79 = tTestImpl18.tTest(d_array34, d_array75);
    org.apache.commons.math.stat.descriptive.summary.Sum sum80 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl81 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double[] d_array90 = new double[] { 1.0d, 0.0d };
    double d91 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array90);
    double d92 = tTestImpl81.pairedT(d_array85, d_array90);
    sum80.incrementAll(d_array90);
    double d94 = tTestImpl6.homoscedasticT(d_array34, d_array90);
    // The following exception was thrown during execution in test generation
    try {
      double d97 = geometricMean0.evaluate(d_array90, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d92, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test192"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    double[] d_array60 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d61 = org.apache.commons.math.stat.inference.TestUtils.pairedT(d_array55, d_array60);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test193"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    java.lang.Object[] obj_array2 = new java.lang.Object[] { secondMoment1 };
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!", obj_array2);
    java.lang.String str4 = convergenceException3.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "org.apache.commons.math.ConvergenceException: hi!"+ "'", str4.equals("org.apache.commons.math.ConvergenceException: hi!"));

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test194"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long1 = max0.getN();
    max0.increment(0.9984150981000139d);
    double d4 = max0.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d48 = tTestImpl5.t(d_array15, d_array28);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = max0.evaluate(d_array15, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test195"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("hi!");

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test196"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test197"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    firstMoment0.clear();
    firstMoment0.clear();
    firstMoment0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary10 = summaryStatisticsImpl5.getSummary();
    double d11 = summaryStatisticsImpl5.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl5.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance12);
    double[] d_array14 = new double[] {  };
    double d16 = variance12.evaluate(d_array14, 100.0d);
    firstMoment0.incrementAll(d_array14);
    firstMoment0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test198"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array70);
    double d74 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array55, d_array70);
    long[] long_array77 = new long[] { (-1L), 100L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b79 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array55, long_array77, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array77);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test199"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getSumLogImpl();
    boolean b8 = summaryStatisticsImpl5.equals((java.lang.Object)0);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    double d14 = summaryStatisticsImpl9.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares15 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares15.increment(100.0d);
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares15);
    double d19 = summaryStatisticsImpl9.getMax();
    summaryStatisticsImpl9.clear();
    // The following exception was thrown during execution in test generation
    try {
      double d21 = tTestImpl4.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 10000.0d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test200"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl((-0.0020211614211524953d), 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test201"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    double d4 = variance1.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double d18 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array15);
    double d19 = variance1.evaluate(d_array15);
    double[] d_array20 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d21 = org.apache.commons.math.stat.inference.TestUtils.t(d_array15, d_array20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.25d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test202"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl10.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl10.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum12);
    sum12.clear();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum12);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl0.getVarianceImpl();
    double d17 = summaryStatisticsImpl0.getMin();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary18 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, statisticalSummary18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test203"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test204"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d1 = firstMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    double d3 = mean2.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double d44 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array41);
    boolean b46 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array27, d_array41, 0.003199067406189915d);
    double d47 = tTestImpl4.t(d_array14, d_array27);
    org.apache.commons.math.stat.descriptive.summary.Sum sum49 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl50 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double d61 = tTestImpl50.pairedT(d_array54, d_array59);
    sum49.incrementAll(d_array59);
    double d63 = tTestImpl4.tTest(0.9984150981000139d, d_array59);
    // The following exception was thrown during execution in test generation
    try {
      double d66 = mean2.evaluate(d_array59, 0, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.5010105807105762d);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test205"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array4 = new long[] { 10L };
    long[] long_array5 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d6 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array4, long_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test206"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    double[] d_array8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = variance7.evaluate(d_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test207"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance1.clear();
    variance1.increment(10.0d);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment5);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    double d38 = firstMoment5.evaluate(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      double d42 = variance1.evaluate(d_array34, 0.25d, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5d);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test208"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getSumLogImpl();
    double d3 = summaryStatisticsImpl1.getVariance();
    summaryStatisticsImpl1.addValue(1.0d);
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test209"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException1 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException2 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException1);
    int i3 = maxIterationsExceededException1.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i3 == 1);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test210"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.6931471805599457d, statisticalSummary6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test211"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double d14 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array11);
    double d15 = org.apache.commons.math.stat.inference.TestUtils.t(Double.NEGATIVE_INFINITY, d_array11);
    long[] long_array16 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d17 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(d_array11, long_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.POSITIVE_INFINITY);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test212"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics63 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b65 = summaryStatistics63.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs66 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long67 = sumOfLogs66.getN();
    summaryStatistics63.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs66);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl69 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long70 = summaryStatisticsImpl69.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment71 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d72 = firstMoment71.getResult();
    summaryStatisticsImpl69.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment71);
    boolean b74 = sumOfLogs66.equals((java.lang.Object)summaryStatisticsImpl69);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic75 = summaryStatisticsImpl69.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d76 = tTestImpl0.t(0.25d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl69);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b65 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long67 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long70 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic75);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test213"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array5 = null;
    long[][] long_array_array6 = new long[][] { long_array5 };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquareTestImpl4.chiSquare(long_array_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array6);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test214"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5010105807105762d, (-1.2110363580874859d), 4049.999999999999d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test215"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.03347541671314813d, 0.003199067406189915d, 10000.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.16230087157570017d);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test216"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatistics0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl7.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl7.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum9);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl7.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = null;
    summaryStatisticsImpl7.setGeoMeanImpl(storelessUnivariateStatistic12);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = org.apache.commons.math.stat.inference.TestUtils.t(statisticalSummary6, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test217"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    long[] long_array4 = new long[] {  };
    long[] long_array6 = new long[] { (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquareTestImpl1.chiSquareDataSetsComparison(long_array4, long_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test218"); }


    long[] long_array1 = new long[] { 1L };
    long[] long_array5 = new long[] { (-1L), 100L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d6 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array1, long_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test219"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(10000.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    // The following exception was thrown during execution in test generation
    try {
      gammaDistributionImpl3.setAlpha(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test220"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    geometricMean0.clear();
    geometricMean0.clear();
    double d4 = geometricMean0.getResult();
    geometricMean0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    secondMoment8.increment(0.9984150981000139d);
    secondMoment8.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl20 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long21 = summaryStatisticsImpl20.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment22 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d23 = firstMoment22.getResult();
    summaryStatisticsImpl20.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment22);
    double d25 = firstMoment22.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long27 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment28 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d29 = firstMoment28.getResult();
    summaryStatisticsImpl26.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment28);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary31 = summaryStatisticsImpl26.getSummary();
    double d32 = summaryStatisticsImpl26.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl26.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance33);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl36 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double d47 = tTestImpl36.pairedT(d_array40, d_array45);
    double d48 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array45);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl50 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double d61 = tTestImpl50.pairedT(d_array54, d_array59);
    double d62 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array59);
    boolean b64 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array45, d_array59, 0.003199067406189915d);
    double d68 = variance33.evaluate(d_array45, Double.NaN, 0, 0);
    firstMoment22.incrementAll(d_array45);
    double d70 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array45);
    secondMoment8.incrementAll(d_array45);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = geometricMean0.evaluate(d_array45, 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 3.0d);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test221"); }


    long[] long_array1 = new long[] { 10L };
    long[] long_array3 = new long[] { (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array1, long_array3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test222"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    tDistributionImpl6.setDegreesOfFreedom(0.46761113031083257d);
    // The following exception was thrown during execution in test generation
    try {
      double d14 = tDistributionImpl6.inverseCumulativeProbability(3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test223"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = firstMoment7.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl11 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long12 = summaryStatisticsImpl11.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment13 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d14 = firstMoment13.getResult();
    summaryStatisticsImpl11.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment13);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary16 = summaryStatisticsImpl11.getSummary();
    double d17 = summaryStatisticsImpl11.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl11.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double d33 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array30);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double d46 = tTestImpl35.pairedT(d_array39, d_array44);
    double d47 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array44);
    boolean b49 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array30, d_array44, 0.003199067406189915d);
    double d53 = variance18.evaluate(d_array30, Double.NaN, 0, 0);
    firstMoment7.incrementAll(d_array30);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d56 = tTestImpl0.tTest(82099.71749644238d, d_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 3.0d);

  }

  @Test
  public void test224() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test224"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, (-1.0d), 1.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test225() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test225"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    org.apache.commons.math.stat.descriptive.moment.Variance variance66 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance66.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl69 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long70 = summaryStatisticsImpl69.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment71 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d72 = firstMoment71.getResult();
    summaryStatisticsImpl69.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment71);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary74 = summaryStatisticsImpl69.getSummary();
    double d75 = summaryStatisticsImpl69.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance76 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl69.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance76);
    double[] d_array78 = new double[] {  };
    double d80 = variance76.evaluate(d_array78, 100.0d);
    double d81 = variance66.evaluate(d_array78);
    // The following exception was thrown during execution in test generation
    try {
      double d82 = tTestImpl0.homoscedasticTTest(d_array63, d_array78);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long70 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d80, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);

  }

  @Test
  public void test226() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test226"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl62 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long63 = summaryStatisticsImpl62.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment64 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d65 = firstMoment64.getResult();
    summaryStatisticsImpl62.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment64);
    double d67 = summaryStatisticsImpl62.getStandardDeviation();
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    double d72 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array71);
    boolean b73 = summaryStatisticsImpl62.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl74 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares75 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares75.increment(100.0d);
    summaryStatisticsImpl74.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares75);
    double d79 = summaryStatisticsImpl74.getVariance();
    // The following exception was thrown during execution in test generation
    try {
      boolean b81 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl62, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl74, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);

  }

  @Test
  public void test227() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test227"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d1 = firstMoment0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    mean2.increment(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d48 = tTestImpl5.t(d_array15, d_array28);
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    sum50.incrementAll(d_array60);
    double d64 = tTestImpl5.tTest(0.9984150981000139d, d_array60);
    double d65 = mean2.evaluate(d_array60);
    mean2.clear();
    double[] d_array67 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d70 = mean2.evaluate(d_array67, 1, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.5d);

  }

  @Test
  public void test228() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test228"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment2);
    firstMoment2.clear();
    summaryStatisticsImpl0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    double d11 = summaryStatisticsImpl6.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares12 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares12.increment(100.0d);
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares12);
    double d16 = summaryStatisticsImpl6.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl6.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = null;
    summaryStatisticsImpl6.setSumLogImpl(storelessUnivariateStatistic18);
    double d20 = summaryStatisticsImpl6.getGeometricMean();
    // The following exception was thrown during execution in test generation
    try {
      double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test229() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test229"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.t(d_array10, d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT(d_array0, d_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-1.2110363580874859d));

  }

  @Test
  public void test230() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test230"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d3 = gammaDistributionImpl2.getAlpha();
    // The following exception was thrown during execution in test generation
    try {
      gammaDistributionImpl2.setAlpha(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8839455171548418d);

  }

  @Test
  public void test231() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test231"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    double[] d_array10 = null;
    long[] long_array13 = new long[] { 1L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d14 = chiSquareTestImpl2.chiSquareTest(d_array10, long_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);

  }

  @Test
  public void test232() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test232"); }


    double[] d_array3 = new double[] { 1.0d, 100.0d, 100.0d };
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d46 = variance11.evaluate(d_array23, Double.NaN, 0, 0);
    long long47 = variance11.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array72);
    boolean b77 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array58, d_array72, 0.003199067406189915d);
    variance11.incrementAll(d_array72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum79 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double[] d_array89 = new double[] { 1.0d, 0.0d };
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
    double d91 = tTestImpl80.pairedT(d_array84, d_array89);
    sum79.incrementAll(d_array89);
    double d93 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array72, d_array89);
    // The following exception was thrown during execution in test generation
    try {
      boolean b95 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array3, d_array72, 0.25d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 1.0d);

  }

  @Test
  public void test233() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test233"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    long long1 = variance0.getN();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = variance0.evaluate(d_array5, (-1), 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);

  }

  @Test
  public void test234() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test234"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = summaryStatisticsImpl5.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl11 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long12 = summaryStatisticsImpl11.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment13 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d14 = firstMoment13.getResult();
    summaryStatisticsImpl11.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment13);
    double d16 = summaryStatisticsImpl11.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares17 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares17.increment(100.0d);
    summaryStatisticsImpl11.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares17);
    double d21 = summaryStatisticsImpl11.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl11.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = null;
    summaryStatisticsImpl11.setSumLogImpl(storelessUnivariateStatistic23);
    // The following exception was thrown during execution in test generation
    try {
      double d25 = tTestImpl4.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);

  }

  @Test
  public void test235() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test235"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    boolean b3 = variance2.isBiasCorrected();
    boolean b4 = variance2.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test236() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test236"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics60 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b62 = summaryStatistics60.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs63 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long64 = sumOfLogs63.getN();
    summaryStatistics60.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs63);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl66 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long67 = summaryStatisticsImpl66.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment68 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d69 = firstMoment68.getResult();
    summaryStatisticsImpl66.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment68);
    boolean b71 = sumOfLogs63.equals((java.lang.Object)summaryStatisticsImpl66);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl72 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic73 = summaryStatisticsImpl72.getGeoMeanImpl();
    summaryStatisticsImpl66.setVarianceImpl(storelessUnivariateStatistic73);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics75 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b77 = summaryStatistics75.equals((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl66, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics75);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b62 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long67 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b77 == false);

  }

  @Test
  public void test237() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test237"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = tTestImpl44.t(d_array59, d_array70);
    double d74 = tTestImpl13.tTest(d_array29, d_array70);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = tTestImpl1.homoscedasticT(d_array29, d_array85);
    org.apache.commons.math.stat.descriptive.moment.Variance variance90 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array94 = new double[] { 1.0d, 0.0d };
    double d95 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array94);
    double d96 = variance90.evaluate(d_array94);
    double d97 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT(d_array29, d_array94);
    double d98 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.9984150981000139d, d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.5010105807105762d);

  }

  @Test
  public void test238() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test238"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl45 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long46 = summaryStatisticsImpl45.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment47 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d48 = firstMoment47.getResult();
    summaryStatisticsImpl45.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment47);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary50 = summaryStatisticsImpl45.getSummary();
    double d51 = summaryStatisticsImpl45.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance52 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl45.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance52);
    double[] d_array54 = new double[] {  };
    double d56 = variance52.evaluate(d_array54, 100.0d);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment57 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean58 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment57);
    firstMoment57.clear();
    firstMoment57.clear();
    firstMoment57.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl62 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long63 = summaryStatisticsImpl62.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment64 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d65 = firstMoment64.getResult();
    summaryStatisticsImpl62.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment64);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary67 = summaryStatisticsImpl62.getSummary();
    double d68 = summaryStatisticsImpl62.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance69 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl62.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance69);
    double[] d_array71 = new double[] {  };
    double d73 = variance69.evaluate(d_array71, 100.0d);
    firstMoment57.incrementAll(d_array71);
    // The following exception was thrown during execution in test generation
    try {
      double d75 = tTestImpl0.pairedT(d_array54, d_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long63 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);

  }

  @Test
  public void test239() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test239"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs0.increment(0.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = tTestImpl3.t(d_array18, d_array29);
    // The following exception was thrown during execution in test generation
    try {
      double d35 = sumOfLogs0.evaluate(d_array18, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);

  }

  @Test
  public void test240() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test240"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquaredDistributionImpl1.cumulativeProbability(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test241() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test241"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(Double.NaN);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test242() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test242"); }


    long[] long_array3 = new long[] { 0L, 100L, 1L };
    long[] long_array6 = new long[] { 0L, (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      boolean b8 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array3, long_array6, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test243() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test243"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    double d9 = tDistributionImpl2.getDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      tDistributionImpl2.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test244() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test244"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl1.getSumsqImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);

  }

  @Test
  public void test245() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test245"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Object[] obj_array13 = maxIterationsExceededException11.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array13);
    java.lang.Object[] obj_array17 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str20 = convergenceException19.toString();
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException19);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", obj_array17, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array13, (java.lang.Throwable)mathException22);
    java.lang.String str24 = convergenceException23.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str20.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"+ "'", str24.equals("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test246() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test246"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long1 = max0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl22 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double d33 = tTestImpl22.pairedT(d_array26, d_array31);
    double d34 = tTestImpl5.t(d_array20, d_array31);
    double d35 = firstMoment2.evaluate(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      double d38 = max0.evaluate(d_array31, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.5d);

  }

  @Test
  public void test247() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test247"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.003199067406189915d, 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.998206254491263d);

  }

  @Test
  public void test248() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test248"); }


    double[] d_array1 = new double[] { 1.0d };
    long[] long_array4 = new long[] { 1L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array1, long_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);

  }

  @Test
  public void test249() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test249"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    sumOfSquares0.increment(0.9984150981000139d);
    long long4 = sumOfSquares0.getN();
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = sumOfSquares0.evaluate(d_array5, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);

  }

  @Test
  public void test250() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test250"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = tTestImpl0.t(d_array15, d_array26);
    long[] long_array30 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d31 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(d_array26, long_array30);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array30);

  }

  @Test
  public void test251() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test251"); }


    long[] long_array1 = new long[] { 100L };
    long[] long_array2 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array1, long_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test252() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test252"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl9 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d11 = chiSquaredDistributionImpl1.cumulativeProbability(10000.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test253() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test253"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array15 = new double[] { 100.0d, 10.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.t(d_array10, d_array15);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = sumOfSquares0.evaluate(d_array10, 10, 1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == (-1.2110363580874859d));

  }

  @Test
  public void test254() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test254"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    mean1.increment(0.16230087157570017d);

  }

  @Test
  public void test255() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test255"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    boolean b11 = summaryStatisticsImpl0.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl12.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl12.getSummary();
    // The following exception was thrown during execution in test generation
    try {
      double d15 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);

  }

  @Test
  public void test256() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test256"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary17 = summaryStatisticsImpl12.getSummary();
    double d18 = summaryStatisticsImpl12.getMean();
    double d19 = summaryStatisticsImpl12.getSum();
    double d20 = summaryStatisticsImpl12.getMax();
    // The following exception was thrown during execution in test generation
    try {
      boolean b22 = tTestImpl0.tTest(0.998206254491263d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);

  }

  @Test
  public void test257() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test257"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl9 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double d22 = tTestImpl11.pairedT(d_array15, d_array20);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = tTestImpl11.t(d_array26, d_array37);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl41 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double d52 = tTestImpl41.pairedT(d_array45, d_array50);
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl58 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double d69 = tTestImpl58.pairedT(d_array62, d_array67);
    double d70 = tTestImpl41.t(d_array56, d_array67);
    double d71 = tTestImpl10.tTest(d_array26, d_array67);
    long[] long_array72 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d73 = chiSquareTestImpl9.chiSquare(d_array26, long_array72);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array72);

  }

  @Test
  public void test258() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test258"); }


    org.apache.commons.math.stat.inference.ChiSquareTest chiSquareTest0 = null;
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest(chiSquareTest0);

  }

  @Test
  public void test259() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test259"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long3 = summaryStatisticsImpl2.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment4 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d5 = firstMoment4.getResult();
    summaryStatisticsImpl2.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment4);
    double d7 = summaryStatisticsImpl2.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    variance9.clear();
    summaryStatisticsImpl2.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = tTestImpl0.t(0.3675056060707571d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test260() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test260"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl1);
    long[] long_array3 = null;
    long[][] long_array_array4 = new long[][] { long_array3 };
    // The following exception was thrown during execution in test generation
    try {
      double d5 = chiSquareTestImpl1.chiSquare(long_array_array4);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array4);

  }

  @Test
  public void test261() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test261"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment9 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d10 = firstMoment9.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double d23 = tTestImpl12.pairedT(d_array16, d_array21);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = tTestImpl12.t(d_array27, d_array38);
    double d42 = firstMoment9.evaluate(d_array38);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment43 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d44 = firstMoment43.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean45 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment43);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = tTestImpl46.t(d_array61, d_array72);
    double d76 = firstMoment43.evaluate(d_array72);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array38, d_array72);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = variance7.evaluate(d_array38, 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);

  }

  @Test
  public void test262() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test262"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    sum2.clear();
    sum2.increment(0.0d);
    double[] d_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      sum2.incrementAll(d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);

  }

  @Test
  public void test263() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test263"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test264() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test264"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array54);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array68);
    boolean b73 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array54, d_array68, 0.003199067406189915d);
    variance7.incrementAll(d_array68);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    // The following exception was thrown during execution in test generation
    try {
      boolean b90 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array68, d_array85, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);

  }

  @Test
  public void test265() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test265"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    double d8 = summaryStatisticsImpl3.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares9 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares9.increment(100.0d);
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares9);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl3.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);

  }

  @Test
  public void test266() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test266"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(4.9990016347435355E7d, 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.0d);

  }

  @Test
  public void test267() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test267"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    sumOfLogs3.clear();
    sumOfLogs3.clear();
    long long14 = sumOfLogs3.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = tTestImpl17.t(d_array32, d_array43);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl47 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double d58 = tTestImpl47.pairedT(d_array51, d_array56);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl64 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array73);
    double d75 = tTestImpl64.pairedT(d_array68, d_array73);
    double d76 = tTestImpl47.t(d_array62, d_array73);
    double d77 = tTestImpl16.tTest(d_array32, d_array73);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array73);
    sumOfLogs3.incrementAll(d_array73);
    double[] d_array80 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d81 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array73, d_array80);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.9984150981000139d);

  }

  @Test
  public void test268() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test268"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double d6 = variance0.evaluate(d_array4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double d33 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array30);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double d46 = tTestImpl35.pairedT(d_array39, d_array44);
    double d47 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array44);
    boolean b49 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array30, d_array44, 0.003199067406189915d);
    double d50 = tTestImpl7.t(d_array17, d_array30);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = variance0.evaluate(d_array17, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);

  }

  @Test
  public void test269() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test269"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d7 = summaryStatisticsImpl6.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl6.getGeoMeanImpl();
    double d9 = summaryStatisticsImpl6.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test270() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test270"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    sum0.incrementAll(d_array10);
    sum0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test271() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test271"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array9 = null;
    long[][] long_array_array10 = new long[][] { long_array9 };
    // The following exception was thrown during execution in test generation
    try {
      double d11 = chiSquareTestImpl8.chiSquare(long_array_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array10);

  }

  @Test
  public void test272() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test272"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = new long[] { 10L, 10L, 10L };
    long[] long_array7 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array6, long_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test273() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test273"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.5d, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test274() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test274"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    long[] long_array4 = null;
    long[] long_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array4, long_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test275() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test275"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = null;
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);

  }

  @Test
  public void test276() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test276"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double[] d_array11 = new double[] {  };
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics12 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b14 = summaryStatistics12.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long16 = sumOfLogs15.getN();
    summaryStatistics12.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs15);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl18 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long19 = summaryStatisticsImpl18.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment20 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d21 = firstMoment20.getResult();
    summaryStatisticsImpl18.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment20);
    boolean b23 = sumOfLogs15.equals((java.lang.Object)summaryStatisticsImpl18);
    sumOfLogs15.clear();
    sumOfLogs15.clear();
    long long26 = sumOfLogs15.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double d58 = tTestImpl29.t(d_array44, d_array55);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    double d88 = tTestImpl59.t(d_array74, d_array85);
    double d89 = tTestImpl28.tTest(d_array44, d_array85);
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array85);
    sumOfLogs15.incrementAll(d_array85);
    // The following exception was thrown during execution in test generation
    try {
      double d92 = tTestImpl0.pairedT(d_array11, d_array85);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.9984150981000139d);

  }

  @Test
  public void test277() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test277"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    geometricMean0.clear();
    geometricMean0.clear();
    double d4 = geometricMean0.getResult();
    geometricMean0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl27 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double d38 = tTestImpl27.pairedT(d_array31, d_array36);
    double d39 = tTestImpl10.t(d_array25, d_array36);
    double d40 = firstMoment7.evaluate(d_array36);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = geometricMean0.evaluate(d_array36, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.5d);

  }

  @Test
  public void test278() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test278"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long1 = sumOfLogs0.getN();
    sumOfLogs0.increment(0.5012447816130978d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = tTestImpl6.t(d_array21, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl36 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double d47 = tTestImpl36.pairedT(d_array40, d_array45);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl53 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double d64 = tTestImpl53.pairedT(d_array57, d_array62);
    double d65 = tTestImpl36.t(d_array51, d_array62);
    double d66 = tTestImpl5.tTest(d_array21, d_array62);
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array62);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = sumOfLogs0.evaluate(d_array62, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.9984150981000139d);

  }

  @Test
  public void test279() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test279"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.3675056060707571d, 0.9984150981000139d);
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(Double.NEGATIVE_INFINITY, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test280() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test280"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl7 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl7);
    double d10 = chiSquaredDistributionImpl7.cumulativeProbability(0.020798772066727332d);
    double d13 = chiSquaredDistributionImpl7.cumulativeProbability(Double.NEGATIVE_INFINITY, (-0.0020211614211524953d));
    chiSquareTestImpl1.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl7);
    long[] long_array17 = new long[] { 10L, 1L };
    long[] long_array21 = new long[] { 100L, 0L, (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d22 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array17, long_array21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.46761113031083257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array21);

  }

  @Test
  public void test281() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test281"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares7 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares7.increment(100.0d);
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares7);
    double d11 = summaryStatisticsImpl1.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl1.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = null;
    summaryStatisticsImpl1.setSumLogImpl(storelessUnivariateStatistic13);
    double d15 = summaryStatisticsImpl1.getGeometricMean();
    // The following exception was thrown during execution in test generation
    try {
      boolean b17 = org.apache.commons.math.stat.inference.TestUtils.tTest(1.7887765104350548E-80d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, (-1.2110363580874859d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test282() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test282"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array1 = null;
    long[][] long_array_array2 = new long[][] { long_array1 };
    // The following exception was thrown during execution in test generation
    try {
      double d3 = chiSquareTestImpl0.chiSquare(long_array_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array2);

  }

  @Test
  public void test283() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test283"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    boolean b11 = summaryStatisticsImpl0.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics12 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b14 = summaryStatistics12.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long16 = sumOfLogs15.getN();
    summaryStatistics12.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs15);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary18 = summaryStatistics12.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs19 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs19.increment(0.0d);
    sumOfLogs19.increment(Double.NEGATIVE_INFINITY);
    summaryStatistics12.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs19);
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary18);

  }

  @Test
  public void test284() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test284"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.25d);
    // The following exception was thrown during execution in test generation
    try {
      double d6 = tDistributionImpl1.cumulativeProbability(0.16230087157570017d, 0.003199067406189915d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test285() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test285"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      double d6 = tDistributionImpl1.cumulativeProbability(0.46761113031083257d, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);

  }

  @Test
  public void test286() {}
// Defects4J: flaky method
//   @Test
//   public void test286() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test286"); }
// 
// 
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long3 = summaryStatisticsImpl2.getN();
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment4 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d5 = firstMoment4.getResult();
//     summaryStatisticsImpl2.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment4);
//     org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = summaryStatisticsImpl2.getSummary();
//     double d8 = summaryStatisticsImpl2.getMean();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance();
//     summaryStatisticsImpl2.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array16 = new double[] { 1.0d, 0.0d };
//     double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
//     double[] d_array21 = new double[] { 1.0d, 0.0d };
//     double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
//     double d23 = tTestImpl12.pairedT(d_array16, d_array21);
//     double d24 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array21);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array30 = new double[] { 1.0d, 0.0d };
//     double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
//     double[] d_array35 = new double[] { 1.0d, 0.0d };
//     double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
//     double d37 = tTestImpl26.pairedT(d_array30, d_array35);
//     double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
//     boolean b40 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array21, d_array35, 0.003199067406189915d);
//     double d44 = variance9.evaluate(d_array21, Double.NaN, 0, 0);
//     long long45 = variance9.getN();
//     variance9.setBiasCorrected(true);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array52 = new double[] { 1.0d, 0.0d };
//     double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
//     double[] d_array57 = new double[] { 1.0d, 0.0d };
//     double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
//     double d59 = tTestImpl48.pairedT(d_array52, d_array57);
//     double[] d_array62 = new double[] { 100.0d, 10.0d };
//     double d63 = org.apache.commons.math.stat.inference.TestUtils.t(d_array57, d_array62);
//     double d65 = variance9.evaluate(d_array62, 0.8839455171548418d);
//     double d66 = tTestImpl0.tTest(1.0d, d_array62);
//     long[] long_array67 = new long[] {  };
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b69 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array62, long_array67, 0.5010105807105762d);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long3 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(statisticalSummary7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array16);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array21);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d38 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b40 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long45 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array62);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d63 == (-1.2110363580874859d));
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d65 == 4049.999999999999d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d66 == 0.44228412324739086d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array67);
// 
//   }

  @Test
  public void test287() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test287"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    sumOfSquares0.increment(0.9984150981000139d);
    long long4 = sumOfSquares0.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long8 = summaryStatisticsImpl7.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment9 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d10 = firstMoment9.getResult();
    summaryStatisticsImpl7.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment9);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl7.getSummary();
    double d13 = summaryStatisticsImpl7.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl7.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array40);
    boolean b45 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array26, d_array40, 0.003199067406189915d);
    double d49 = variance14.evaluate(d_array26, Double.NaN, 0, 0);
    long long50 = variance14.getN();
    variance14.setBiasCorrected(true);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl53 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double d64 = tTestImpl53.pairedT(d_array57, d_array62);
    double[] d_array67 = new double[] { 100.0d, 10.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.t(d_array62, d_array67);
    double d70 = variance14.evaluate(d_array67, 0.8839455171548418d);
    double d71 = tTestImpl5.tTest(1.0d, d_array67);
    // The following exception was thrown during execution in test generation
    try {
      double d74 = sumOfSquares0.evaluate(d_array67, 100, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.44228412324739086d);

  }

  @Test
  public void test288() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test288"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl3.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum5);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl3.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d9 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3, statisticalSummary8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);

  }

  @Test
  public void test289() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test289"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares0.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl4 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    tTestImpl2.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl8 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl8);
    double d11 = tDistributionImpl8.cumulativeProbability(0.5d);
    tTestImpl2.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl8);
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    sum14.incrementAll(d_array24);
    double d28 = tTestImpl2.tTest(10.0d, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = sumOfSquares0.evaluate(d_array24, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.03347541671314813d);

  }

  @Test
  public void test290() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test290"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistribution tDistribution1 = null;
    tTestImpl0.setDistribution(tDistribution1);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment4 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d5 = firstMoment4.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment4);
    mean6.increment(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl37 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double d48 = tTestImpl37.pairedT(d_array41, d_array46);
    double d49 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array46);
    boolean b51 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array32, d_array46, 0.003199067406189915d);
    double d52 = tTestImpl9.t(d_array19, d_array32);
    org.apache.commons.math.stat.descriptive.summary.Sum sum54 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    sum54.incrementAll(d_array64);
    double d68 = tTestImpl9.tTest(0.9984150981000139d, d_array64);
    double d69 = mean6.evaluate(d_array64);
    // The following exception was thrown during execution in test generation
    try {
      double d70 = tTestImpl0.tTest(0.7653192729571252d, d_array64);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.5d);

  }

  @Test
  public void test291() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test291"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    variance7.increment(4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);

  }

  @Test
  public void test292() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test292"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    long[] long_array15 = new long[] { (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d16 = chiSquareTestImpl7.chiSquare(d_array12, long_array15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array15);

  }

  @Test
  public void test293() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test293"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double d4 = chiSquaredDistributionImpl1.cumulativeProbability(0.020798772066727332d);
    double d7 = chiSquaredDistributionImpl1.cumulativeProbability(Double.NEGATIVE_INFINITY, (-0.0020211614211524953d));
    // The following exception was thrown during execution in test generation
    try {
      chiSquaredDistributionImpl1.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.46761113031083257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test294() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test294"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares7 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares7.increment(100.0d);
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares7);
    double d11 = summaryStatisticsImpl1.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl1.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = null;
    summaryStatisticsImpl1.setSumLogImpl(storelessUnivariateStatistic13);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl1.getMaxImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);

  }

  @Test
  public void test295() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test295"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    long[] long_array10 = null;
    long[][] long_array_array11 = new long[][] { long_array10 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = chiSquareTestImpl2.chiSquareTest(long_array_array11, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array11);

  }

  @Test
  public void test296() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test296"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    sumOfSquares6.increment(82099.71749644238d);
    sumOfSquares6.increment(0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test297() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test297"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = summaryStatisticsImpl5.getSummary();
    long long8 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl5.getMaxImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);

  }

  @Test
  public void test298() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test298"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    double[] d_array65 = new double[] { 100.0d, 1.0d, 10.0d };
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = tTestImpl0.tTest(d_array65, d_array75);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl79 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic80 = summaryStatisticsImpl79.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum81 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl79.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum81);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics83 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b85 = summaryStatistics83.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs86 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long87 = sumOfLogs86.getN();
    summaryStatistics83.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs86);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary89 = summaryStatistics83.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs90 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs90.increment(0.0d);
    sumOfLogs90.increment(Double.NEGATIVE_INFINITY);
    summaryStatistics83.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs90);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = tTestImpl0.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl79, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics83);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long87 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary89);

  }

  @Test
  public void test299() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test299"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    secondMoment8.increment(0.9984150981000139d);
    secondMoment8.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double[] d_array30 = new double[] { 100.0d, 10.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(d_array25, d_array30);
    double d33 = variance15.evaluate(d_array30, 0.5010105807105762d);
    long[] long_array34 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d35 = chiSquareTestImpl7.chiSquare(d_array30, long_array34);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array34);

  }

  @Test
  public void test300() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test300"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl((-1.2110363580874859d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test301() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test301"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary62 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl63 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = summaryStatisticsImpl63.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary65 = summaryStatisticsImpl63.getSummary();
    long long66 = summaryStatisticsImpl63.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic67 = summaryStatisticsImpl63.getSumLogImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d68 = tTestImpl0.t(statisticalSummary62, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl63);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long66 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic67);

  }

  @Test
  public void test302() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test302"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = tTestImpl44.t(d_array59, d_array70);
    double d74 = tTestImpl13.tTest(d_array29, d_array70);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = tTestImpl1.homoscedasticT(d_array29, d_array85);
    org.apache.commons.math.stat.descriptive.moment.Variance variance90 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array94 = new double[] { 1.0d, 0.0d };
    double d95 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array94);
    double d96 = variance90.evaluate(d_array94);
    double d97 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT(d_array29, d_array94);
    // The following exception was thrown during execution in test generation
    try {
      boolean b99 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array94, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.0d);

  }

  @Test
  public void test303() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test303"); }


    long[] long_array0 = null;
    long[] long_array3 = new long[] { (-1L), 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array0, long_array3, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);

  }

  @Test
  public void test304() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test304"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    long long4 = summaryStatisticsImpl1.getN();
    java.lang.String str5 = summaryStatisticsImpl1.toString();
    double d6 = summaryStatisticsImpl1.getMean();
    // The following exception was thrown during execution in test generation
    try {
      double d7 = org.apache.commons.math.stat.inference.TestUtils.t(0.5d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str5.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test305() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test305"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    double[] d_array65 = new double[] { 100.0d, 1.0d, 10.0d };
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = tTestImpl0.tTest(d_array65, d_array75);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl79 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic80 = summaryStatisticsImpl79.getGeoMeanImpl();
    summaryStatisticsImpl79.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic82 = summaryStatisticsImpl79.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic83 = summaryStatisticsImpl79.getVarianceImpl();
    double d84 = summaryStatisticsImpl79.getSumsq();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics85 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b87 = summaryStatistics85.equals((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      double d88 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl79, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics85);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b87 == false);

  }

  @Test
  public void test306() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test306"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = null;
    summaryStatisticsImpl0.setSumLogImpl(storelessUnivariateStatistic12);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl0.getMaxImpl();
    // The following exception was thrown during execution in test generation
    try {
      summaryStatisticsImpl0.clear();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);

  }

  @Test
  public void test307() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test307"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance6.setBiasCorrected(false);
    double d9 = variance6.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double d22 = tTestImpl11.pairedT(d_array15, d_array20);
    double d23 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array20);
    double d24 = variance6.evaluate(d_array20);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment25 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d26 = firstMoment25.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = tTestImpl28.t(d_array43, d_array54);
    double d58 = firstMoment25.evaluate(d_array54);
    double d59 = org.apache.commons.math.stat.inference.TestUtils.t(d_array20, d_array54);
    long[] long_array62 = new long[] { 0L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d63 = chiSquareTestImpl4.chiSquareTest(d_array20, long_array62);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array62);

  }

  @Test
  public void test308() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test308"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b3 = summaryStatistics1.equals((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.stat.inference.TestUtils.t(Double.NaN, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);

  }

  @Test
  public void test309() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test309"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d2 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double d10 = variance4.evaluate(d_array8);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = variance3.evaluate(d_array8, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.5d);

  }

  @Test
  public void test310() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test310"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl47 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl51 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    double d54 = tDistributionImpl51.cumulativeProbability(0.5d);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl57 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic58 = summaryStatisticsImpl57.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary59 = summaryStatisticsImpl57.getSummary();
    long long60 = summaryStatisticsImpl57.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic61 = summaryStatisticsImpl57.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment63 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance64 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment63);
    double d65 = secondMoment63.getResult();
    summaryStatisticsImpl57.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment63);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl67 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long68 = summaryStatisticsImpl67.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment69 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d70 = firstMoment69.getResult();
    summaryStatisticsImpl67.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment69);
    double d72 = summaryStatisticsImpl67.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares73 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares73.increment(100.0d);
    summaryStatisticsImpl67.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares73);
    double d77 = summaryStatisticsImpl67.getMax();
    // The following exception was thrown during execution in test generation
    try {
      boolean b79 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl57, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl67, 3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long60 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long68 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 10000.0d);

  }

  @Test
  public void test311() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test311"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = null;
    long[][] long_array_array7 = new long[][] { long_array6 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = chiSquareTestImpl5.chiSquareTest(long_array_array7, 0.5010105807105762d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array7);

  }

  @Test
  public void test312() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test312"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl62 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl64 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d66 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl62.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    double d68 = tDistributionImpl64.getDegreesOfFreedom();
    double d70 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics72 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b74 = summaryStatistics72.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs75 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long76 = sumOfLogs75.getN();
    summaryStatistics72.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs75);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl78 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long79 = summaryStatisticsImpl78.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment80 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d81 = firstMoment80.getResult();
    summaryStatisticsImpl78.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment80);
    boolean b83 = sumOfLogs75.equals((java.lang.Object)summaryStatisticsImpl78);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl84 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic85 = summaryStatisticsImpl84.getGeoMeanImpl();
    summaryStatisticsImpl78.setVarianceImpl(storelessUnivariateStatistic85);
    double d87 = summaryStatisticsImpl78.getVariance();
    org.apache.commons.math.stat.descriptive.rank.Max max88 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long89 = max88.getN();
    max88.increment(0.0d);
    summaryStatisticsImpl78.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max88);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics93 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b95 = summaryStatistics93.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic96 = summaryStatistics93.getGeoMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d97 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl78, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long76 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b83 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long89 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics93);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b95 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic96);

  }

  @Test
  public void test313() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test313"); }


    long[] long_array1 = new long[] { 1L };
    long[] long_array2 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array1, long_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array1);

  }

  @Test
  public void test314() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test314"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs0.clear();
    sumOfLogs0.increment(0.0d);

  }

  @Test
  public void test315() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test315"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(100.0d, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test316() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test316"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution9 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution9);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.3675056060707571d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test317() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test317"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    sum12.incrementAll(d_array22);
    double d26 = tTestImpl0.tTest(10.0d, d_array22);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl27 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long28 = summaryStatisticsImpl27.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum29 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl27.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum29);
    double d31 = summaryStatisticsImpl27.getGeometricMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = summaryStatisticsImpl27.getMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl33 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long34 = summaryStatisticsImpl33.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment35 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d36 = firstMoment35.getResult();
    summaryStatisticsImpl33.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment35);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary38 = summaryStatisticsImpl33.getSummary();
    double d39 = summaryStatisticsImpl33.getMean();
    double d40 = summaryStatisticsImpl33.getSum();
    double d41 = summaryStatisticsImpl33.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = summaryStatisticsImpl33.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic43 = summaryStatisticsImpl33.getMinImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b45 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl27, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl33, 0.03347541671314813d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.03347541671314813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic43);

  }

  @Test
  public void test318() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test318"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl4.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    double d9 = sum6.getResult();
    long long10 = sum6.getN();
    double d11 = sum6.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);

  }

  @Test
  public void test319() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test319"); }


    org.apache.commons.math.distribution.TDistribution tDistribution0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl(tDistribution0);
    double[] d_array2 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = tTestImpl1.pairedT(d_array2, d_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test320() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test320"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics13 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b15 = summaryStatistics13.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs16 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long17 = sumOfLogs16.getN();
    summaryStatistics13.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs16);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = tTestImpl0.tTest(0.6909132170845432d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);

  }

  @Test
  public void test321() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test321"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d1 = max0.getResult();
    max0.clear();
    max0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl4.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl4.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    long long8 = sum6.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d41 = sum6.evaluate(d_array19, 1, 1);
    // The following exception was thrown during execution in test generation
    try {
      double d44 = max0.evaluate(d_array19, (-1), 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);

  }

  @Test
  public void test322() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test322"); }


    org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest unknownDistributionChiSquareTest0 = null;
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest(unknownDistributionChiSquareTest0);

  }

  @Test
  public void test323() {}
// Defects4J: flaky method
//   @Test
//   public void test323() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test323"); }
// 
// 
//     long[] long_array0 = null;
//     long[][] long_array_array1 = new long[][] { long_array0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 0.0d);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array_array1);
// 
//   }

  @Test
  public void test324() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test324"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.03347541671314813d, (-1.0d), 10.0d, 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test325() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test325"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array7 = new long[] {  };
    long[] long_array9 = new long[] { 1L };
    // The following exception was thrown during execution in test generation
    try {
      double d10 = chiSquareTestImpl6.chiSquareDataSetsComparison(long_array7, long_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);

  }

  @Test
  public void test326() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test326"); }


    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str3 = convergenceException2.toString();
    org.apache.commons.math.MathException mathException4 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException2);
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("");
    convergenceException2.addSuppressed((java.lang.Throwable)mathException6);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException2);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)convergenceException2);
    java.lang.String str10 = mathException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str3.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str10 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "+ "'", str10.equals("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test327() {}
// Defects4J: flaky method
//   @Test
//   public void test327() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test327"); }
// 
// 
//     long[] long_array0 = null;
//     long[][] long_array_array1 = new long[][] { long_array0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 0.3675056060707571d);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array_array1);
// 
//   }

  @Test
  public void test328() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test328"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = firstMoment7.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl11 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long12 = summaryStatisticsImpl11.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment13 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d14 = firstMoment13.getResult();
    summaryStatisticsImpl11.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment13);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary16 = summaryStatisticsImpl11.getSummary();
    double d17 = summaryStatisticsImpl11.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl11.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double d33 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array30);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double d46 = tTestImpl35.pairedT(d_array39, d_array44);
    double d47 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array44);
    boolean b49 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array30, d_array44, 0.003199067406189915d);
    double d53 = variance18.evaluate(d_array30, Double.NaN, 0, 0);
    firstMoment7.incrementAll(d_array30);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array30);
    double d56 = variance1.evaluate(d_array30);
    boolean b57 = variance1.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b49 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);

  }

  @Test
  public void test329() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test329"); }


    long[] long_array2 = new long[] { 1L, 10L };
    long[] long_array3 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array3, 1.7887765104350548E-80d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test330() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test330"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    double d8 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary17 = summaryStatisticsImpl12.getSummary();
    double d18 = summaryStatisticsImpl12.getMean();
    double d19 = summaryStatisticsImpl12.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance21 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long22 = variance21.getN();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance21);
    long long24 = summaryStatisticsImpl12.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);

  }

  @Test
  public void test331() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test331"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl((-0.0020211614211524953d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test332() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test332"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl9 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array11 = new long[] { 0L };
    long[] long_array14 = new long[] { 1L, 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d15 = chiSquareTestImpl9.chiSquareDataSetsComparison(long_array11, long_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);

  }

  @Test
  public void test333() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test333"); }


    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException2 = new org.apache.commons.math.MaxIterationsExceededException(1);
    java.lang.Throwable[] throwable_array3 = maxIterationsExceededException2.getSuppressed();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    java.lang.Object[] obj_array7 = new java.lang.Object[] { secondMoment6 };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array7);
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array16);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array7, (java.lang.Throwable)maxIterationsExceededException19);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Object[])throwable_array3, (java.lang.Throwable)maxIterationsExceededException19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test334() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test334"); }


    java.lang.Object[] obj_array3 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str6 = convergenceException5.toString();
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException5);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", obj_array3, (java.lang.Throwable)mathException7);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException((java.lang.Throwable)mathException8);
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: ", (java.lang.Throwable)mathException9);
    java.lang.Object[] obj_array11 = convergenceException10.getArguments();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str6.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);

  }

  @Test
  public void test335() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test335"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares1.increment(100.0d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares1);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment5);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    double d38 = firstMoment5.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment39 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d40 = firstMoment39.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean41 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = tTestImpl42.t(d_array57, d_array68);
    double d72 = firstMoment39.evaluate(d_array68);
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array34, d_array68);
    // The following exception was thrown during execution in test generation
    try {
      double d76 = sumOfSquares1.evaluate(d_array34, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);

  }

  @Test
  public void test336() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test336"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array54);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array68);
    boolean b73 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array54, d_array68, 0.003199067406189915d);
    variance7.incrementAll(d_array68);
    variance7.clear();
    long long76 = variance7.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long76 == 0L);

  }

  @Test
  public void test337() {}
// Defects4J: flaky method
//   @Test
//   public void test337() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test337"); }
// 
// 
//     long[] long_array0 = null;
//     long[][] long_array_array1 = new long[][] { long_array0 };
//     // The following exception was thrown during execution in test generation
//     try {
//       boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 0.46761113031083257d);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array_array1);
// 
//   }

  @Test
  public void test338() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test338"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    long[] long_array12 = new long[] { 1L, 10L };
    long[] long_array13 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d14 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array12, long_array13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);

  }

  @Test
  public void test339() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test339"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP((-0.7678910343096836d), (-0.7678910343096836d), 0.0d, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test340() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test340"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl6);
    long[] long_array10 = new long[] { 100L, (-1L) };
    long[] long_array11 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = chiSquareTestImpl6.chiSquareTestDataSetsComparison(long_array10, long_array11, 0.6931471805599457d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array11);

  }

  @Test
  public void test341() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test341"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(10000.0d, 3.0d);
    double d3 = gammaDistributionImpl2.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 10000.0d);

  }

  @Test
  public void test342() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test342"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    long[] long_array13 = new long[] { 1L, (-1L), (-1L) };
    long[] long_array16 = new long[] { 10L, 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d17 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array13, long_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array16);

  }

  @Test
  public void test343() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test343"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    // The following exception was thrown during execution in test generation
    try {
      double d12 = chiSquaredDistributionImpl4.cumulativeProbability(3.0d, 0.44228412324739086d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);

  }

  @Test
  public void test344() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test344"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl63 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long64 = summaryStatisticsImpl63.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment65 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d66 = firstMoment65.getResult();
    summaryStatisticsImpl63.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment65);
    double d68 = summaryStatisticsImpl63.getStandardDeviation();
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    boolean b74 = summaryStatisticsImpl63.equals((java.lang.Object)100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d75 = tTestImpl0.t((-0.0020211614211524953d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl63);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b74 == false);

  }

  @Test
  public void test345() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test345"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.16230087157570017d, 0.0d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 1.0d);

  }

  @Test
  public void test346() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test346"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl9 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.3675056060707571d, 0.9984150981000139d);
    chiSquaredDistributionImpl6.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl15 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl15.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl18 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl15);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl19 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.44228412324739086d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl15);
    chiSquaredDistributionImpl6.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl15);
    double d22 = gammaDistributionImpl15.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.0d);

  }

  @Test
  public void test347() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test347"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl61 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double d72 = tTestImpl61.pairedT(d_array65, d_array70);
    double d73 = tTestImpl44.t(d_array59, d_array70);
    double d74 = tTestImpl13.tTest(d_array29, d_array70);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = tTestImpl1.homoscedasticT(d_array29, d_array85);
    // The following exception was thrown during execution in test generation
    try {
      double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array0, d_array29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d72, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);

  }

  @Test
  public void test348() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test348"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double d3 = chiSquaredDistributionImpl1.getDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.3675056060707571d);

  }

  @Test
  public void test349() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test349"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl20 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = summaryStatisticsImpl20.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum22 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl20.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum22);
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl20, (-5.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);

  }

  @Test
  public void test350() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test350"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    variance7.setBiasCorrected(true);
    double[] d_array46 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d48 = variance7.evaluate(d_array46, 3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);

  }

  @Test
  public void test351() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test351"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    long long2 = sumOfSquares0.getN();
    double d3 = sumOfSquares0.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test352() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test352"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(1.0d, 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 1.0d);

  }

  @Test
  public void test353() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test353"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array1 = null;
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment2);
    firstMoment2.clear();
    firstMoment2.clear();
    firstMoment2.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long8 = summaryStatisticsImpl7.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment9 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d10 = firstMoment9.getResult();
    summaryStatisticsImpl7.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment9);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl7.getSummary();
    double d13 = summaryStatisticsImpl7.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl7.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance14);
    double[] d_array16 = new double[] {  };
    double d18 = variance14.evaluate(d_array16, 100.0d);
    firstMoment2.incrementAll(d_array16);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = tTestImpl0.pairedTTest(d_array1, d_array16);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test354() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test354"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl5);
    long[] long_array7 = null;
    long[][] long_array_array8 = new long[][] { long_array7 };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl5.chiSquare(long_array_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array8);

  }

  @Test
  public void test355() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test355"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array7 = null;
    long[][] long_array_array8 = new long[][] { long_array7 };
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquareTestImpl6.chiSquare(long_array_array8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array8);

  }

  @Test
  public void test356() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test356"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);

  }

  @Test
  public void test357() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test357"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    double d9 = tDistributionImpl2.getDegreesOfFreedom();
    tDistributionImpl2.setDegreesOfFreedom(1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);

  }

  @Test
  public void test358() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test358"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array9 = null;
    long[][] long_array_array10 = new long[][] { long_array9 };
    // The following exception was thrown during execution in test generation
    try {
      double d11 = chiSquareTestImpl8.chiSquareTest(long_array_array10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array10);

  }

  @Test
  public void test359() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test359"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma((-0.7678910343096836d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test360() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test360"); }


    java.lang.Object[] obj_array1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("hi!", obj_array1, (java.lang.Throwable)convergenceException2);
    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Throwable[] throwable_array14 = convergenceException13.getSuppressed();
    convergenceException3.addSuppressed((java.lang.Throwable)convergenceException13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test361() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test361"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics8 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b10 = summaryStatistics8.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs11 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long12 = sumOfLogs11.getN();
    summaryStatistics8.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs11);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl14 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long15 = summaryStatisticsImpl14.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment16 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d17 = firstMoment16.getResult();
    summaryStatisticsImpl14.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment16);
    boolean b19 = sumOfLogs11.equals((java.lang.Object)summaryStatisticsImpl14);
    sumOfLogs11.clear();
    sumOfLogs11.clear();
    long long22 = sumOfLogs11.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double d54 = tTestImpl25.t(d_array40, d_array51);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl72 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array76 = new double[] { 1.0d, 0.0d };
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array76);
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    double d82 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array81);
    double d83 = tTestImpl72.pairedT(d_array76, d_array81);
    double d84 = tTestImpl55.t(d_array70, d_array81);
    double d85 = tTestImpl24.tTest(d_array40, d_array81);
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array81);
    sumOfLogs11.incrementAll(d_array81);
    long[] long_array89 = new long[] { 10L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b91 = chiSquareTestImpl7.chiSquareTest(d_array81, long_array89, (-5.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b19 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array89);

  }

  @Test
  public void test362() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test362"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d1 = min0.getResult();
    double d2 = min0.getResult();
    min0.increment(3.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d48 = tTestImpl5.t(d_array15, d_array28);
    org.apache.commons.math.stat.descriptive.summary.Sum sum50 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    sum50.incrementAll(d_array60);
    double d64 = tTestImpl5.tTest(0.9984150981000139d, d_array60);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array60, d_array74);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = min0.evaluate(d_array60, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);

  }

  @Test
  public void test363() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test363"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs4.increment(0.0d);
    sumOfLogs4.increment(Double.NEGATIVE_INFINITY);
    summaryStatisticsImpl1.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs4);
    boolean b11 = summaryStatisticsImpl1.equals((java.lang.Object)(short)(-1));
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl1.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math.stat.inference.TestUtils.t(3.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);

  }

  @Test
  public void test364() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test364"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = null;
    summaryStatisticsImpl0.setGeoMeanImpl(storelessUnivariateStatistic5);
    // The following exception was thrown during execution in test generation
    try {
      double d7 = summaryStatisticsImpl0.getGeometricMean();
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);

  }

  @Test
  public void test365() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test365"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    double d9 = secondMoment0.getResult();
    secondMoment0.increment(0.003199067406189915d);
    secondMoment0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 4.9990016347435355E7d);

  }

  @Test
  public void test366() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test366"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    double d7 = summaryStatisticsImpl1.getMean();
    double d8 = summaryStatisticsImpl1.getSum();
    double d9 = summaryStatisticsImpl1.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl1.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl1.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b13 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, 10.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test367() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test367"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(Double.NEGATIVE_INFINITY, (-8098.999999999998d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test368() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test368"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    geometricMean0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl3.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum5);
    sum5.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double d20 = tTestImpl9.pairedT(d_array13, d_array18);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = tTestImpl9.t(d_array24, d_array35);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl39 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double d50 = tTestImpl39.pairedT(d_array43, d_array48);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl56 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double[] d_array65 = new double[] { 1.0d, 0.0d };
    double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
    double d67 = tTestImpl56.pairedT(d_array60, d_array65);
    double d68 = tTestImpl39.t(d_array54, d_array65);
    double d69 = tTestImpl8.tTest(d_array24, d_array65);
    sum5.incrementAll(d_array65);
    // The following exception was thrown during execution in test generation
    try {
      double d73 = geometricMean0.evaluate(d_array65, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 1.0d);

  }

  @Test
  public void test369() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test369"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = org.apache.commons.math.stat.inference.TestUtils.tTest(4.9990016347435355E7d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, (-1.2110363580874859d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test370() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test370"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares1.increment(100.0d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares1);
    sumOfSquares1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    secondMoment6.increment(0.9984150981000139d);
    secondMoment6.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array28 = new double[] { 100.0d, 10.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.t(d_array23, d_array28);
    double d31 = variance13.evaluate(d_array28, 0.5010105807105762d);
    // The following exception was thrown during execution in test generation
    try {
      double d34 = sumOfSquares1.evaluate(d_array28, 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 4049.999999999999d);

  }

  @Test
  public void test371() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test371"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    summaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = tTestImpl6.t(d_array21, d_array32);
    double d36 = variance4.evaluate(d_array21);
    long[] long_array38 = new long[] { 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d39 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array21, long_array38);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array38);

  }

  @Test
  public void test372() {}
// Defects4J: flaky method
//   @Test
//   public void test372() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test372"); }
// 
// 
//     long[] long_array2 = new long[] { 1L, 100L };
//     long[] long_array4 = new long[] { 10L };
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array4);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array4);
// 
//   }

  @Test
  public void test373() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test373"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double d18 = tTestImpl7.pairedT(d_array11, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d49 = tTestImpl6.t(d_array16, d_array29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double d63 = tTestImpl52.pairedT(d_array56, d_array61);
    sum51.incrementAll(d_array61);
    double d65 = tTestImpl6.tTest(0.9984150981000139d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array61, d_array75);
    // The following exception was thrown during execution in test generation
    try {
      double d81 = sumOfLogs3.evaluate(d_array75, 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);

  }

  @Test
  public void test374() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test374"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    double d2 = summaryStatisticsImpl0.getVariance();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl3.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl3.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum5);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics7 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b9 = summaryStatistics7.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs10 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long11 = sumOfLogs10.getN();
    summaryStatistics7.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    double d13 = sumOfLogs10.getResult();
    summaryStatisticsImpl3.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs10);
    // The following exception was thrown during execution in test generation
    try {
      double d15 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b9 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test375() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test375"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    double[] d_array13 = new double[] {  };
    double d15 = variance11.evaluate(d_array13, 100.0d);
    double d16 = variance1.evaluate(d_array13);
    long[] long_array20 = new long[] { 0L, 10L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b22 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array13, long_array20, 0.998206254491263d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);

  }

  @Test
  public void test376() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test376"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d10 = summaryStatisticsImpl9.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl9.getGeoMeanImpl();
    double d12 = summaryStatisticsImpl9.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test377() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test377"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    double d9 = secondMoment0.getResult();
    secondMoment0.clear();
    double[] d_array11 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d12 = secondMoment0.evaluate(d_array11);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 4.9990016347435355E7d);

  }

  @Test
  public void test378() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test378"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl21 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long22 = summaryStatisticsImpl21.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment23 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d24 = firstMoment23.getResult();
    summaryStatisticsImpl21.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment23);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary26 = summaryStatisticsImpl21.getSummary();
    double d27 = summaryStatisticsImpl21.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance28 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl21.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array54);
    boolean b59 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array40, d_array54, 0.003199067406189915d);
    double d63 = variance28.evaluate(d_array40, Double.NaN, 0, 0);
    long long64 = variance28.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array75);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double[] d_array89 = new double[] { 1.0d, 0.0d };
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
    double d91 = tTestImpl80.pairedT(d_array84, d_array89);
    double d92 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array89);
    boolean b94 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array75, d_array89, 0.003199067406189915d);
    variance28.incrementAll(d_array89);
    // The following exception was thrown during execution in test generation
    try {
      double d98 = sumOfSquares16.evaluate(d_array89, 100, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b59 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);

  }

  @Test
  public void test379() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test379"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");

  }

  @Test
  public void test380() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test380"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.clear();
    min0.increment(Double.NaN);
    double d4 = min0.getResult();
    long long5 = min0.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double d18 = tTestImpl7.pairedT(d_array11, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d49 = tTestImpl6.t(d_array16, d_array29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double d63 = tTestImpl52.pairedT(d_array56, d_array61);
    sum51.incrementAll(d_array61);
    double d65 = tTestImpl6.tTest(0.9984150981000139d, d_array61);
    // The following exception was thrown during execution in test generation
    try {
      double d68 = min0.evaluate(d_array61, 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.5010105807105762d);

  }

  @Test
  public void test381() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test381"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    long[] long_array2 = new long[] {  };
    long[] long_array5 = new long[] { 10L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b7 = chiSquareTestImpl1.chiSquareTestDataSetsComparison(long_array2, long_array5, (-8098.999999999998d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);

  }

  @Test
  public void test382() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test382"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl60 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long61 = summaryStatisticsImpl60.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment62 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d63 = firstMoment62.getResult();
    summaryStatisticsImpl60.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment62);
    double d65 = summaryStatisticsImpl60.getStandardDeviation();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    boolean b71 = summaryStatisticsImpl60.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min72 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d73 = min72.getResult();
    double d74 = min72.getResult();
    summaryStatisticsImpl60.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min72);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic76 = summaryStatisticsImpl60.getSumImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl77 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d78 = summaryStatisticsImpl77.getSum();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary79 = summaryStatisticsImpl77.getSummary();
    // The following exception was thrown during execution in test generation
    try {
      double d80 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl60, statisticalSummary79);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long61 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d65, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b71 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d78, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary79);

  }

  @Test
  public void test383() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test383"); }


    org.apache.commons.math.stat.descriptive.summary.Sum sum0 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    sum0.incrementAll(d_array10);
    double[] d_array14 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d15 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array10, d_array14);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test384() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test384"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl62 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl64 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d66 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl62.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    double d68 = tDistributionImpl64.getDegreesOfFreedom();
    double d70 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl72 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long73 = summaryStatisticsImpl72.getN();
    summaryStatisticsImpl72.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs75 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs75.increment(0.0d);
    sumOfLogs75.increment(Double.NEGATIVE_INFINITY);
    summaryStatisticsImpl72.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs75);
    boolean b82 = summaryStatisticsImpl72.equals((java.lang.Object)(short)(-1));
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics83 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b85 = summaryStatistics83.equals((java.lang.Object)10);
    // The following exception was thrown during execution in test generation
    try {
      double d86 = tTestImpl0.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl72, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics83);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long73 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b82 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b85 == false);

  }

  @Test
  public void test385() {}
// Defects4J: flaky method
//   @Test
//   public void test385() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test385"); }
// 
// 
//     long[] long_array2 = new long[] { 0L, 10L };
//     long[] long_array6 = new long[] { 100L, 100L, 0L };
//     // The following exception was thrown during execution in test generation
//     try {
//       double d7 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array6);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array6);
// 
//   }

  @Test
  public void test386() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test386"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array4 = new long[] { 10L };
    long[] long_array6 = new long[] { 100L };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = chiSquareTestImpl2.chiSquareTestDataSetsComparison(long_array4, long_array6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);

  }

  @Test
  public void test387() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test387"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    double[] d_array13 = new double[] {  };
    double d15 = variance11.evaluate(d_array13, 100.0d);
    double d16 = variance1.evaluate(d_array13);
    variance1.setBiasCorrected(true);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl20 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl20);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl23 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatisticsImpl23.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum25 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl23.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum25);
    long long27 = sum25.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array52);
    boolean b57 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array38, d_array52, 0.003199067406189915d);
    double d60 = sum25.evaluate(d_array38, 1, 1);
    double d61 = tTestImpl21.tTest((-8098.999999999998d), d_array38);
    // The following exception was thrown during execution in test generation
    try {
      double d64 = variance1.evaluate(d_array38, 100, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 3.929994268525583E-5d);

  }

  @Test
  public void test388() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test388"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 0.020798772066727332d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test389() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test389"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    long long14 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl12.getSumsqImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);

  }

  @Test
  public void test390() {}
// Defects4J: flaky method
//   @Test
//   public void test390() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test390"); }
// 
// 
//     long[] long_array1 = new long[] { 0L };
//     long[] long_array4 = new long[] { 1L, 100L };
//     // The following exception was thrown during execution in test generation
//     try {
//       double d5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array1, long_array4);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array1);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array4);
// 
//   }

  @Test
  public void test391() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test391"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment1 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d2 = firstMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment1);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment4 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl36 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double[] d_array45 = new double[] { 1.0d, 0.0d };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array45);
    double d47 = tTestImpl36.pairedT(d_array40, d_array45);
    double d48 = tTestImpl19.t(d_array34, d_array45);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = tTestImpl49.t(d_array64, d_array75);
    double d79 = tTestImpl18.tTest(d_array34, d_array75);
    org.apache.commons.math.stat.descriptive.summary.Sum sum80 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl81 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double[] d_array90 = new double[] { 1.0d, 0.0d };
    double d91 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array90);
    double d92 = tTestImpl81.pairedT(d_array85, d_array90);
    sum80.incrementAll(d_array90);
    double d94 = tTestImpl6.homoscedasticT(d_array34, d_array90);
    firstMoment4.incrementAll(d_array34);
    mean3.incrementAll(d_array34);
    // The following exception was thrown during execution in test generation
    try {
      boolean b98 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array0, d_array34, 3.929994268525583E-5d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array90);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d92, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);

  }

  @Test
  public void test392() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test392"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = tTestImpl13.t(d_array28, d_array39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double d71 = tTestImpl60.pairedT(d_array64, d_array69);
    double d72 = tTestImpl43.t(d_array58, d_array69);
    double d73 = tTestImpl12.tTest(d_array28, d_array69);
    org.apache.commons.math.stat.descriptive.summary.Sum sum74 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl75 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double d86 = tTestImpl75.pairedT(d_array79, d_array84);
    sum74.incrementAll(d_array84);
    double d88 = tTestImpl0.homoscedasticT(d_array28, d_array84);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl90 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long91 = summaryStatisticsImpl90.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic92 = summaryStatisticsImpl90.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary93 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d94 = tTestImpl0.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl90, statisticalSummary93);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long91 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic92);

  }

  @Test
  public void test393() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test393"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = tTestImpl3.t(d_array18, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl50 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double d61 = tTestImpl50.pairedT(d_array54, d_array59);
    double d62 = tTestImpl33.t(d_array48, d_array59);
    double d63 = tTestImpl2.tTest(d_array18, d_array59);
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array59);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array75);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double[] d_array89 = new double[] { 1.0d, 0.0d };
    double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
    double d91 = tTestImpl80.pairedT(d_array84, d_array89);
    double d92 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array89);
    boolean b94 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array75, d_array89, 0.003199067406189915d);
    double d95 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array59, d_array89);
    // The following exception was thrown during execution in test generation
    try {
      double d96 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array0, d_array89);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array89);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b94 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 1.0d);

  }

  @Test
  public void test394() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test394"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl61 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic62 = summaryStatisticsImpl61.getSumLogImpl();
    boolean b64 = summaryStatisticsImpl61.equals((java.lang.Object)0);
    // The following exception was thrown during execution in test generation
    try {
      boolean b66 = tTestImpl0.tTest(0.9984150981000139d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl61, 82099.71749644238d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b64 == false);

  }

  @Test
  public void test395() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test395"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double d18 = tTestImpl7.pairedT(d_array11, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d49 = tTestImpl6.t(d_array16, d_array29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double d63 = tTestImpl52.pairedT(d_array56, d_array61);
    sum51.incrementAll(d_array61);
    double d65 = tTestImpl6.tTest(0.9984150981000139d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array61, d_array75);
    double d79 = tTestImpl4.t(4049.999999999999d, d_array75);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary80 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl81 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d82 = summaryStatisticsImpl81.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d83 = tTestImpl4.homoscedasticTTest(statisticalSummary80, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl81);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == (-8098.999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d82, Double.NaN, 0);

  }

  @Test
  public void test396() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test396"); }


    double[] d_array0 = null;
    double[] d_array1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array0, d_array1, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test397() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test397"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl62 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl64 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d66 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl62.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    double d68 = tDistributionImpl64.getDegreesOfFreedom();
    double d70 = tDistributionImpl64.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl64);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl73 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic74 = summaryStatisticsImpl73.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary75 = summaryStatisticsImpl73.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares76 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl73.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares76);
    // The following exception was thrown during execution in test generation
    try {
      boolean b79 = tTestImpl0.tTest(0.998206254491263d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl73, 0.16230087157570017d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d66 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary75);

  }

  @Test
  public void test398() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test398"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    long long3 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    double d8 = secondMoment6.getResult();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    double d15 = summaryStatisticsImpl10.getStandardDeviation();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    boolean b21 = summaryStatisticsImpl10.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min22 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d23 = min22.getResult();
    double d24 = min22.getResult();
    summaryStatisticsImpl10.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min22);
    java.lang.String str26 = summaryStatisticsImpl10.toString();
    // The following exception was thrown during execution in test generation
    try {
      double d27 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str26 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str26.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));

  }

  @Test
  public void test399() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test399"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    double[] d_array62 = null;
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment63 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean64 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment63);
    mean64.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl68 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl69 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl68);
    tTestImpl66.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl68);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl72 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl73 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl72);
    double d75 = tDistributionImpl72.cumulativeProbability(0.5d);
    tTestImpl66.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum78 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl79 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array83 = new double[] { 1.0d, 0.0d };
    double d84 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array83);
    double[] d_array88 = new double[] { 1.0d, 0.0d };
    double d89 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array88);
    double d90 = tTestImpl79.pairedT(d_array83, d_array88);
    sum78.incrementAll(d_array88);
    double d92 = tTestImpl66.tTest(10.0d, d_array88);
    mean64.incrementAll(d_array88);
    // The following exception was thrown during execution in test generation
    try {
      double d94 = tTestImpl0.homoscedasticT(d_array62, d_array88);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d92 == 0.03347541671314813d);

  }

  @Test
  public void test400() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test400"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.03347541671314813d, 82099.71749644238d, 5.398589728139425E-63d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test401() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test401"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.17044656615103027d, (-0.7678910343096836d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test402() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test402"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl1.getVarianceImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);

  }

  @Test
  public void test403() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test403"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = tTestImpl2.t(d_array17, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl49 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double[] d_array58 = new double[] { 1.0d, 0.0d };
    double d59 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array58);
    double d60 = tTestImpl49.pairedT(d_array53, d_array58);
    double d61 = tTestImpl32.t(d_array47, d_array58);
    double d62 = tTestImpl1.tTest(d_array17, d_array58);
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5012447816130978d, d_array58);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array74);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl79 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array83 = new double[] { 1.0d, 0.0d };
    double d84 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array83);
    double[] d_array88 = new double[] { 1.0d, 0.0d };
    double d89 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array88);
    double d90 = tTestImpl79.pairedT(d_array83, d_array88);
    double d91 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array88);
    boolean b93 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array74, d_array88, 0.003199067406189915d);
    double d94 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array58, d_array88);
    double[] d_array95 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d96 = org.apache.commons.math.stat.inference.TestUtils.pairedT(d_array88, d_array95);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d60, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b93 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 1.0d);

  }

  @Test
  public void test404() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test404"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array1 = null;
    long[][] long_array_array2 = new long[][] { long_array1 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = chiSquareTestImpl0.chiSquareTest(long_array_array2, Double.POSITIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array2);

  }

  @Test
  public void test405() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test405"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl0.getSumsqImpl();
    long long3 = summaryStatisticsImpl0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);

  }

  @Test
  public void test406() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test406"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.5010105807105762d, (-5.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test407() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test407"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    geometricMean0.clear();
    geometricMean0.clear();
    double d4 = geometricMean0.getResult();
    double d5 = geometricMean0.getResult();
    long long6 = geometricMean0.getN();
    double d7 = geometricMean0.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance9.setBiasCorrected(false);
    double d12 = variance9.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    double d27 = variance9.evaluate(d_array23);
    // The following exception was thrown during execution in test generation
    try {
      double d30 = geometricMean0.evaluate(d_array23, 10, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.25d);

  }

  @Test
  public void test408() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test408"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.0d, (-8098.999999999998d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test409() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test409"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d1 = min0.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl4 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    tTestImpl2.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl8 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl8);
    double d11 = tDistributionImpl8.cumulativeProbability(0.5d);
    tTestImpl2.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl8);
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    sum14.incrementAll(d_array24);
    double d28 = tTestImpl2.tTest(10.0d, d_array24);
    // The following exception was thrown during execution in test generation
    try {
      double d31 = min0.evaluate(d_array24, 1, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.03347541671314813d);

  }

  @Test
  public void test410() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test410"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment7);
    firstMoment7.clear();
    summaryStatisticsImpl5.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, Double.NaN);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);

  }

  @Test
  public void test411() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test411"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    double d9 = tDistributionImpl2.getDegreesOfFreedom();
    double d10 = tDistributionImpl2.getDegreesOfFreedom();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl12.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum14 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl12.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum14);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl12.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl17.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary19 = summaryStatisticsImpl17.getSummary();
    summaryStatisticsImpl17.clear();
    double d21 = summaryStatisticsImpl17.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl22 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = summaryStatisticsImpl22.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment24 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean25 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment24);
    firstMoment24.clear();
    summaryStatisticsImpl22.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment24);
    summaryStatisticsImpl17.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment24);
    firstMoment24.clear();
    summaryStatisticsImpl12.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment24);
    double d31 = summaryStatisticsImpl12.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl32 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long33 = summaryStatisticsImpl32.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum34 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl32.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum34);
    double d36 = summaryStatisticsImpl32.getGeometricMean();
    // The following exception was thrown during execution in test generation
    try {
      double d37 = tTestImpl11.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl32);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);

  }

  @Test
  public void test412() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test412"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.descriptive.summary.Sum sum1 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    sum1.incrementAll(d_array11);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl15 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long16 = summaryStatisticsImpl15.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment17 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d18 = firstMoment17.getResult();
    summaryStatisticsImpl15.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment17);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary20 = summaryStatisticsImpl15.getSummary();
    double d21 = summaryStatisticsImpl15.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl15.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance22);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array34);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl39 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double d50 = tTestImpl39.pairedT(d_array43, d_array48);
    double d51 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array48);
    boolean b53 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array34, d_array48, 0.003199067406189915d);
    double d57 = variance22.evaluate(d_array34, Double.NaN, 0, 0);
    long long58 = variance22.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double d71 = tTestImpl60.pairedT(d_array64, d_array69);
    double d72 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array69);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl74 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array78 = new double[] { 1.0d, 0.0d };
    double d79 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array78);
    double[] d_array83 = new double[] { 1.0d, 0.0d };
    double d84 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array83);
    double d85 = tTestImpl74.pairedT(d_array78, d_array83);
    double d86 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array83);
    boolean b88 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array69, d_array83, 0.003199067406189915d);
    variance22.incrementAll(d_array83);
    double d90 = org.apache.commons.math.stat.inference.TestUtils.t(d_array11, d_array83);
    // The following exception was thrown during execution in test generation
    try {
      double d91 = org.apache.commons.math.stat.inference.TestUtils.t(d_array0, d_array83);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b53 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array78);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array83);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d85, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b88 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);

  }

  @Test
  public void test413() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test413"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    double[] d_array9 = new double[] {  };
    double d11 = variance7.evaluate(d_array9, 100.0d);
    long[] long_array12 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array9, long_array12, 3.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);

  }

  @Test
  public void test414() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test414"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d4 = gammaDistributionImpl3.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl5 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl9 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl9.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl12 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    chiSquaredDistributionImpl5.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    double d15 = chiSquaredDistributionImpl5.cumulativeProbability(1.7887765104350548E-80d);
    double d16 = chiSquaredDistributionImpl5.getDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.314773948415093E-36d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.8839455171548418d);

  }

  @Test
  public void test415() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test415"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.88573563471784d, 0.0d, (-0.7678910343096836d), (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test416() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test416"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.descriptive.summary.Sum sum5 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    sum5.incrementAll(d_array15);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl19 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long20 = summaryStatisticsImpl19.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment21 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d22 = firstMoment21.getResult();
    summaryStatisticsImpl19.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment21);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary24 = summaryStatisticsImpl19.getSummary();
    double d25 = summaryStatisticsImpl19.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance26 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl19.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array52);
    boolean b57 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array38, d_array52, 0.003199067406189915d);
    double d61 = variance26.evaluate(d_array38, Double.NaN, 0, 0);
    long long62 = variance26.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl64 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array73);
    double d75 = tTestImpl64.pairedT(d_array68, d_array73);
    double d76 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array73);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl78 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array82 = new double[] { 1.0d, 0.0d };
    double d83 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array82);
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double d89 = tTestImpl78.pairedT(d_array82, d_array87);
    double d90 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array87);
    boolean b92 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array73, d_array87, 0.003199067406189915d);
    variance26.incrementAll(d_array87);
    double d94 = org.apache.commons.math.stat.inference.TestUtils.t(d_array15, d_array87);
    long[] long_array96 = new long[] { 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d97 = chiSquareTestImpl4.chiSquare(d_array87, long_array96);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d61, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b92 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d94 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array96);

  }

  @Test
  public void test417() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test417"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl7);
    long[] long_array9 = null;
    long[][] long_array_array10 = new long[][] { long_array9 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = chiSquareTestImpl7.chiSquareTest(long_array_array10, 0.03347541671314813d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array10);

  }

  @Test
  public void test418() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test418"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    boolean b11 = summaryStatisticsImpl0.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min12 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d13 = min12.getResult();
    double d14 = min12.getResult();
    summaryStatisticsImpl0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min12);
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl17.getSumLogImpl();
    summaryStatisticsImpl17.clear();
    // The following exception was thrown during execution in test generation
    try {
      boolean b21 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl17, 0.5012447816130978d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);

  }

  @Test
  public void test419() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test419"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    double d7 = summaryStatisticsImpl1.getMean();
    double d8 = summaryStatisticsImpl1.getSum();
    double d9 = summaryStatisticsImpl1.getMax();
    // The following exception was thrown during execution in test generation
    try {
      boolean b11 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.998206254491263d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, 4.9990016347435355E7d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test420() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test420"); }


    long[] long_array0 = null;
    long[] long_array3 = new long[] { 10L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b5 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array0, long_array3, 0.998206254491263d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array3);

  }

  @Test
  public void test421() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test421"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    mean1.clear();
    long long3 = mean1.getN();
    double[] d_array4 = new double[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d7 = mean1.evaluate(d_array4, 1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);

  }

  @Test
  public void test422() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test422"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(1.7887765104350548E-80d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 183.62527556709642d);

  }

  @Test
  public void test423() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test423"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException7 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException8 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array6);
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException8);
    java.lang.Throwable[] throwable_array10 = convergenceException9.getSuppressed();
    java.lang.String str11 = convergenceException9.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str11 + "' != '" + "org.apache.commons.math.ConvergenceException: SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str11.equals("org.apache.commons.math.ConvergenceException: SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));

  }

  @Test
  public void test424() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test424"); }


    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl0 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array1 = null;
    long[][] long_array_array2 = new long[][] { long_array1 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = chiSquareTestImpl0.chiSquareTest(long_array_array2, 100.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array2);

  }

  @Test
  public void test425() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test425"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
    double d7 = summaryStatisticsImpl1.getMean();
    double d8 = summaryStatisticsImpl1.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long11 = variance10.getN();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance10);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math.stat.inference.TestUtils.t((-0.7678910343096836d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);

  }

  @Test
  public void test426() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test426"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl62 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic63 = summaryStatisticsImpl62.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary64 = summaryStatisticsImpl62.getSummary();
    long long65 = summaryStatisticsImpl62.getN();
    double d66 = summaryStatisticsImpl62.getMax();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl67 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic68 = summaryStatisticsImpl67.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum69 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl67.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum69);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic71 = summaryStatisticsImpl67.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl72 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic73 = summaryStatisticsImpl72.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary74 = summaryStatisticsImpl72.getSummary();
    long long75 = summaryStatisticsImpl72.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic76 = summaryStatisticsImpl72.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment78 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance79 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment78);
    double d80 = secondMoment78.getResult();
    summaryStatisticsImpl72.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment78);
    summaryStatisticsImpl67.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment78);
    // The following exception was thrown during execution in test generation
    try {
      double d83 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl62, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl67);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long65 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long75 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d80, Double.NaN, 0);

  }

  @Test
  public void test427() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test427"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl47 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl51 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    double d54 = tDistributionImpl51.cumulativeProbability(0.5d);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl57 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic58 = summaryStatisticsImpl57.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum59 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl57.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum59);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic61 = summaryStatisticsImpl57.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic62 = null;
    summaryStatisticsImpl57.setGeoMeanImpl(storelessUnivariateStatistic62);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl64 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic65 = summaryStatisticsImpl64.getGeoMeanImpl();
    summaryStatisticsImpl64.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic67 = summaryStatisticsImpl64.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl68 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long69 = summaryStatisticsImpl68.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum70 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl68.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum70);
    summaryStatisticsImpl64.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum70);
    // The following exception was thrown during execution in test generation
    try {
      boolean b74 = tTestImpl0.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl57, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl64, (-0.7678910343096836d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long69 == 0L);

  }

  @Test
  public void test428() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test428"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = new long[] { 100L, 1L, 1L };
    long[] long_array7 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = chiSquareTestImpl2.chiSquareTestDataSetsComparison(long_array6, long_array7, 0.7653192729571252d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array7);

  }

  @Test
  public void test429() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test429"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    double d4 = tDistributionImpl1.cumulativeProbability(0.5d);
    double d5 = tDistributionImpl1.getDegreesOfFreedom();
    // The following exception was thrown during execution in test generation
    try {
      double d8 = tDistributionImpl1.cumulativeProbability(0.17044656615103027d, Double.NEGATIVE_INFINITY);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 100.0d);

  }

  @Test
  public void test430() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test430"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    double d10 = tDistributionImpl1.cumulativeProbability(0.44228412324739086d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.6209046206685016d);

  }

  @Test
  public void test431() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test431"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares3);
    sumOfSquares3.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double[] d_array15 = new double[] { 1.0d, 0.0d };
    double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array15);
    double d17 = tTestImpl6.pairedT(d_array10, d_array15);
    double[] d_array20 = new double[] { 100.0d, 10.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.t(d_array15, d_array20);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = sumOfSquares3.evaluate(d_array20, 1, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == (-1.2110363580874859d));

  }

  @Test
  public void test432() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test432"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(7.04417540709817E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 9.560683717011036d);

  }

  @Test
  public void test433() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test433"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 1.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test434() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test434"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    variance4.clear();
    variance4.increment(10.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double d50 = tTestImpl21.t(d_array36, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl68 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double[] d_array77 = new double[] { 1.0d, 0.0d };
    double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
    double d79 = tTestImpl68.pairedT(d_array72, d_array77);
    double d80 = tTestImpl51.t(d_array66, d_array77);
    double d81 = tTestImpl20.tTest(d_array36, d_array77);
    org.apache.commons.math.stat.descriptive.summary.Sum sum82 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl83 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double[] d_array92 = new double[] { 1.0d, 0.0d };
    double d93 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array92);
    double d94 = tTestImpl83.pairedT(d_array87, d_array92);
    sum82.incrementAll(d_array92);
    double d96 = tTestImpl8.homoscedasticT(d_array36, d_array92);
    double d97 = variance4.evaluate(d_array92);
    double d98 = org.apache.commons.math.stat.inference.TestUtils.t(0.5010105807105762d, d_array92);
    double d99 = tTestImpl0.t(Double.POSITIVE_INFINITY, d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d94, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == (-0.0020211614211524953d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == Double.NEGATIVE_INFINITY);

  }

  @Test
  public void test435() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test435"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares0.clear();
    sumOfSquares0.clear();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl4 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl7.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl7.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum9);
    long long11 = sum9.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double d24 = tTestImpl13.pairedT(d_array17, d_array22);
    double d25 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array22);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl27 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double d38 = tTestImpl27.pairedT(d_array31, d_array36);
    double d39 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array36);
    boolean b41 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array22, d_array36, 0.003199067406189915d);
    double d44 = sum9.evaluate(d_array22, 1, 1);
    double d45 = tTestImpl5.tTest((-8098.999999999998d), d_array22);
    // The following exception was thrown during execution in test generation
    try {
      double d48 = sumOfSquares0.evaluate(d_array22, 1, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 3.929994268525583E-5d);

  }

  @Test
  public void test436() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test436"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    java.lang.Object[] obj_array6 = null;
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException("hi!", obj_array6, (java.lang.Throwable)convergenceException7);
    java.lang.Throwable[] throwable_array9 = convergenceException8.getSuppressed();
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    java.lang.Object[] obj_array13 = null;
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("hi!", obj_array13, (java.lang.Throwable)convergenceException14);
    java.lang.Throwable[] throwable_array16 = convergenceException15.getSuppressed();
    mathException11.addSuppressed((java.lang.Throwable)convergenceException15);
    java.lang.Object[] obj_array18 = convergenceException15.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array9, (java.lang.Throwable)convergenceException15);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array9, (java.lang.Throwable)mathException21);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Object[])throwable_array9);
    boolean b24 = summaryStatistics1.equals((java.lang.Object)"hi!");
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.stat.inference.TestUtils.t(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b24 == false);

  }

  @Test
  public void test437() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test437"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary60 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics61 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b63 = summaryStatistics61.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs64 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long65 = sumOfLogs64.getN();
    summaryStatistics61.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs64);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl67 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long68 = summaryStatisticsImpl67.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment69 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d70 = firstMoment69.getResult();
    summaryStatisticsImpl67.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment69);
    boolean b72 = sumOfLogs64.equals((java.lang.Object)summaryStatisticsImpl67);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic73 = summaryStatisticsImpl67.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d74 = tTestImpl0.tTest(statisticalSummary60, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl67);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b63 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long65 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long68 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b72 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic73);

  }

  @Test
  public void test438() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test438"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl4.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    sum6.clear();
    sum6.clear();
    long long11 = sum6.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);

  }

  @Test
  public void test439() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test439"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary1 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.tTest(statisticalSummary0, statisticalSummary1, (-3.4839437163710985d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test440() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test440"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl37 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double d48 = tTestImpl37.pairedT(d_array41, d_array46);
    double d49 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array46);
    boolean b51 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array32, d_array46, 0.003199067406189915d);
    double d52 = tTestImpl9.t(d_array19, d_array32);
    org.apache.commons.math.stat.descriptive.summary.Sum sum54 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    sum54.incrementAll(d_array64);
    double d68 = tTestImpl9.tTest(0.9984150981000139d, d_array64);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl70 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
    double d81 = tTestImpl70.pairedT(d_array74, d_array79);
    double d82 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array79);
    double d83 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array64, d_array79);
    long[] long_array87 = new long[] { 100L, 100L, 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d88 = chiSquareTestImpl8.chiSquare(d_array64, long_array87);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d81, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array87);

  }

  @Test
  public void test441() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test441"); }


    long[] long_array0 = null;
    long[] long_array2 = new long[] { 0L };
    // The following exception was thrown during execution in test generation
    try {
      double d3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array0, long_array2);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test442() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test442"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(10000.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    // The following exception was thrown during execution in test generation
    try {
      double d9 = chiSquaredDistributionImpl6.cumulativeProbability(4049.999999999999d, 0.8839455171548418d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test443() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test443"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("");
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException1);
    java.lang.String str3 = convergenceException2.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + ""+ "'", str3.equals(""));

  }

  @Test
  public void test444() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test444"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = summaryStatisticsImpl5.getSummary();
    long long8 = summaryStatisticsImpl5.getN();
    java.lang.String str9 = summaryStatisticsImpl5.toString();
    double d10 = summaryStatisticsImpl5.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics11 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b13 = summaryStatistics11.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long15 = sumOfLogs14.getN();
    summaryStatistics11.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long18 = summaryStatisticsImpl17.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment19 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d20 = firstMoment19.getResult();
    summaryStatisticsImpl17.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment19);
    boolean b22 = sumOfLogs14.equals((java.lang.Object)summaryStatisticsImpl17);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str9.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b22 == false);

  }

  @Test
  public void test445() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test445"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.clear();
    min0.increment(Double.NaN);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d46 = variance11.evaluate(d_array23, Double.NaN, 0, 0);
    // The following exception was thrown during execution in test generation
    try {
      min0.incrementAll(d_array23, 0, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);

  }

  @Test
  public void test446() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test446"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.0d, 0.9584024558665454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test447() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test447"); }


    long[][] long_array_array0 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b2 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array0, 0.88573563471784d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test448() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test448"); }


    long[] long_array0 = null;
    long[][] long_array_array1 = new long[][] { long_array0 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b3 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array1, 3.929994268525583E-5d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array1);

  }

  @Test
  public void test449() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test449"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment5);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    double d38 = firstMoment5.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment39 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d40 = firstMoment39.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean41 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = tTestImpl42.t(d_array57, d_array68);
    double d72 = firstMoment39.evaluate(d_array68);
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array34, d_array68);
    long[] long_array75 = new long[] { 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d76 = chiSquareTestImpl4.chiSquare(d_array34, long_array75);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array75);

  }

  @Test
  public void test450() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test450"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array22 = new double[] { 1.0d, 0.0d };
    double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double d29 = tTestImpl18.pairedT(d_array22, d_array27);
    double d30 = tTestImpl1.t(d_array16, d_array27);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double d59 = tTestImpl48.pairedT(d_array52, d_array57);
    double d60 = tTestImpl31.t(d_array46, d_array57);
    double d61 = tTestImpl0.tTest(d_array16, d_array57);
    long[] long_array62 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      double d63 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array57, long_array62);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array62);

  }

  @Test
  public void test451() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test451"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b9 = tTestImpl0.tTest(2.4995008173717678E7d, statisticalSummary7, (-5.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);

  }

  @Test
  public void test452() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test452"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.17044656615103027d, 0.17044656615103027d, 0.0d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test453() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test453"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl4.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl4.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    long long8 = sum6.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d41 = sum6.evaluate(d_array19, 1, 1);
    double d42 = tTestImpl2.tTest((-8098.999999999998d), d_array19);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics43 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b45 = summaryStatistics43.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs46 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long47 = sumOfLogs46.getN();
    summaryStatistics43.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs46);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary49 = summaryStatistics43.getSummary();
    summaryStatistics43.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl51 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic52 = summaryStatisticsImpl51.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary53 = summaryStatisticsImpl51.getSummary();
    summaryStatisticsImpl51.clear();
    double d55 = summaryStatisticsImpl51.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d56 = tTestImpl2.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics43, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl51);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 3.929994268525583E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long47 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);

  }

  @Test
  public void test454() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test454"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics12 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b14 = summaryStatistics12.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs15 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long16 = sumOfLogs15.getN();
    summaryStatistics12.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs15);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl18 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long19 = summaryStatisticsImpl18.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment20 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d21 = firstMoment20.getResult();
    summaryStatisticsImpl18.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment20);
    boolean b23 = sumOfLogs15.equals((java.lang.Object)summaryStatisticsImpl18);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl24 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatisticsImpl24.getGeoMeanImpl();
    summaryStatisticsImpl18.setVarianceImpl(storelessUnivariateStatistic25);
    double d27 = summaryStatisticsImpl18.getVariance();
    // The following exception was thrown during execution in test generation
    try {
      double d28 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl18);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);

  }

  @Test
  public void test455() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test455"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long1 = max0.getN();
    max0.increment(0.9984150981000139d);
    double d4 = max0.getResult();
    max0.increment(0.17044656615103027d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double d20 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl22 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double d33 = tTestImpl22.pairedT(d_array26, d_array31);
    double d34 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array31);
    boolean b36 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array17, d_array31, 0.003199067406189915d);
    // The following exception was thrown during execution in test generation
    try {
      max0.incrementAll(d_array31, 10, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b36 == false);

  }

  @Test
  public void test456() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test456"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.17044656615103027d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test457() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test457"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    long long2 = mean1.getN();
    mean1.increment(0.6931471805599457d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);

  }

  @Test
  public void test458() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test458"); }


    double[] d_array0 = null;
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment1 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array7 = new double[] { 1.0d, 0.0d };
    double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array7);
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = tTestImpl3.pairedT(d_array7, d_array12);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = tTestImpl16.t(d_array31, d_array42);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = tTestImpl46.t(d_array61, d_array72);
    double d76 = tTestImpl15.tTest(d_array31, d_array72);
    org.apache.commons.math.stat.descriptive.summary.Sum sum77 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl78 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array82 = new double[] { 1.0d, 0.0d };
    double d83 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array82);
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double d89 = tTestImpl78.pairedT(d_array82, d_array87);
    sum77.incrementAll(d_array87);
    double d91 = tTestImpl3.homoscedasticT(d_array31, d_array87);
    firstMoment1.incrementAll(d_array31);
    // The following exception was thrown during execution in test generation
    try {
      boolean b94 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array0, d_array31, (-8098.999999999998d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d89, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.0d);

  }

  @Test
  public void test459() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test459"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    long long3 = summaryStatisticsImpl0.getN();
    java.lang.String str4 = summaryStatisticsImpl0.toString();
    double d5 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl6.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array39);
    boolean b44 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array25, d_array39, 0.003199067406189915d);
    double d48 = variance13.evaluate(d_array25, Double.NaN, 0, 0);
    long long49 = variance13.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    double d63 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array60);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double[] d_array74 = new double[] { 1.0d, 0.0d };
    double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
    double d76 = tTestImpl65.pairedT(d_array69, d_array74);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array74);
    boolean b79 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array60, d_array74, 0.003199067406189915d);
    variance13.incrementAll(d_array74);
    boolean b81 = summaryStatisticsImpl0.equals((java.lang.Object)variance13);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl82 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long83 = summaryStatisticsImpl82.getN();
    // The following exception was thrown during execution in test generation
    try {
      boolean b85 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl82, 2.314773948415093E-36d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str4.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long49 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b79 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b81 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long83 == 0L);

  }

  @Test
  public void test460() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test460"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    double d13 = summaryStatisticsImpl6.getSum();
    double d14 = summaryStatisticsImpl6.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl6.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl6.getSumImpl();
    double d17 = summaryStatisticsImpl6.getGeometricMean();
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = tTestImpl0.tTest(0.4419727585774209d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6, 0.23913419341588305d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);

  }

  @Test
  public void test461() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test461"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = new long[] { 100L, (-1L), 100L };
    long[] long_array9 = new long[] { (-1L), 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d10 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array6, long_array9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array9);

  }

  @Test
  public void test462() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test462"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs0.increment(0.0d);
    sumOfLogs0.increment(0.0d);
    sumOfLogs0.increment(82099.71749644238d);

  }

  @Test
  public void test463() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test463"); }


    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array8);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str14 = convergenceException13.toString();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException13);
    org.apache.commons.math.MathException mathException17 = new org.apache.commons.math.MathException("");
    convergenceException13.addSuppressed((java.lang.Throwable)mathException17);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException13);
    java.lang.Object[] obj_array23 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException24 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array23);
    convergenceException13.addSuppressed((java.lang.Throwable)maxIterationsExceededException24);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array8, (java.lang.Throwable)maxIterationsExceededException24);
    int i27 = maxIterationsExceededException24.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str14 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str14.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i27 == 0);

  }

  @Test
  public void test464() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test464"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double d18 = tTestImpl7.pairedT(d_array11, d_array16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d49 = tTestImpl6.t(d_array16, d_array29);
    org.apache.commons.math.stat.descriptive.summary.Sum sum51 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double d63 = tTestImpl52.pairedT(d_array56, d_array61);
    sum51.incrementAll(d_array61);
    double d65 = tTestImpl6.tTest(0.9984150981000139d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array61, d_array75);
    long[] long_array79 = new long[] {  };
    // The following exception was thrown during execution in test generation
    try {
      boolean b81 = chiSquareTestImpl1.chiSquareTest(d_array75, long_array79, 0.9584024558665454d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array79);

  }

  @Test
  public void test465() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test465"); }


    java.lang.Object[] obj_array2 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException7 = new org.apache.commons.math.MathException("", obj_array2, (java.lang.Throwable)mathException6);
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException6);
    java.lang.String str9 = convergenceException8.toString();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str5.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str9.equals("org.apache.commons.math.ConvergenceException: "));

  }

  @Test
  public void test466() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test466"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array6 = null;
    long[] long_array7 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d8 = chiSquareTestImpl5.chiSquareTestDataSetsComparison(long_array6, long_array7);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);

  }

  @Test
  public void test467() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test467"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum8 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl6.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum8);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics10 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b12 = summaryStatistics10.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs13 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long14 = sumOfLogs13.getN();
    summaryStatistics10.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs13);
    double d16 = sumOfLogs13.getResult();
    summaryStatisticsImpl6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs13);
    // The following exception was thrown during execution in test generation
    try {
      boolean b19 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6, 0.7653192729571252d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test468() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test468"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution2 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution2);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    long[] long_array8 = new long[] { 0L, 10L, 0L };
    long[] long_array12 = new long[] { (-1L), 1L, 0L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b14 = chiSquareTestImpl4.chiSquareTestDataSetsComparison(long_array8, long_array12, (-0.7678910343096836d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array12);

  }

  @Test
  public void test469() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test469"); }


    double d1 = org.apache.commons.math.special.Gamma.logGamma(0.9584024558665454d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d1 == 0.02546359226065542d);

  }

  @Test
  public void test470() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test470"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares7 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares7.increment(100.0d);
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares7);
    double d11 = summaryStatisticsImpl1.getMax();
    summaryStatisticsImpl1.clear();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl14 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl14.getGeoMeanImpl();
    summaryStatisticsImpl14.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl14.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl14.getVarianceImpl();
    summaryStatisticsImpl1.setMeanImpl(storelessUnivariateStatistic18);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math.stat.inference.TestUtils.t(Double.NaN, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);

  }

  @Test
  public void test471() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test471"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    long long2 = summaryStatisticsImpl0.getN();
    java.lang.String str3 = summaryStatisticsImpl0.toString();
    double d4 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    summaryStatisticsImpl6.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl6.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl6.getMinImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str3.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);

  }

  @Test
  public void test472() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test472"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares7 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares7.increment(100.0d);
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares7);
    double d11 = summaryStatisticsImpl1.getMax();
    summaryStatisticsImpl1.clear();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl14 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatisticsImpl14.getGeoMeanImpl();
    summaryStatisticsImpl14.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl14.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl14.getVarianceImpl();
    summaryStatisticsImpl1.setMeanImpl(storelessUnivariateStatistic18);
    // The following exception was thrown during execution in test generation
    try {
      double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);

  }

  @Test
  public void test473() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test473"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long2 = variance1.getN();
    long long3 = variance1.getN();
    variance1.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double d20 = tTestImpl9.pairedT(d_array13, d_array18);
    double d21 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array18);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array32);
    boolean b37 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array18, d_array32, 0.003199067406189915d);
    double d39 = variance7.evaluate(d_array32, 1.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d43 = variance1.evaluate(d_array32, 0.0d, 0, 10);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.25d);

  }

  @Test
  public void test474() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test474"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    double d22 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double d35 = tTestImpl24.pairedT(d_array28, d_array33);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array33);
    boolean b38 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array19, d_array33, 0.003199067406189915d);
    double d42 = variance7.evaluate(d_array19, Double.NaN, 0, 0);
    long long43 = variance7.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double d57 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array54);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array68);
    boolean b73 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array54, d_array68, 0.003199067406189915d);
    variance7.incrementAll(d_array68);
    org.apache.commons.math.stat.descriptive.summary.Sum sum75 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl76 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array80 = new double[] { 1.0d, 0.0d };
    double d81 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array80);
    double[] d_array85 = new double[] { 1.0d, 0.0d };
    double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
    double d87 = tTestImpl76.pairedT(d_array80, d_array85);
    sum75.incrementAll(d_array85);
    double d89 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array68, d_array85);
    long[] long_array91 = new long[] { (-1L) };
    // The following exception was thrown during execution in test generation
    try {
      double d92 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array68, long_array91);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b38 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long43 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b73 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array80);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array85);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d87, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array91);

  }

  @Test
  public void test475() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test475"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    variance0.setBiasCorrected(true);

  }

  @Test
  public void test476() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test476"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d4 = firstMoment3.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment3);
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    boolean b12 = summaryStatisticsImpl1.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min13 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d14 = min13.getResult();
    double d15 = min13.getResult();
    summaryStatisticsImpl1.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min13);
    // The following exception was thrown during execution in test generation
    try {
      boolean b18 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, (-1.0d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test477() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test477"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = firstMoment2.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary11 = summaryStatisticsImpl6.getSummary();
    double d12 = summaryStatisticsImpl6.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl6.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    double d28 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double[] d_array39 = new double[] { 1.0d, 0.0d };
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
    double d41 = tTestImpl30.pairedT(d_array34, d_array39);
    double d42 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array39);
    boolean b44 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array25, d_array39, 0.003199067406189915d);
    double d48 = variance13.evaluate(d_array25, Double.NaN, 0, 0);
    firstMoment2.incrementAll(d_array25);
    long[] long_array50 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d51 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(d_array25, long_array50);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b44 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);

  }

  @Test
  public void test478() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test478"); }


    double[] d_array0 = null;
    long[] long_array2 = new long[] { 100L };
    // The following exception was thrown during execution in test generation
    try {
      boolean b4 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(d_array0, long_array2, 0.6931471805599457d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);

  }

  @Test
  public void test479() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test479"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl47 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl47);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl51 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    double d54 = tDistributionImpl51.cumulativeProbability(0.5d);
    tTestImpl45.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl51);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl57 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic58 = summaryStatisticsImpl57.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary59 = summaryStatisticsImpl57.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares60 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl57.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares60);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic62 = summaryStatisticsImpl57.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl63 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long64 = summaryStatisticsImpl63.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment65 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d66 = firstMoment65.getResult();
    summaryStatisticsImpl63.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment65);
    double d68 = summaryStatisticsImpl63.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares69 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares69.increment(100.0d);
    summaryStatisticsImpl63.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares69);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic73 = summaryStatisticsImpl63.getSumImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d74 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl57, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl63);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic58);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long64 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic73);

  }

  @Test
  public void test480() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test480"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl9.getSumLogImpl();
    boolean b12 = summaryStatisticsImpl9.equals((java.lang.Object)0);
    // The following exception was thrown during execution in test generation
    try {
      double d13 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl9);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);

  }

  @Test
  public void test481() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test481"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl7);
    long[] long_array9 = null;
    long[][] long_array_array10 = new long[][] { long_array9 };
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = chiSquareTestImpl7.chiSquareTest(long_array_array10, (-1.2110363580874859d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array10);

  }

  @Test
  public void test482() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test482"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares3);
    sumOfSquares3.clear();
    double d6 = sumOfSquares3.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long8 = summaryStatisticsImpl7.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment9 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d10 = firstMoment9.getResult();
    summaryStatisticsImpl7.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment9);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl7.getSummary();
    double d13 = summaryStatisticsImpl7.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl7.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    double d29 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array26);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array40);
    boolean b45 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array26, d_array40, 0.003199067406189915d);
    double d49 = variance14.evaluate(d_array26, Double.NaN, 0, 0);
    long long50 = variance14.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl52 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array56 = new double[] { 1.0d, 0.0d };
    double d57 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array56);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double d63 = tTestImpl52.pairedT(d_array56, d_array61);
    double d64 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array75);
    boolean b80 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array61, d_array75, 0.003199067406189915d);
    variance14.incrementAll(d_array75);
    org.apache.commons.math.stat.descriptive.summary.Sum sum82 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl83 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array87 = new double[] { 1.0d, 0.0d };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array87);
    double[] d_array92 = new double[] { 1.0d, 0.0d };
    double d93 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array92);
    double d94 = tTestImpl83.pairedT(d_array87, d_array92);
    sum82.incrementAll(d_array92);
    double d96 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array75, d_array92);
    // The following exception was thrown during execution in test generation
    try {
      double d99 = sumOfSquares3.evaluate(d_array75, (-1), (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b45 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d63, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array92);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d93 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d94, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 1.0d);

  }

  @Test
  public void test483() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test483"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl5 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d7 = chiSquaredDistributionImpl5.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl5);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl9 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl5);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl11 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d13 = chiSquaredDistributionImpl11.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution14 = null;
    chiSquaredDistributionImpl11.setGamma(gammaDistribution14);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution16 = null;
    chiSquaredDistributionImpl11.setGamma(gammaDistribution16);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl18 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl11);
    chiSquareTestImpl9.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl11);
    chiSquareTestImpl1.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl11);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics21 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b23 = summaryStatistics21.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    summaryStatistics21.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl27 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double d38 = tTestImpl27.pairedT(d_array31, d_array36);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl44 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    double d55 = tTestImpl44.pairedT(d_array48, d_array53);
    double d56 = tTestImpl27.t(d_array42, d_array53);
    double d57 = variance25.evaluate(d_array42);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl58 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double d69 = tTestImpl58.pairedT(d_array62, d_array67);
    double[] d_array73 = new double[] { 1.0d, 0.0d };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array73);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl75 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array79 = new double[] { 1.0d, 0.0d };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
    double[] d_array84 = new double[] { 1.0d, 0.0d };
    double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
    double d86 = tTestImpl75.pairedT(d_array79, d_array84);
    double d87 = tTestImpl58.t(d_array73, d_array84);
    boolean b89 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array42, d_array84, Double.NaN);
    long[] long_array93 = new long[] { 1L, 0L, 10L };
    // The following exception was thrown during execution in test generation
    try {
      double d94 = chiSquareTestImpl1.chiSquareTest(d_array84, long_array93);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d57 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d86, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array93);

  }

  @Test
  public void test484() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test484"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double[] d_array69 = new double[] { 1.0d, 0.0d };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
    double d71 = tTestImpl60.pairedT(d_array64, d_array69);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl77 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    double d82 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array81);
    double[] d_array86 = new double[] { 1.0d, 0.0d };
    double d87 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array86);
    double d88 = tTestImpl77.pairedT(d_array81, d_array86);
    double d89 = tTestImpl60.t(d_array75, d_array86);
    double d90 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(d_array55, d_array75);
    double[] d_array91 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d92 = org.apache.commons.math.stat.inference.TestUtils.pairedT(d_array75, d_array91);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d88, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 1.0d);

  }

  @Test
  public void test485() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test485"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    secondMoment2.increment(0.9984150981000139d);
    secondMoment2.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Mean mean10 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    secondMoment2.clear();

  }

  @Test
  public void test486() {}
// Defects4J: flaky method
//   @Test
//   public void test486() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest0.test486"); }
// 
// 
//     long[] long_array0 = new long[] {  };
//     long[] long_array3 = new long[] { 100L, (-1L) };
//     // The following exception was thrown during execution in test generation
//     try {
//       double d4 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array0, long_array3);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(long_array3);
// 
//   }

  @Test
  public void test487() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test487"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs0.increment(0.0d);
    long long3 = sumOfLogs0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment5);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double[] d_array17 = new double[] { 1.0d, 0.0d };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array17);
    double d19 = tTestImpl8.pairedT(d_array12, d_array17);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = tTestImpl8.t(d_array23, d_array34);
    double d38 = firstMoment5.evaluate(d_array34);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment39 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d40 = firstMoment39.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean41 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment39);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double d71 = tTestImpl42.t(d_array57, d_array68);
    double d72 = firstMoment39.evaluate(d_array68);
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(d_array34, d_array68);
    double d74 = org.apache.commons.math.stat.inference.TestUtils.t(10.0d, d_array68);
    // The following exception was thrown during execution in test generation
    try {
      double d77 = sumOfLogs0.evaluate(d_array68, 100, 100);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == (-19.0d));

  }

  @Test
  public void test488() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test488"); }


    org.apache.commons.math.stat.inference.TTest tTest0 = null;
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest(tTest0);

  }

  @Test
  public void test489() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test489"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    double d3 = variance2.getResult();
    variance2.clear();
    double[] d_array5 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d6 = variance2.evaluate(d_array5);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test490() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test490"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl2.setBeta(10.0d);
    gammaDistributionImpl2.setBeta(10000.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = gammaDistributionImpl2.inverseCumulativeProbability(9.560683717011036d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test491() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test491"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.998206254491263d, Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);

  }

  @Test
  public void test492() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test492"); }


    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test493() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test493"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum3 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl1.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum3);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = null;
    summaryStatisticsImpl1.setMaxImpl(storelessUnivariateStatistic6);
    // The following exception was thrown during execution in test generation
    try {
      double d8 = org.apache.commons.math.stat.inference.TestUtils.tTest(7.04417540709817E-5d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);

  }

  @Test
  public void test494() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test494"); }


    org.apache.commons.math.distribution.GammaDistribution gammaDistribution1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl2 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(5.398589728139425E-63d, gammaDistribution1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test495() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test495"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", obj_array3, (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException11);
    java.lang.Throwable[] throwable_array13 = convergenceException12.getSuppressed();
    mathException8.addSuppressed((java.lang.Throwable)convergenceException12);
    java.lang.Object[] obj_array15 = convergenceException12.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array6, (java.lang.Throwable)convergenceException12);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array6, (java.lang.Throwable)mathException18);
    java.lang.String str20 = mathException19.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str20 + "' != '" + ""+ "'", str20.equals(""));

  }

  @Test
  public void test496() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test496"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.17044656615103027d, 0.003199067406189915d, 3.929994268525583E-5d, 1);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test497() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test497"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.46761113031083257d, 0.020798772066727332d, 10.0d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test498() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test498"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl1.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum7 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl5.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum7);
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum7);
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test499() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test499"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d1 = min0.getResult();
    min0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl3.getSummary();
    double d9 = summaryStatisticsImpl3.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl3.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance10);
    double[] d_array12 = new double[] {  };
    double d14 = variance10.evaluate(d_array12, 100.0d);
    // The following exception was thrown during execution in test generation
    try {
      double d17 = min0.evaluate(d_array12, 10, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test500() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest0.test500"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.25d, 0.7653192729571252d, 0.5010105807105762d, 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

}
