
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runners.MethodSorters;

@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class RegressionTest7 {

  public static boolean debug = false;

  @Test
  public void test001() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test001"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(10000.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    double d7 = gammaDistributionImpl3.getBeta();
    double d8 = gammaDistributionImpl3.getAlpha();
    // The following exception was thrown during execution in test generation
    try {
      gammaDistributionImpl3.setBeta(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 5000.0d);

  }

  @Test
  public void test002() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test002"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d4 = gammaDistributionImpl3.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl5 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl9 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl9.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl12 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    chiSquaredDistributionImpl5.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    double d15 = chiSquaredDistributionImpl5.cumulativeProbability(1.7887765104350548E-80d);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl19 = new org.apache.commons.math.distribution.GammaDistributionImpl(5.398589728139425E-63d, 1.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl20 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(3.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl19);
    double d21 = gammaDistributionImpl19.getAlpha();
    chiSquaredDistributionImpl5.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl19);
    double d24 = gammaDistributionImpl19.cumulativeProbability(1.2734938437120036E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 2.314773948415093E-36d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 1.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.081083083604382E-12d);

  }

  @Test
  public void test003() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test003"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long1 = sumOfLogs0.getN();
    sumOfLogs0.clear();
    long long3 = sumOfLogs0.getN();
    double d4 = sumOfLogs0.getResult();
    double d5 = sumOfLogs0.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test004() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test004"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl0.getSumsqImpl();
    summaryStatisticsImpl0.clear();
    double d15 = summaryStatisticsImpl0.getMax();
    double d16 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl0.getSumImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);

  }

  @Test
  public void test005() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test005"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
    secondMoment2.increment(0.9984150981000139d);
    secondMoment2.increment(10000.0d);
    secondMoment2.clear();
    secondMoment2.increment(4049.999999999999d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment2);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics13 = new org.apache.commons.math.stat.descriptive.SummaryStatistics();
    summaryStatistics13.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic15 = summaryStatistics13.getMinImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean16 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean16.clear();
    long long18 = geometricMean16.getN();
    long long19 = geometricMean16.getN();
    geometricMean16.increment(100.0d);
    double d22 = geometricMean16.getResult();
    summaryStatistics13.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean16);
    summaryStatistics13.clear();
    // The following exception was thrown during execution in test generation
    try {
      double d25 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 100.00000000000004d);

  }

  @Test
  public void test006() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test006"); }


    long[] long_array2 = new long[] { 0L, 1L };
    long[] long_array5 = new long[] { 1L, 1L };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array2, long_array5);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array10 = new long[] { 0L, 1L };
    long[] long_array13 = new long[] { 1L, 1L };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array10, long_array13);
    long[] long_array17 = new long[] { 0L, 1L };
    long[] long_array20 = new long[] { 1L, 1L };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array17, long_array20);
    double d22 = chiSquareTestImpl7.chiSquareTestDataSetsComparison(long_array13, long_array20);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl23 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array26 = new long[] { 0L, 1L };
    long[] long_array29 = new long[] { 1L, 1L };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array26, long_array29);
    long[] long_array33 = new long[] { 0L, 1L };
    long[] long_array36 = new long[] { 1L, 1L };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array33, long_array36);
    double d38 = chiSquareTestImpl23.chiSquareTestDataSetsComparison(long_array29, long_array36);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl40 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl41 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl40);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl43 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d45 = chiSquaredDistributionImpl43.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl46 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl43);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl47 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl43);
    chiSquareTestImpl41.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl43);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl41);
    long[] long_array52 = new long[] { 0L, 1L };
    long[] long_array55 = new long[] { 1L, 1L };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array52, long_array55);
    long[] long_array59 = new long[] { 0L, 1L };
    long[] long_array62 = new long[] { 1L, 1L };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array59, long_array62);
    double d64 = chiSquareTestImpl41.chiSquareDataSetsComparison(long_array55, long_array62);
    double d65 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array29, long_array55);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl66 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array69 = new long[] { 0L, 1L };
    long[] long_array72 = new long[] { 1L, 1L };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array69, long_array72);
    long[] long_array76 = new long[] { 0L, 1L };
    long[] long_array79 = new long[] { 1L, 1L };
    double d80 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array76, long_array79);
    double d81 = chiSquareTestImpl66.chiSquareTestDataSetsComparison(long_array72, long_array79);
    double d82 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array55, long_array72);
    double d83 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array13, long_array72);
    double d84 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array72);
    long[][] long_array_array85 = new long[][] { long_array72 };
    // The following exception was thrown during execution in test generation
    try {
      double d86 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array85);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.3864762307712326d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array85);

  }

  @Test
  public void test007() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test007"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl4 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl4.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl7 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl8 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.44228412324739086d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl12 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl12.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl15 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(10000.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl12);
    double d16 = gammaDistributionImpl12.getBeta();
    gammaDistributionImpl12.setBeta(0.5012447816130978d);
    chiSquaredDistributionImpl8.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl12);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl20 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl8);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d16 == 10.0d);

  }

  @Test
  public void test008() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test008"); }


    org.apache.commons.math.MathException mathException0 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array8 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException9 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array8);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array8);
    mathException0.addSuppressed((java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Object[] obj_array13 = maxIterationsExceededException11.getArguments();
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Throwable[] throwable_array15 = maxIterationsExceededException11.getSuppressed();
    java.lang.String str16 = maxIterationsExceededException11.toString();
    int i17 = maxIterationsExceededException11.getMaxIterations();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: "+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i17 == 10);

  }

  @Test
  public void test009() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test009"); }


    java.lang.Object[] obj_array3 = null;
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException5 = new org.apache.commons.math.ConvergenceException("hi!", obj_array3, (java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array6 = convergenceException5.getSuppressed();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    java.lang.Object[] obj_array10 = null;
    org.apache.commons.math.ConvergenceException convergenceException11 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("hi!", obj_array10, (java.lang.Throwable)convergenceException11);
    java.lang.Throwable[] throwable_array13 = convergenceException12.getSuppressed();
    mathException8.addSuppressed((java.lang.Throwable)convergenceException12);
    java.lang.Object[] obj_array15 = convergenceException12.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array6, (java.lang.Throwable)convergenceException12);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array6, (java.lang.Throwable)mathException18);
    java.lang.Object[] obj_array20 = mathException19.getArguments();
    java.lang.Throwable[] throwable_array21 = mathException19.getSuppressed();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array21);

  }

  @Test
  public void test010() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test010"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl13.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum15);
    double d17 = sum15.getResult();
    double d18 = sum15.getResult();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum15);
    sum15.increment((-3.929994268525583E-5d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);

  }

  @Test
  public void test011() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test011"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares3);
    sumOfSquares3.increment((-1.0d));
    sumOfSquares3.clear();
    double d8 = sumOfSquares3.getResult();
    double d9 = sumOfSquares3.getResult();
    sumOfSquares3.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test012() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test012"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.4694386134875839d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl2);

  }

  @Test
  public void test013() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test013"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    long long2 = sumOfSquares0.getN();
    long long3 = sumOfSquares0.getN();
    sumOfSquares0.clear();
    double d5 = sumOfSquares0.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test014() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test014"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d3 = gammaDistributionImpl2.getAlpha();
    gammaDistributionImpl2.setBeta(0.998206254491263d);
    double d6 = gammaDistributionImpl2.getBeta();
    double d7 = gammaDistributionImpl2.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.998206254491263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.8839455171548418d);

  }

  @Test
  public void test015() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test015"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    summaryStatisticsImpl1.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getMeanImpl();
    double d6 = summaryStatisticsImpl1.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.rank.Min min7 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min7.clear();
    double d9 = min7.getResult();
    double d10 = min7.getResult();
    summaryStatisticsImpl1.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics13 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b15 = summaryStatistics13.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    summaryStatistics13.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    summaryStatisticsImpl1.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic20 = summaryStatisticsImpl1.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b15 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic20);

  }

  @Test
  public void test016() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test016"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    double d6 = secondMoment3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment3);
    variance7.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test017() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test017"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    gammaDistributionImpl3.setAlpha(0.7653192729571252d);
    gammaDistributionImpl3.setAlpha(1.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl10 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.16230087157570017d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl11 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl12 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    double d14 = chiSquaredDistributionImpl10.cumulativeProbability(10.144264814208276d);
    // The following exception was thrown during execution in test generation
    try {
      chiSquaredDistributionImpl10.setDegreesOfFreedom(0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.9811909201654965d);

  }

  @Test
  public void test018() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test018"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    double d3 = secondMoment0.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test019() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test019"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.5361634787568254d);
    tDistributionImpl1.setDegreesOfFreedom(0.0013985164936204167d);

  }

  @Test
  public void test020() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test020"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    variance2.setBiasCorrected(false);
    variance2.increment((-0.1455517491206861d));
    variance2.increment(0.88573563471784d);

  }

  @Test
  public void test021() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test021"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    long long14 = secondMoment1.getN();
    secondMoment1.increment(1.713094122194572d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);

  }

  @Test
  public void test022() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test022"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl6.getSummary();
    long long9 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl6.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment12);
    double d14 = secondMoment12.getResult();
    summaryStatisticsImpl6.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment12);
    long long16 = secondMoment12.getN();
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment12);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl18 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long19 = summaryStatisticsImpl18.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum20 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl18.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum20);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics22 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b23 = summaryStatisticsImpl18.equals((java.lang.Object)summaryStatistics22);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatistics22.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatistics22.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = summaryStatistics22.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatistics22.getSumImpl();
    summaryStatisticsImpl0.setGeoMeanImpl(storelessUnivariateStatistic27);
    double d29 = summaryStatisticsImpl0.getGeometricMean();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);

  }

  @Test
  public void test023() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test023"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    sum2.clear();
    long long5 = sum2.getN();
    long long6 = sum2.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test024() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test024"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double d4 = chiSquaredDistributionImpl1.cumulativeProbability(0.020798772066727332d);
    double d7 = chiSquaredDistributionImpl1.cumulativeProbability(Double.NEGATIVE_INFINITY, (-0.0020211614211524953d));
    chiSquaredDistributionImpl1.setDegreesOfFreedom(7.499000892292649E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.46761113031083257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test025() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test025"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    double d4 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    secondMoment7.increment(0.9984150981000139d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Mean mean13 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment7);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)mean13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);

  }

  @Test
  public void test026() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test026"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares1.increment(100.0d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares1);
    double d5 = summaryStatisticsImpl0.getVariance();
    java.lang.String str6 = summaryStatisticsImpl0.toString();
    double d7 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long9 = summaryStatisticsImpl8.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment10 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d11 = firstMoment10.getResult();
    summaryStatisticsImpl8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment10);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary13 = summaryStatisticsImpl8.getSummary();
    double d14 = summaryStatisticsImpl8.getMean();
    double d15 = summaryStatisticsImpl8.getSum();
    double d16 = summaryStatisticsImpl8.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl8.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl8.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = summaryStatisticsImpl8.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean20.clear();
    double d22 = geometricMean20.getResult();
    long long23 = geometricMean20.getN();
    summaryStatisticsImpl8.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean20);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean20);
    geometricMean20.increment(0.25896828783393283d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str6.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);

  }

  @Test
  public void test027() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test027"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    long long1 = variance0.getN();
    long long2 = variance0.getN();
    boolean b3 = variance0.isBiasCorrected();
    boolean b4 = variance0.isBiasCorrected();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b4 == true);

  }

  @Test
  public void test028() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test028"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl5);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl5);
    org.apache.commons.math.stat.inference.TestUtils.setUnknownDistributionChiSquareTest((org.apache.commons.math.stat.inference.UnknownDistributionChiSquareTest)chiSquareTestImpl5);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl10 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl11 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    long[] long_array14 = new long[] { 0L, 1L };
    long[] long_array17 = new long[] { 1L, 1L };
    double d18 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array14, long_array17);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl20 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl21 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl20);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl23 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d25 = chiSquaredDistributionImpl23.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl26 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl23);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl27 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl23);
    chiSquareTestImpl21.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl23);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl21);
    long[] long_array32 = new long[] { 0L, 1L };
    long[] long_array35 = new long[] { 1L, 1L };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array32, long_array35);
    long[] long_array39 = new long[] { 0L, 1L };
    long[] long_array42 = new long[] { 1L, 1L };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array39, long_array42);
    double d44 = chiSquareTestImpl21.chiSquareDataSetsComparison(long_array35, long_array42);
    double d45 = chiSquareTestImpl11.chiSquareDataSetsComparison(long_array14, long_array42);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl47 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d49 = chiSquaredDistributionImpl47.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution50 = null;
    chiSquaredDistributionImpl47.setGamma(gammaDistribution50);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl52 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl47);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl52);
    long[] long_array56 = new long[] { 0L, 1L };
    long[] long_array59 = new long[] { 1L, 1L };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array56, long_array59);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl62 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl63 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl62);
    long[] long_array66 = new long[] { 0L, 1L };
    long[] long_array69 = new long[] { 1L, 1L };
    double d70 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array66, long_array69);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl72 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl73 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl72);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl75 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d77 = chiSquaredDistributionImpl75.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl78 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl75);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl79 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl75);
    chiSquareTestImpl73.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl75);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl73);
    long[] long_array84 = new long[] { 0L, 1L };
    long[] long_array87 = new long[] { 1L, 1L };
    double d88 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array84, long_array87);
    long[] long_array91 = new long[] { 0L, 1L };
    long[] long_array94 = new long[] { 1L, 1L };
    double d95 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array91, long_array94);
    double d96 = chiSquareTestImpl73.chiSquareDataSetsComparison(long_array87, long_array94);
    double d97 = chiSquareTestImpl63.chiSquareDataSetsComparison(long_array66, long_array94);
    double d98 = chiSquareTestImpl52.chiSquareDataSetsComparison(long_array59, long_array94);
    double d99 = chiSquareTestImpl5.chiSquareTestDataSetsComparison(long_array42, long_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array69);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array84);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array87);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array91);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array94);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d95 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d96 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d97 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d98 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d99 == 1.0d);

  }

  @Test
  public void test029() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test029"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl11 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d13 = tDistributionImpl11.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    tDistributionImpl11.setDegreesOfFreedom(3.0d);
    tDistributionImpl11.setDegreesOfFreedom(0.6909132170845432d);
    tDistributionImpl11.setDegreesOfFreedom(3.929994268525583E-5d);
    tTestImpl9.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl22 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long23 = summaryStatisticsImpl22.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment24 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d25 = firstMoment24.getResult();
    summaryStatisticsImpl22.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment24);
    double d27 = summaryStatisticsImpl22.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment28);
    variance29.clear();
    summaryStatisticsImpl22.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance29);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = summaryStatisticsImpl22.getGeoMeanImpl();
    double d33 = summaryStatisticsImpl22.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary34 = summaryStatisticsImpl22.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl35 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic36 = summaryStatisticsImpl35.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary37 = summaryStatisticsImpl35.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares38 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl35.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares38);
    sumOfSquares38.increment((-1.0d));
    sumOfSquares38.clear();
    summaryStatisticsImpl22.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares38);
    double d44 = summaryStatisticsImpl22.getStandardDeviation();
    summaryStatisticsImpl22.addValue(0.999619794070516d);
    double d47 = summaryStatisticsImpl22.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl48 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares49 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares49.increment(100.0d);
    summaryStatisticsImpl48.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares49);
    // The following exception was thrown during execution in test generation
    try {
      double d53 = tTestImpl9.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl22, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl48);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d33, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.999619794070516d);

  }

  @Test
  public void test030() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test030"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.25d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance7.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl10.getSummary();
    double d16 = summaryStatisticsImpl10.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl10.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    double[] d_array19 = new double[] {  };
    double d21 = variance17.evaluate(d_array19, 100.0d);
    double d22 = variance7.evaluate(d_array19);
    // The following exception was thrown during execution in test generation
    try {
      double d23 = tTestImpl4.tTest(0.6953272945626283d, d_array19);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);

  }

  @Test
  public void test031() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test031"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary7 = summaryStatisticsImpl5.getSummary();
    long long8 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl5.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment11 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment11);
    double d13 = secondMoment11.getResult();
    summaryStatisticsImpl5.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment11);
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment11);
    double d16 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl17.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary19 = summaryStatisticsImpl17.getSummary();
    summaryStatisticsImpl17.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = summaryStatisticsImpl17.getMeanImpl();
    double d22 = summaryStatisticsImpl17.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.rank.Min min23 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min23.clear();
    double d25 = min23.getResult();
    double d26 = min23.getResult();
    summaryStatisticsImpl17.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min23);
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min23);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl29 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic30 = summaryStatisticsImpl29.getGeoMeanImpl();
    summaryStatisticsImpl29.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = summaryStatisticsImpl29.getMinImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance34 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance34.setBiasCorrected(false);
    variance34.setBiasCorrected(false);
    summaryStatisticsImpl29.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance34);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl40 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic41 = summaryStatisticsImpl40.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum42 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl40.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum42);
    sum42.clear();
    java.lang.Object obj45 = null;
    boolean b46 = sum42.equals(obj45);
    double d47 = sum42.getResult();
    sum42.increment(0.6952857980230562d);
    summaryStatisticsImpl29.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum42);
    // The following exception was thrown during execution in test generation
    try {
      double d51 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl29);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b46 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);

  }

  @Test
  public void test032() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test032"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl4 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d5 = gammaDistributionImpl4.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    gammaDistributionImpl4.setAlpha(0.46761113031083257d);
    double d10 = gammaDistributionImpl4.inverseCumulativeProbability(0.88573563471784d);
    double d12 = gammaDistributionImpl4.cumulativeProbability(0.4419727585774209d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl13 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5012447816130978d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl17 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl17.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl20 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl17);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl23 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.3675056060707571d, 0.9984150981000139d);
    chiSquaredDistributionImpl20.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl23);
    double d25 = gammaDistributionImpl23.getAlpha();
    double d26 = gammaDistributionImpl23.getBeta();
    gammaDistributionImpl23.setBeta(0.9999960390849816d);
    double d29 = gammaDistributionImpl23.getBeta();
    gammaDistributionImpl23.setAlpha(0.3675056060707571d);
    chiSquaredDistributionImpl13.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 11.792739866039025d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.25896828783393283d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.9984150981000139d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.9999960390849816d);

  }

  @Test
  public void test033() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test033"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = null;
    summaryStatisticsImpl0.setSumLogImpl(storelessUnivariateStatistic12);
    double d14 = summaryStatisticsImpl0.getVariance();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d16 = org.apache.commons.math.stat.inference.TestUtils.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, statisticalSummary15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test034() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test034"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    long long4 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    double d9 = secondMoment7.getResult();
    summaryStatisticsImpl1.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment7);
    // The following exception was thrown during execution in test generation
    try {
      boolean b12 = org.apache.commons.math.stat.inference.TestUtils.tTest((-2.7465834297116425d), (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, 0.9487175474700598d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test035() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test035"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = null;
    summaryStatisticsImpl0.setSumLogImpl(storelessUnivariateStatistic12);
    double d14 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long17 = variance16.getN();
    long long18 = variance16.getN();
    long long19 = variance16.getN();
    variance16.increment(0.0d);
    long long22 = variance16.getN();
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    org.apache.commons.math.ConvergenceException convergenceException25 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    boolean b26 = variance16.equals((java.lang.Object)"SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);

  }

  @Test
  public void test036() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test036"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(5.398589728139425E-63d, 1.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(3.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    double d5 = gammaDistributionImpl3.getAlpha();
    double d6 = gammaDistributionImpl3.getBeta();
    double d8 = gammaDistributionImpl3.cumulativeProbability((-19.0d));
    double d9 = gammaDistributionImpl3.getAlpha();
    // The following exception was thrown during execution in test generation
    try {
      double d11 = gammaDistributionImpl3.inverseCumulativeProbability(183.62527556709642d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 1.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.5d);

  }

  @Test
  public void test037() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test037"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    variance12.increment(0.9962783213958203d);
    variance12.setBiasCorrected(true);

  }

  @Test
  public void test038() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test038"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.6860531971285134d, 0.8935561332746746d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.7352145189084068d);

  }

  @Test
  public void test039() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test039"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl10.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum12 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl10.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum12);
    sum12.clear();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum12);
    double d16 = summaryStatisticsImpl0.getMin();
    double d17 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl0.getMinImpl();
    double d19 = summaryStatisticsImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);

  }

  @Test
  public void test040() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test040"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.9984150981000139d);
    double d3 = tDistributionImpl1.inverseCumulativeProbability(Double.NaN);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.9999995d);

  }

  @Test
  public void test041() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test041"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    sumOfSquares0.increment(0.9984150981000139d);
    long long4 = sumOfSquares0.getN();
    sumOfSquares0.clear();
    sumOfSquares0.increment(143.3767231006189d);
    long long8 = sumOfSquares0.getN();
    double d9 = sumOfSquares0.getResult();
    sumOfSquares0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 20556.884727071545d);

  }

  @Test
  public void test042() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test042"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    double d21 = sumOfSquares16.getResult();
    sumOfSquares16.increment(0.6845475825037481d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);

  }

  @Test
  public void test043() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test043"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    double d12 = sumOfLogs3.getResult();
    sumOfLogs3.clear();
    sumOfLogs3.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test044() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test044"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl4 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl4.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl7 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl8 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(2.4995008173717678E7d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    // The following exception was thrown during execution in test generation
    try {
      gammaDistributionImpl4.setAlpha((-0.4471674618476813d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test045() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test045"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    long long4 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    double d9 = secondMoment7.getResult();
    summaryStatisticsImpl1.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment7);
    double d13 = secondMoment7.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment7);
    double d15 = secondMoment7.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test046() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test046"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean6 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean7 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);

  }

  @Test
  public void test047() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test047"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares1 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares1.increment(100.0d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares1);
    double d5 = summaryStatisticsImpl0.getVariance();
    java.lang.String str6 = summaryStatisticsImpl0.toString();
    double d7 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long9 = summaryStatisticsImpl8.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment10 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d11 = firstMoment10.getResult();
    summaryStatisticsImpl8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment10);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary13 = summaryStatisticsImpl8.getSummary();
    double d14 = summaryStatisticsImpl8.getMean();
    double d15 = summaryStatisticsImpl8.getSum();
    double d16 = summaryStatisticsImpl8.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl8.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl8.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = summaryStatisticsImpl8.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean20 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean20.clear();
    double d22 = geometricMean20.getResult();
    long long23 = geometricMean20.getN();
    summaryStatisticsImpl8.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean20);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean20);
    geometricMean20.clear();
    long long27 = geometricMean20.getN();
    long long28 = geometricMean20.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str6.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long23 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 0L);

  }

  @Test
  public void test048() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test048"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl4 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl5 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl5);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl5);
    long[] long_array10 = new long[] { 0L, 1L };
    long[] long_array13 = new long[] { 1L, 1L };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array10, long_array13);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl16 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl17 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl16);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl19 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d21 = chiSquaredDistributionImpl19.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl22 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl19);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl23 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl19);
    chiSquareTestImpl17.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl19);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl17);
    long[] long_array28 = new long[] { 0L, 1L };
    long[] long_array31 = new long[] { 1L, 1L };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array28, long_array31);
    long[] long_array35 = new long[] { 0L, 1L };
    long[] long_array38 = new long[] { 1L, 1L };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array35, long_array38);
    double d40 = chiSquareTestImpl17.chiSquareDataSetsComparison(long_array31, long_array38);
    double d41 = chiSquareTestImpl5.chiSquareTestDataSetsComparison(long_array10, long_array31);
    long[][] long_array_array42 = new long[][] { long_array10 };
    // The following exception was thrown during execution in test generation
    try {
      double d43 = org.apache.commons.math.stat.inference.TestUtils.chiSquare(long_array_array42);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.3864762307712326d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array42);

  }

  @Test
  public void test049() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test049"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    double d4 = tDistributionImpl1.getDegreesOfFreedom();
    double d6 = tDistributionImpl1.cumulativeProbability(0.5d);
    double d8 = tDistributionImpl1.cumulativeProbability(1.6115255964098257E-27d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.6860531971285134d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5d);

  }

  @Test
  public void test050() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test050"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl9 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.3675056060707571d, 0.9984150981000139d);
    chiSquaredDistributionImpl6.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl9);
    gammaDistributionImpl9.setBeta(0.8839455171548418d);
    double d13 = gammaDistributionImpl9.getAlpha();
    double d14 = gammaDistributionImpl9.getAlpha();
    gammaDistributionImpl9.setAlpha(0.6028981098980628d);
    double d17 = gammaDistributionImpl9.getAlpha();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.3675056060707571d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.6028981098980628d);

  }

  @Test
  public void test051() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test051"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    double d8 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl10.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl10.getSummary();
    long long13 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl10.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    double d18 = secondMoment16.getResult();
    summaryStatisticsImpl10.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment16);
    secondMoment16.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment16);
    secondMoment16.clear();
    summaryStatisticsImpl0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment16);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl25 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long26 = summaryStatisticsImpl25.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment27 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d28 = firstMoment27.getResult();
    summaryStatisticsImpl25.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment27);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary30 = summaryStatisticsImpl25.getSummary();
    double d31 = summaryStatisticsImpl25.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance32 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl25.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance32);
    double[] d_array34 = new double[] {  };
    double d36 = variance32.evaluate(d_array34, 100.0d);
    boolean b37 = variance32.isBiasCorrected();
    variance32.clear();
    variance32.setBiasCorrected(false);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b37 == true);

  }

  @Test
  public void test052() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test052"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    long long3 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    double d8 = secondMoment6.getResult();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment6);
    double d10 = summaryStatisticsImpl0.getMin();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getSumsqImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test053() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test053"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    mean1.clear();
    double d3 = mean1.getResult();
    mean1.increment(0.1955644965025385d);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getSumLogImpl();
    summaryStatisticsImpl6.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
    double d15 = summaryStatisticsImpl9.getMean();
    double d16 = summaryStatisticsImpl9.getSum();
    double d17 = summaryStatisticsImpl9.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl9.getMeanImpl();
    summaryStatisticsImpl6.setMeanImpl(storelessUnivariateStatistic18);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary20 = summaryStatisticsImpl6.getSummary();
    boolean b21 = mean1.equals((java.lang.Object)summaryStatisticsImpl6);
    summaryStatisticsImpl6.addValue(0.30714465222925413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b21 == false);

  }

  @Test
  public void test054() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test054"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d4 = gammaDistributionImpl3.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl5 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    double d7 = chiSquaredDistributionImpl5.inverseCumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.0d);

  }

  @Test
  public void test055() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test055"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(4049.999999999999d, 0.9674952896487504d, (-0.999909200140475d), 0);
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test056() {}
// Defects4J: flaky method
//   @Test
//   public void test056() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test056"); }
// 
// 
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
//     tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
//     double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
//     tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
//     double d12 = tDistributionImpl6.cumulativeProbability(5.398589728139425E-63d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl13 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment15 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     org.apache.commons.math.stat.descriptive.moment.Mean mean16 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment15);
//     mean16.clear();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl20 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl20);
//     tTestImpl18.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl20);
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl24 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl24);
//     double d27 = tDistributionImpl24.cumulativeProbability(0.5d);
//     tTestImpl18.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl24);
//     org.apache.commons.math.stat.descriptive.summary.Sum sum30 = new org.apache.commons.math.stat.descriptive.summary.Sum();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array35 = new double[] { 1.0d, 0.0d };
//     double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
//     double[] d_array40 = new double[] { 1.0d, 0.0d };
//     double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
//     double d42 = tTestImpl31.pairedT(d_array35, d_array40);
//     sum30.incrementAll(d_array40);
//     double d44 = tTestImpl18.tTest(10.0d, d_array40);
//     mean16.incrementAll(d_array40);
//     double d46 = tTestImpl13.tTest(0.8839455171548418d, d_array40);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl47 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl49 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl50 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl49);
//     tTestImpl47.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl49);
//     org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl53 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl54 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl53);
//     double d56 = tDistributionImpl53.cumulativeProbability(0.5d);
//     tTestImpl47.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl53);
//     double d59 = tDistributionImpl53.cumulativeProbability(5.398589728139425E-63d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl60 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl53);
//     tTestImpl13.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl53);
//     double d63 = tDistributionImpl53.inverseCumulativeProbability(0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d12 == 0.5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d27 == 0.6909132170845432d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array40);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d44 == 0.03347541671314813d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d46 == 0.5831073846053374d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d56 == 0.6909132170845432d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d59 == 0.5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d63 == Double.NEGATIVE_INFINITY);
// 
//   }

  @Test
  public void test057() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test057"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance7.clear();
    double d9 = variance7.getResult();
    double[] d_array10 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d13 = variance7.evaluate(d_array10, 1, 0);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 4.9990016347435355E7d);

  }

  @Test
  public void test058() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test058"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str18 = convergenceException17.toString();
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException17);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("");
    convergenceException17.addSuppressed((java.lang.Throwable)mathException21);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException17);
    java.lang.Object[] obj_array27 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array27);
    convergenceException17.addSuppressed((java.lang.Throwable)maxIterationsExceededException28);
    org.apache.commons.math.ConvergenceException convergenceException30 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array12, (java.lang.Throwable)maxIterationsExceededException28);
    boolean b31 = summaryStatisticsImpl1.equals((java.lang.Object)maxIterationsExceededException28);
    java.lang.Object[] obj_array32 = maxIterationsExceededException28.getArguments();
    java.lang.Object[] obj_array33 = maxIterationsExceededException28.getArguments();
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str18.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b31 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array33);

  }

  @Test
  public void test059() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test059"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl6.getSumImpl();
    double d13 = summaryStatisticsImpl6.getVariance();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    summaryStatisticsImpl6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    variance15.increment(0.003010980362850857d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);

  }

  @Test
  public void test060() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test060"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: ");
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(1);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("hi!", obj_array9, (java.lang.Throwable)maxIterationsExceededException13);
    org.apache.commons.math.MathException mathException16 = new org.apache.commons.math.MathException("hi!", obj_array9);
    java.lang.Object[] obj_array17 = mathException16.getArguments();
    java.lang.String str18 = mathException16.toString();
    mathException1.addSuppressed((java.lang.Throwable)mathException16);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)mathException16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str18 + "' != '" + "org.apache.commons.math.MathException: hi!"+ "'", str18.equals("org.apache.commons.math.MathException: hi!"));

  }

  @Test
  public void test061() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test061"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getVarianceImpl();
    double d5 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getGeoMeanImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);

  }

  @Test
  public void test062() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test062"); }


    java.lang.Object[] obj_array13 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException15);
    java.lang.Object[] obj_array17 = maxIterationsExceededException15.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array17);
    java.lang.Object[] obj_array21 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str24 = convergenceException23.toString();
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException23);
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", obj_array21, (java.lang.Throwable)mathException25);
    org.apache.commons.math.ConvergenceException convergenceException27 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array17, (java.lang.Throwable)mathException26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: ", obj_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: hi!", obj_array17);
    org.apache.commons.math.MathException mathException31 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded");
    maxIterationsExceededException29.addSuppressed((java.lang.Throwable)mathException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str24 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str24.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test063() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test063"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    double d4 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d6 = secondMoment5.getResult();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment5);
    double d8 = summaryStatisticsImpl0.getSumsq();
    summaryStatisticsImpl0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test064() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test064"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    double d12 = variance11.getResult();
    variance11.setBiasCorrected(false);
    variance11.increment(0.9487175474700598d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 2.4995008173717678E7d);

  }

  @Test
  public void test065() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test065"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    long long2 = summaryStatisticsImpl0.getN();
    java.lang.String str3 = summaryStatisticsImpl0.toString();
    double d4 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getVarianceImpl();
    double d6 = summaryStatisticsImpl0.getMax();
    long long7 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d9 = summaryStatisticsImpl8.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl8.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl8.getVarianceImpl();
    summaryStatisticsImpl0.setVarianceImpl(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str3 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str3.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);

  }

  @Test
  public void test066() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test066"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str2 = convergenceException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    convergenceException1.addSuppressed((java.lang.Throwable)mathException5);
    java.lang.String str7 = convergenceException1.toString();
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException1);
    java.lang.String str9 = convergenceException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str7.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "Convergence failed"+ "'", str9.equals("Convergence failed"));

  }

  @Test
  public void test067() {}
// Defects4J: flaky method
//   @Test
//   public void test067() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test067"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getSumLogImpl();
//     double d3 = summaryStatisticsImpl1.getVariance();
//     summaryStatisticsImpl1.clear();
//     org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getMaxImpl();
//     org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatisticsImpl1.getSummary();
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long8 = summaryStatisticsImpl7.getN();
//     org.apache.commons.math.stat.descriptive.summary.Sum sum9 = new org.apache.commons.math.stat.descriptive.summary.Sum();
//     summaryStatisticsImpl7.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum9);
//     org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics11 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
//     boolean b13 = summaryStatistics11.equals((java.lang.Object)10);
//     org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs14 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
//     long long15 = sumOfLogs14.getN();
//     summaryStatistics11.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs14);
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long18 = summaryStatisticsImpl17.getN();
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment19 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d20 = firstMoment19.getResult();
//     summaryStatisticsImpl17.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment19);
//     boolean b22 = sumOfLogs14.equals((java.lang.Object)summaryStatisticsImpl17);
//     sumOfLogs14.increment(0.0d);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array30 = new double[] { 1.0d, 0.0d };
//     double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
//     double[] d_array35 = new double[] { 1.0d, 0.0d };
//     double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
//     double d37 = tTestImpl26.pairedT(d_array30, d_array35);
//     double[] d_array41 = new double[] { 1.0d, 0.0d };
//     double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array47 = new double[] { 1.0d, 0.0d };
//     double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
//     double[] d_array52 = new double[] { 1.0d, 0.0d };
//     double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
//     double d54 = tTestImpl43.pairedT(d_array47, d_array52);
//     double d55 = tTestImpl26.t(d_array41, d_array52);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl56 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array60 = new double[] { 1.0d, 0.0d };
//     double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
//     double[] d_array65 = new double[] { 1.0d, 0.0d };
//     double d66 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array65);
//     double d67 = tTestImpl56.pairedT(d_array60, d_array65);
//     double[] d_array71 = new double[] { 1.0d, 0.0d };
//     double d72 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array71);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl73 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array77 = new double[] { 1.0d, 0.0d };
//     double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
//     double[] d_array82 = new double[] { 1.0d, 0.0d };
//     double d83 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array82);
//     double d84 = tTestImpl73.pairedT(d_array77, d_array82);
//     double d85 = tTestImpl56.t(d_array71, d_array82);
//     double d86 = tTestImpl25.tTest(d_array41, d_array82);
//     double d89 = sumOfLogs14.evaluate(d_array82, 1, 1);
//     double d92 = sum9.evaluate(d_array82, 1, 1);
//     sum9.increment(10.0d);
//     summaryStatisticsImpl1.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum9);
//     // The following exception was thrown during execution in test generation
//     try {
//       double d96 = org.apache.commons.math.stat.inference.TestUtils.t(2.6733756595100076d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(statisticalSummary6);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long8 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(summaryStatistics11);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b13 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long15 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long18 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b22 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array47);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d55 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array65);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d66 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array71);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d72 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array82);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d83 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d84, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d85 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d86 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d89 == Double.NEGATIVE_INFINITY);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d92 == 0.0d);
// 
//   }

  @Test
  public void test068() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test068"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.3675056060707571d, 0.9984150981000139d);
    double d4 = gammaDistributionImpl2.inverseCumulativeProbability(0.03347541671314813d);
    gammaDistributionImpl2.setAlpha(93.97128470661093d);
    double d9 = gammaDistributionImpl2.cumulativeProbability(0.44228412324739086d, 0.9876647497243908d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 7.04417540709817E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 1.4238427096254823E-147d);

  }

  @Test
  public void test069() {}
// Defects4J: flaky method
//   @Test
//   public void test069() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test069"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long1 = summaryStatisticsImpl0.getN();
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d3 = firstMoment2.getResult();
//     summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
//     double d5 = summaryStatisticsImpl0.getStandardDeviation();
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
//     org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl6.getSummary();
//     long long9 = summaryStatisticsImpl6.getN();
//     org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl6.getSumLogImpl();
//     org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment12 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment12);
//     double d14 = secondMoment12.getResult();
//     summaryStatisticsImpl6.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment12);
//     long long16 = secondMoment12.getN();
//     summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment12);
//     org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
//     org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
//     secondMoment18.increment(0.9984150981000139d);
//     secondMoment18.increment(10000.0d);
//     org.apache.commons.math.stat.descriptive.moment.Variance variance25 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
//     secondMoment18.clear();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance27 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl28 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long29 = summaryStatisticsImpl28.getN();
//     org.apache.commons.math.stat.descriptive.summary.Sum sum30 = new org.apache.commons.math.stat.descriptive.summary.Sum();
//     summaryStatisticsImpl28.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum30);
//     sum30.clear();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array38 = new double[] { 1.0d, 0.0d };
//     double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
//     double[] d_array43 = new double[] { 1.0d, 0.0d };
//     double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
//     double d45 = tTestImpl34.pairedT(d_array38, d_array43);
//     double[] d_array49 = new double[] { 1.0d, 0.0d };
//     double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array55 = new double[] { 1.0d, 0.0d };
//     double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
//     double[] d_array60 = new double[] { 1.0d, 0.0d };
//     double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
//     double d62 = tTestImpl51.pairedT(d_array55, d_array60);
//     double d63 = tTestImpl34.t(d_array49, d_array60);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl64 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array68 = new double[] { 1.0d, 0.0d };
//     double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
//     double[] d_array73 = new double[] { 1.0d, 0.0d };
//     double d74 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array73);
//     double d75 = tTestImpl64.pairedT(d_array68, d_array73);
//     double[] d_array79 = new double[] { 1.0d, 0.0d };
//     double d80 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array79);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl81 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array85 = new double[] { 1.0d, 0.0d };
//     double d86 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array85);
//     double[] d_array90 = new double[] { 1.0d, 0.0d };
//     double d91 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array90);
//     double d92 = tTestImpl81.pairedT(d_array85, d_array90);
//     double d93 = tTestImpl64.t(d_array79, d_array90);
//     double d94 = tTestImpl33.tTest(d_array49, d_array90);
//     sum30.incrementAll(d_array90);
//     secondMoment18.incrementAll(d_array90);
//     long long97 = secondMoment18.getN();
//     summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment18);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long1 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(statisticalSummary8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long9 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long16 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long29 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array38);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array43);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array49);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d63 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array68);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array73);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d74 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array79);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d80 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array85);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d86 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array90);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d91 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d92, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d93 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d94 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long97 == 2L);
// 
//   }

  @Test
  public void test070() {}
// Defects4J: flaky method
//   @Test
//   public void test070() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test070"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
//     org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment2);
//     secondMoment2.increment(0.9984150981000139d);
//     secondMoment2.increment(10000.0d);
//     secondMoment2.clear();
//     secondMoment2.increment((-0.0020211614211524953d));
//     org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
//     org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
//     org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics14 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
//     boolean b16 = summaryStatistics14.equals((java.lang.Object)10);
//     org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
//     summaryStatistics14.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance18);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array24 = new double[] { 1.0d, 0.0d };
//     double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
//     double[] d_array29 = new double[] { 1.0d, 0.0d };
//     double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
//     double d31 = tTestImpl20.pairedT(d_array24, d_array29);
//     double[] d_array35 = new double[] { 1.0d, 0.0d };
//     double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl37 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array41 = new double[] { 1.0d, 0.0d };
//     double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
//     double[] d_array46 = new double[] { 1.0d, 0.0d };
//     double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
//     double d48 = tTestImpl37.pairedT(d_array41, d_array46);
//     double d49 = tTestImpl20.t(d_array35, d_array46);
//     double d50 = variance18.evaluate(d_array35);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array55 = new double[] { 1.0d, 0.0d };
//     double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
//     double[] d_array60 = new double[] { 1.0d, 0.0d };
//     double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
//     double d62 = tTestImpl51.pairedT(d_array55, d_array60);
//     double[] d_array66 = new double[] { 1.0d, 0.0d };
//     double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl68 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array72 = new double[] { 1.0d, 0.0d };
//     double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
//     double[] d_array77 = new double[] { 1.0d, 0.0d };
//     double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
//     double d79 = tTestImpl68.pairedT(d_array72, d_array77);
//     double d80 = tTestImpl51.t(d_array66, d_array77);
//     boolean b82 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array35, d_array77, Double.NaN);
//     secondMoment2.incrementAll(d_array77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(summaryStatistics14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b16 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array24);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array29);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array35);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array41);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array46);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d49 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d50 == 0.5d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array55);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array60);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array66);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array72);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array77);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d80 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b82 == false);
// 
//   }

  @Test
  public void test071() {}
// Defects4J: flaky method
//   @Test
//   public void test071() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test071"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d1 = firstMoment0.getResult();
//     org.apache.commons.math.stat.descriptive.moment.Mean mean2 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment3 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     org.apache.commons.math.stat.descriptive.moment.Mean mean4 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment3);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array9 = new double[] { 1.0d, 0.0d };
//     double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
//     double[] d_array14 = new double[] { 1.0d, 0.0d };
//     double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
//     double d16 = tTestImpl5.pairedT(d_array9, d_array14);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl18 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array22 = new double[] { 1.0d, 0.0d };
//     double d23 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array22);
//     double[] d_array27 = new double[] { 1.0d, 0.0d };
//     double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
//     double d29 = tTestImpl18.pairedT(d_array22, d_array27);
//     double[] d_array33 = new double[] { 1.0d, 0.0d };
//     double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl35 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array39 = new double[] { 1.0d, 0.0d };
//     double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array39);
//     double[] d_array44 = new double[] { 1.0d, 0.0d };
//     double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
//     double d46 = tTestImpl35.pairedT(d_array39, d_array44);
//     double d47 = tTestImpl18.t(d_array33, d_array44);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl48 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array52 = new double[] { 1.0d, 0.0d };
//     double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
//     double[] d_array57 = new double[] { 1.0d, 0.0d };
//     double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
//     double d59 = tTestImpl48.pairedT(d_array52, d_array57);
//     double[] d_array63 = new double[] { 1.0d, 0.0d };
//     double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl65 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array69 = new double[] { 1.0d, 0.0d };
//     double d70 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array69);
//     double[] d_array74 = new double[] { 1.0d, 0.0d };
//     double d75 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array74);
//     double d76 = tTestImpl65.pairedT(d_array69, d_array74);
//     double d77 = tTestImpl48.t(d_array63, d_array74);
//     double d78 = tTestImpl17.tTest(d_array33, d_array74);
//     org.apache.commons.math.stat.descriptive.summary.Sum sum79 = new org.apache.commons.math.stat.descriptive.summary.Sum();
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl80 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array84 = new double[] { 1.0d, 0.0d };
//     double d85 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array84);
//     double[] d_array89 = new double[] { 1.0d, 0.0d };
//     double d90 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array89);
//     double d91 = tTestImpl80.pairedT(d_array84, d_array89);
//     sum79.incrementAll(d_array89);
//     double d93 = tTestImpl5.homoscedasticT(d_array33, d_array89);
//     firstMoment3.incrementAll(d_array33);
//     mean2.incrementAll(d_array33);
//     long long96 = mean2.getN();
//     mean2.clear();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array9);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array22);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d23 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array27);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array33);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array39);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d40 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array44);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d47 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array52);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array57);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d59, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array63);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array69);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d70 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array74);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d75 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d76, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d77 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d78 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array84);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d85 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array89);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d90 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d91, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d93 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long96 == 0L);
// 
//   }

  @Test
  public void test072() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test072"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    double d4 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long8 = variance7.getN();
    long long9 = variance7.getN();
    variance7.clear();
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl14 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl14.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl17 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(10000.0d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl14);
    double d19 = gammaDistributionImpl14.cumulativeProbability(0.0d);
    boolean b20 = variance7.equals((java.lang.Object)gammaDistributionImpl14);
    long long21 = variance7.getN();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics23 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b25 = summaryStatistics23.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs26 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long27 = sumOfLogs26.getN();
    summaryStatistics23.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs26);
    double d29 = sumOfLogs26.getResult();
    sumOfLogs26.clear();
    double d31 = sumOfLogs26.getResult();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs26);
    long long33 = sumOfLogs26.getN();
    sumOfLogs26.increment(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b20 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 0L);

  }

  @Test
  public void test073() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test073"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    variance7.clear();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d11 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    long long13 = variance12.getN();
    long long14 = variance12.getN();
    variance12.clear();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance12);
    long long17 = variance12.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);

  }

  @Test
  public void test074() {}
// Defects4J: flaky method
//   @Test
//   public void test074() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test074"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
//     double d2 = secondMoment1.getResult();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array8 = new double[] { 1.0d, 0.0d };
//     double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
//     double[] d_array13 = new double[] { 1.0d, 0.0d };
//     double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
//     double d15 = tTestImpl4.pairedT(d_array8, d_array13);
//     double[] d_array19 = new double[] { 1.0d, 0.0d };
//     double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array25 = new double[] { 1.0d, 0.0d };
//     double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
//     double[] d_array30 = new double[] { 1.0d, 0.0d };
//     double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
//     double d32 = tTestImpl21.pairedT(d_array25, d_array30);
//     double d33 = tTestImpl4.t(d_array19, d_array30);
//     double d34 = variance3.evaluate(d_array19);
//     boolean b35 = variance3.isBiasCorrected();
//     double d36 = variance3.getResult();
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array8);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array13);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array19);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array25);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array30);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d33 == 0.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d34 == 0.25d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b35 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
// 
//   }

  @Test
  public void test075() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test075"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    double d5 = chiSquaredDistributionImpl1.cumulativeProbability(0.3864762307712326d);
    chiSquaredDistributionImpl1.setDegreesOfFreedom(7.04417540709817E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 5.486445650228642E-101d);

  }

  @Test
  public void test076() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test076"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: ", throwable1);

  }

  @Test
  public void test077() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test077"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getMeanImpl();
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.rank.Min min6 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min6.clear();
    double d8 = min6.getResult();
    double d9 = min6.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    double d17 = summaryStatisticsImpl12.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares18 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares18.increment(100.0d);
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares18);
    double d22 = summaryStatisticsImpl12.getMax();
    summaryStatisticsImpl12.clear();
    summaryStatisticsImpl12.clear();
    summaryStatisticsImpl12.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long27 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    sum28.increment(1.0d);
    summaryStatisticsImpl12.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl34 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long35 = summaryStatisticsImpl34.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl34.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum36);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics38 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b39 = summaryStatisticsImpl34.equals((java.lang.Object)summaryStatistics38);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic40 = summaryStatistics38.getSumLogImpl();
    boolean b41 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatistics38);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = summaryStatistics38.getVarianceImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);

  }

  @Test
  public void test078() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test078"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    secondMoment0.clear();
    org.apache.commons.math.stat.descriptive.moment.Mean mean3 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test079() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test079"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getSumLogImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl3.getSummary();
    double d9 = summaryStatisticsImpl3.getMean();
    double d10 = summaryStatisticsImpl3.getSum();
    double d11 = summaryStatisticsImpl3.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl3.getMeanImpl();
    summaryStatisticsImpl0.setMeanImpl(storelessUnivariateStatistic12);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl0.getSummary();
    double d15 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl0.getVarianceImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);

  }

  @Test
  public void test080() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test080"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long1 = max0.getN();
    max0.increment(82099.71749644238d);
    max0.increment(1.2734938437120036E-8d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);

  }

  @Test
  public void test081() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test081"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d5 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.rank.Max max7 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long8 = max7.getN();
    max7.increment(4049.999999999999d);
    max7.increment(0.9584024558665454d);
    max7.clear();
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);

  }

  @Test
  public void test082() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test082"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    double d3 = secondMoment1.getResult();
    secondMoment1.increment(0.9811909201654965d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);

  }

  @Test
  public void test083() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test083"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.1504596706425243d);

  }

  @Test
  public void test084() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test084"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Object[] obj_array4 = convergenceException3.getArguments();
    java.lang.Object[] obj_array12 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException14 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array12);
    org.apache.commons.math.ConvergenceException convergenceException15 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException14);
    java.lang.Throwable[] throwable_array16 = convergenceException15.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array16);
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array4, (java.lang.Throwable)convergenceException17);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Throwable[] throwable_array30 = convergenceException29.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.ConvergenceException convergenceException32 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array4, (java.lang.Throwable)convergenceException31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);

  }

  @Test
  public void test085() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test085"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    double d9 = tDistributionImpl6.cumulativeProbability(0.5d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.distribution.TDistribution tDistribution11 = null;
    tTestImpl0.setDistribution(tDistribution11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.6909132170845432d);

  }

  @Test
  public void test086() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test086"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d4 = gammaDistributionImpl3.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl5 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    gammaDistributionImpl3.setAlpha(0.46761113031083257d);
    double d9 = gammaDistributionImpl3.cumulativeProbability(0.23913419341588305d);
    double d10 = gammaDistributionImpl3.getBeta();
    double d11 = gammaDistributionImpl3.getBeta();
    double d12 = gammaDistributionImpl3.getBeta();
    // The following exception was thrown during execution in test generation
    try {
      double d14 = gammaDistributionImpl3.inverseCumulativeProbability(183.62527556709642d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.1955644965025385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 10.0d);

  }

  @Test
  public void test087() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test087"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations ({0}) exceeded");

  }

  @Test
  public void test088() {}
// Defects4J: flaky method
//   @Test
//   public void test088() throws Throwable {
// 
//     if (debug) { System.out.format("%n%s%n","RegressionTest7.test088"); }
// 
// 
//     org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
//     double d1 = secondMoment0.getResult();
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long4 = summaryStatisticsImpl3.getN();
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d6 = firstMoment5.getResult();
//     summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
//     double d8 = firstMoment5.getResult();
//     org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
//     long long10 = summaryStatisticsImpl9.getN();
//     org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
//     double d12 = firstMoment11.getResult();
//     summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
//     org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
//     double d15 = summaryStatisticsImpl9.getMean();
//     org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
//     summaryStatisticsImpl9.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array23 = new double[] { 1.0d, 0.0d };
//     double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
//     double[] d_array28 = new double[] { 1.0d, 0.0d };
//     double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
//     double d30 = tTestImpl19.pairedT(d_array23, d_array28);
//     double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
//     org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
//     double[] d_array37 = new double[] { 1.0d, 0.0d };
//     double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
//     double[] d_array42 = new double[] { 1.0d, 0.0d };
//     double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
//     double d44 = tTestImpl33.pairedT(d_array37, d_array42);
//     double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
//     boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
//     double d51 = variance16.evaluate(d_array28, Double.NaN, 0, 0);
//     firstMoment5.incrementAll(d_array28);
//     double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.5d, d_array28);
//     double d54 = secondMoment0.evaluate(d_array28);
//     double[] d_array55 = null;
//     // The following exception was thrown during execution in test generation
//     try {
//       double d56 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT(d_array28, d_array55);
//       org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
//     } catch (java.lang.IllegalArgumentException e) {
//       // Expected exception.
//       if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
//         org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
//       }
//     }
//     
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long4 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(long10 == 0L);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(statisticalSummary14);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array23);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array28);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d31 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array37);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertNotNull(d_array42);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d45 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(b47 == false);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d53 == 1.0d);
//     
//     // Regression assertion (captures the current behavior of the code)
//     org.junit.Assert.assertTrue(d54 == 0.5d);
// 
//   }

  @Test
  public void test089() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test089"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    double d2 = geometricMean0.getResult();
    geometricMean0.increment(0.0d);
    geometricMean0.clear();
    long long6 = geometricMean0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test090() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test090"); }


    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException11);
    java.lang.Throwable[] throwable_array13 = convergenceException12.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("Convergence failed", (java.lang.Object[])throwable_array13);
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str17 = convergenceException16.toString();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException((java.lang.Throwable)convergenceException16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array13, (java.lang.Throwable)convergenceException18);
    org.apache.commons.math.ConvergenceException convergenceException23 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!");
    java.lang.Object[] obj_array24 = convergenceException23.getArguments();
    java.lang.Object[] obj_array32 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException33 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array32);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException34 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array32);
    org.apache.commons.math.ConvergenceException convergenceException35 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException34);
    java.lang.Throwable[] throwable_array36 = convergenceException35.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException37 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array36);
    org.apache.commons.math.MathException mathException38 = new org.apache.commons.math.MathException("Maximal number of iterations ({0}) exceeded", obj_array24, (java.lang.Throwable)convergenceException37);
    java.lang.Throwable[] throwable_array39 = mathException38.getSuppressed();
    java.lang.Throwable[] throwable_array40 = mathException38.getSuppressed();
    java.lang.Object[] obj_array41 = mathException38.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException42 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array13, (java.lang.Throwable)mathException38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str17.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);

  }

  @Test
  public void test091() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test091"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.6002467149962943d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5d);

  }

  @Test
  public void test092() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test092"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl11 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d13 = tDistributionImpl11.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    tDistributionImpl11.setDegreesOfFreedom(3.0d);
    tDistributionImpl11.setDegreesOfFreedom(0.6909132170845432d);
    tDistributionImpl11.setDegreesOfFreedom(3.929994268525583E-5d);
    tTestImpl9.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl9);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl24 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long25 = summaryStatisticsImpl24.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment26 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d27 = firstMoment26.getResult();
    summaryStatisticsImpl24.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment26);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary29 = summaryStatisticsImpl24.getSummary();
    double d30 = summaryStatisticsImpl24.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance31 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl24.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance31);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic33 = summaryStatisticsImpl24.getSumLogImpl();
    long long34 = summaryStatisticsImpl24.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d35 = tTestImpl9.t(0.020798772066727332d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl24);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);

  }

  @Test
  public void test093() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test093"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.25d);
    double d5 = tDistributionImpl1.cumulativeProbability(100.0d);
    tDistributionImpl1.setDegreesOfFreedom(5000.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl8 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
    double d15 = summaryStatisticsImpl9.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl9.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    double[] d_array18 = new double[] {  };
    double d20 = variance16.evaluate(d_array18, 100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance22.setBiasCorrected(false);
    double d25 = variance22.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl27 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array31 = new double[] { 1.0d, 0.0d };
    double d32 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array31);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double d38 = tTestImpl27.pairedT(d_array31, d_array36);
    double d39 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array36);
    double d40 = variance22.evaluate(d_array36);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment41 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance42 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.Variance variance43 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment41);
    secondMoment41.increment(0.9984150981000139d);
    secondMoment41.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment41);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment49 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance50 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment49);
    org.apache.commons.math.stat.descriptive.moment.Variance variance51 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment49);
    secondMoment49.increment(0.9984150981000139d);
    secondMoment49.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment49);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl57 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    double d68 = tTestImpl57.pairedT(d_array61, d_array66);
    double[] d_array71 = new double[] { 100.0d, 10.0d };
    double d72 = org.apache.commons.math.stat.inference.TestUtils.t(d_array66, d_array71);
    double d74 = variance56.evaluate(d_array71, 0.5010105807105762d);
    double d76 = variance48.evaluate(d_array71, 5000.0d);
    double d77 = org.apache.commons.math.stat.inference.TestUtils.pairedT(d_array36, d_array71);
    // The following exception was thrown during execution in test generation
    try {
      double d78 = tTestImpl8.t(d_array18, d_array71);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.88573563471784d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == (-1.2247191011235956d));

  }

  @Test
  public void test094() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test094"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares0 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    long long1 = sumOfSquares0.getN();
    long long2 = sumOfSquares0.getN();
    sumOfSquares0.clear();
    long long4 = sumOfSquares0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);

  }

  @Test
  public void test095() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test095"); }


    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException16);
    java.lang.Object[] obj_array18 = maxIterationsExceededException16.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array18);
    java.lang.Object[] obj_array22 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str25 = convergenceException24.toString();
    org.apache.commons.math.MathException mathException26 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException24);
    org.apache.commons.math.MathException mathException27 = new org.apache.commons.math.MathException("", obj_array22, (java.lang.Throwable)mathException26);
    org.apache.commons.math.ConvergenceException convergenceException28 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array18, (java.lang.Throwable)mathException27);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException29 = new org.apache.commons.math.MaxIterationsExceededException(0, "", obj_array18);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl30 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = summaryStatisticsImpl30.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary32 = summaryStatisticsImpl30.getSummary();
    java.lang.Object[] obj_array41 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException42 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException43 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array41);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException44 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array41);
    org.apache.commons.math.ConvergenceException convergenceException46 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str47 = convergenceException46.toString();
    org.apache.commons.math.MathException mathException48 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException46);
    org.apache.commons.math.MathException mathException50 = new org.apache.commons.math.MathException("");
    convergenceException46.addSuppressed((java.lang.Throwable)mathException50);
    org.apache.commons.math.MathException mathException52 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException46);
    java.lang.Object[] obj_array56 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException57 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array56);
    convergenceException46.addSuppressed((java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.ConvergenceException convergenceException59 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array41, (java.lang.Throwable)maxIterationsExceededException57);
    boolean b60 = summaryStatisticsImpl30.equals((java.lang.Object)maxIterationsExceededException57);
    java.lang.Object[] obj_array61 = maxIterationsExceededException57.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException62 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: hi!", obj_array18, (java.lang.Throwable)maxIterationsExceededException57);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException63 = new org.apache.commons.math.MaxIterationsExceededException(0, "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str25 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str25.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str47 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str47.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array56);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array61);

  }

  @Test
  public void test096() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test096"); }


    org.apache.commons.math.ConvergenceException convergenceException1 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str2 = convergenceException1.toString();
    org.apache.commons.math.MathException mathException3 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException1);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("");
    convergenceException1.addSuppressed((java.lang.Throwable)mathException5);
    java.lang.String str7 = mathException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str2.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.MathException: "+ "'", str7.equals("org.apache.commons.math.MathException: "));

  }

  @Test
  public void test097() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test097"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl2.setBeta(10.0d);
    gammaDistributionImpl2.setAlpha(0.7653192729571252d);
    gammaDistributionImpl2.setBeta(0.7371946392617811d);
    double d9 = gammaDistributionImpl2.getBeta();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.7371946392617811d);

  }

  @Test
  public void test098() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test098"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment2 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl5 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double d16 = tTestImpl5.pairedT(d_array9, d_array14);
    double d17 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array14);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    boolean b33 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array14, d_array28, 0.003199067406189915d);
    double d35 = variance3.evaluate(d_array28, 1.0d);
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b33 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.49999999999999933d);

  }

  @Test
  public void test099() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test099"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl8.getGeoMeanImpl();
    summaryStatisticsImpl8.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl8.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl8.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long14 = summaryStatisticsImpl13.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment15 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d16 = firstMoment15.getResult();
    summaryStatisticsImpl13.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment15);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary18 = summaryStatisticsImpl13.getSummary();
    double d19 = summaryStatisticsImpl13.getMean();
    double d20 = summaryStatisticsImpl13.getSum();
    double d21 = summaryStatisticsImpl13.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl13.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = summaryStatisticsImpl13.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatisticsImpl13.getVarianceImpl();
    double d25 = summaryStatisticsImpl13.getMin();
    // The following exception was thrown during execution in test generation
    try {
      double d26 = tTestImpl7.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl8, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl13);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);

  }

  @Test
  public void test100() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test100"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment5 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d6 = secondMoment5.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment5);
    variance7.setBiasCorrected(false);
    summaryStatisticsImpl0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array16 = new double[] { 1.0d, 0.0d };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array16);
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double d23 = tTestImpl12.pairedT(d_array16, d_array21);
    double d24 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array21);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
    boolean b40 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array21, d_array35, 0.003199067406189915d);
    double d41 = variance7.evaluate(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b40 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.25d);

  }

  @Test
  public void test101() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test101"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl1.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary3 = summaryStatisticsImpl1.getSummary();
    long long4 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl1.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment7 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment7);
    double d9 = secondMoment7.getResult();
    summaryStatisticsImpl1.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment7);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment7);
    mean12.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);

  }

  @Test
  public void test102() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test102"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl3 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    tDistributionImpl3.setDegreesOfFreedom(0.5012447816130978d);
    double d7 = tDistributionImpl3.inverseCumulativeProbability(0.17044656615103027d);
    tDistributionImpl3.setDegreesOfFreedom(9.560683717011036d);
    tTestImpl1.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl3);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment13 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment13);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment13);
    secondMoment13.increment(0.9984150981000139d);
    secondMoment13.increment(10000.0d);
    secondMoment13.clear();
    secondMoment13.increment((-0.0020211614211524953d));
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance(true, secondMoment13);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double d37 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array34);
    secondMoment13.incrementAll(d_array34);
    double d39 = tTestImpl1.t(10.0d, d_array34);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == (-3.4839437163710985d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == (-19.0d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 0.49999999999999933d);

  }

  @Test
  public void test103() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test103"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.12566591637800228d);
    double d3 = tDistributionImpl1.cumulativeProbability(9.560683717011036d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getGeoMeanImpl();
    java.lang.String str7 = summaryStatisticsImpl5.toString();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl8 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long9 = summaryStatisticsImpl8.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment10 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d11 = firstMoment10.getResult();
    summaryStatisticsImpl8.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment10);
    double d13 = summaryStatisticsImpl8.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment14 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment14);
    variance15.clear();
    summaryStatisticsImpl8.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance15);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl8.getGeoMeanImpl();
    double d19 = summaryStatisticsImpl8.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary20 = summaryStatisticsImpl8.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = summaryStatisticsImpl8.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = null;
    summaryStatisticsImpl8.setVarianceImpl(storelessUnivariateStatistic22);
    // The following exception was thrown during execution in test generation
    try {
      double d24 = tTestImpl4.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl8);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.6952857980230562d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str7.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long9 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);

  }

  @Test
  public void test104() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test104"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl0.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    double d8 = firstMoment5.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl9 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long10 = summaryStatisticsImpl9.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment11 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d12 = firstMoment11.getResult();
    summaryStatisticsImpl9.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment11);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl9.getSummary();
    double d15 = summaryStatisticsImpl9.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl9.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d51 = variance16.evaluate(d_array28, Double.NaN, 0, 0);
    firstMoment5.incrementAll(d_array28);
    summaryStatisticsImpl0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    double d54 = summaryStatisticsImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);

  }

  @Test
  public void test105() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test105"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    double d10 = secondMoment0.getResult();
    double d11 = secondMoment0.getResult();
    long long12 = secondMoment0.getN();
    secondMoment0.increment(0.6209046206685016d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    variance15.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 4.9990016347435355E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 4.9990016347435355E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 2L);

  }

  @Test
  public void test106() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test106"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    long long2 = geometricMean0.getN();
    long long3 = geometricMean0.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d8 = tDistributionImpl6.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    tDistributionImpl6.setDegreesOfFreedom(3.0d);
    tTestImpl4.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl31 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    double d42 = tTestImpl31.pairedT(d_array35, d_array40);
    double d43 = tTestImpl14.t(d_array29, d_array40);
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.557576235136165d, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double[] d_array61 = new double[] { 1.0d, 0.0d };
    double d62 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array61);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl63 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array67 = new double[] { 1.0d, 0.0d };
    double d68 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array67);
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double d74 = tTestImpl63.pairedT(d_array67, d_array72);
    double d75 = tTestImpl46.t(d_array61, d_array72);
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array72);
    double d77 = tTestImpl4.t(d_array40, d_array72);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = geometricMean0.evaluate(d_array72, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.9270131318881731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d62 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d74, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.49999999999999933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.0d);

  }

  @Test
  public void test107() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test107"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum6 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl4.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    summaryStatisticsImpl0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);

  }

  @Test
  public void test108() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test108"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl12.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl12.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares15 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl12.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares15);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares15);
    sumOfSquares15.increment(0.010683863282107327d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);

  }

  @Test
  public void test109() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test109"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.998206254491263d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl3 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long4 = summaryStatisticsImpl3.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment5 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d6 = firstMoment5.getResult();
    summaryStatisticsImpl3.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment5);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl3.getSummary();
    double d9 = summaryStatisticsImpl3.getMean();
    double d10 = summaryStatisticsImpl3.getSum();
    double d11 = summaryStatisticsImpl3.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = summaryStatisticsImpl3.getMeanImpl();
    summaryStatisticsImpl3.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl3.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl15 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long16 = summaryStatisticsImpl15.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum17 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl15.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum17);
    // The following exception was thrown during execution in test generation
    try {
      double d19 = tTestImpl2.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl3, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl15);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);

  }

  @Test
  public void test110() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test110"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    double d9 = secondMoment0.getResult();
    secondMoment0.increment(0.003199067406189915d);
    double d12 = secondMoment0.getResult();
    secondMoment0.clear();
    secondMoment0.clear();
    double d15 = secondMoment0.getResult();
    secondMoment0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 4.9990016347435355E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 6.665998990132926E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test111() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test111"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl11 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d13 = tDistributionImpl11.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    tDistributionImpl11.setDegreesOfFreedom(3.0d);
    tDistributionImpl11.setDegreesOfFreedom(0.6909132170845432d);
    tDistributionImpl11.setDegreesOfFreedom(3.929994268525583E-5d);
    tTestImpl9.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl9);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl24 = new org.apache.commons.math.distribution.TDistributionImpl(0.3675056060707571d);
    tTestImpl9.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl24);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long27 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment28 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d29 = firstMoment28.getResult();
    summaryStatisticsImpl26.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment28);
    double d31 = summaryStatisticsImpl26.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares32 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares32.increment(100.0d);
    summaryStatisticsImpl26.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares32);
    double d36 = summaryStatisticsImpl26.getMax();
    summaryStatisticsImpl26.clear();
    summaryStatisticsImpl26.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl39 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic40 = summaryStatisticsImpl39.getGeoMeanImpl();
    summaryStatisticsImpl39.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = summaryStatisticsImpl39.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic43 = summaryStatisticsImpl39.getVarianceImpl();
    summaryStatisticsImpl26.setMeanImpl(storelessUnivariateStatistic43);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment47 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance48 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance49 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    secondMoment47.increment(0.9984150981000139d);
    secondMoment47.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance54 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Mean mean55 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance57 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment47);
    org.apache.commons.math.stat.descriptive.moment.Variance variance58 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment47);
    summaryStatisticsImpl26.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment47);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic60 = summaryStatisticsImpl26.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl61 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic62 = summaryStatisticsImpl61.getGeoMeanImpl();
    summaryStatisticsImpl61.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = summaryStatisticsImpl61.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic65 = summaryStatisticsImpl61.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic66 = summaryStatisticsImpl61.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b68 = tTestImpl9.tTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl26, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl61, 0.6386492209111756d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic66);

  }

  @Test
  public void test112() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test112"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    double d14 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array11);
    double d15 = org.apache.commons.math.stat.inference.TestUtils.t(Double.NEGATIVE_INFINITY, d_array11);
    double[] d_array18 = new double[] { (-1.0d), (-1.0d) };
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl20 = new org.apache.commons.math.distribution.TDistributionImpl(0.44228412324739086d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl20);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl23 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl23);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatisticsImpl26.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    long long30 = sum28.getN();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double d44 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array41);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    double d58 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array55);
    boolean b60 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array41, d_array55, 0.003199067406189915d);
    double d63 = sum28.evaluate(d_array41, 1, 1);
    double d64 = tTestImpl24.tTest((-8098.999999999998d), d_array41);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl66 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    double[] d_array75 = new double[] { 1.0d, 0.0d };
    double d76 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array75);
    double d77 = tTestImpl66.pairedT(d_array70, d_array75);
    double d78 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array75);
    double d79 = tTestImpl21.homoscedasticTTest(d_array41, d_array75);
    double d80 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array18, d_array41);
    // The following exception was thrown during execution in test generation
    try {
      boolean b82 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array11, d_array41, 0.0d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b60 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 3.929994268525583E-5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array75);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d79 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.20483276469913347d);

  }

  @Test
  public void test113() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test113"); }


    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean0 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean0.clear();
    double d2 = geometricMean0.getResult();
    geometricMean0.clear();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d7 = secondMoment6.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    variance8.setBiasCorrected(false);
    variance8.increment(0.9995935930493054d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment16 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment16);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double[] d_array28 = new double[] { 1.0d, 0.0d };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array28);
    double d30 = tTestImpl19.pairedT(d_array23, d_array28);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array28);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl33 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double d44 = tTestImpl33.pairedT(d_array37, d_array42);
    double d45 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array42);
    boolean b47 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array28, d_array42, 0.003199067406189915d);
    double d49 = variance17.evaluate(d_array42, 1.0d);
    double d50 = org.apache.commons.math.stat.inference.TestUtils.t(1.2880225246980763d, d_array42);
    double d51 = org.apache.commons.math.stat.inference.TestUtils.t(6.665998990132926E7d, d_array42);
    double d53 = variance8.evaluate(d_array42, 0.013537687324529667d);
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.6860531971285134d, d_array42);
    double d55 = geometricMean0.evaluate(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == (-1.5760450493961526d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == (-1.3331997880265851E8d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.7732160470760143d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.0d);

  }

  @Test
  public void test114() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test114"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long10 = variance9.getN();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance9);
    long long12 = summaryStatisticsImpl0.getN();
    double d13 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment15 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment15);
    secondMoment15.increment(0.9984150981000139d);
    secondMoment15.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance22 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment15);
    org.apache.commons.math.stat.descriptive.moment.Mean mean23 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment15);
    mean23.clear();
    summaryStatisticsImpl0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)mean23);
    long long26 = mean23.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long26 == 2L);

  }

  @Test
  public void test115() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test115"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics1 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b3 = summaryStatistics1.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs4 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long5 = sumOfLogs4.getN();
    summaryStatistics1.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs4);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl7 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long8 = summaryStatisticsImpl7.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment9 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d10 = firstMoment9.getResult();
    summaryStatisticsImpl7.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment9);
    boolean b12 = sumOfLogs4.equals((java.lang.Object)summaryStatisticsImpl7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl7.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl7.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      boolean b16 = org.apache.commons.math.stat.inference.TestUtils.tTest(11.792739866039025d, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl7, 1.0403068569391323d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b3 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b12 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);

  }

  @Test
  public void test116() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test116"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(1.4238427096254823E-147d);

  }

  @Test
  public void test117() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test117"); }


    org.apache.commons.math.stat.descriptive.rank.Max max0 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d1 = max0.getResult();
    max0.increment(5.398589728139425E-63d);
    max0.clear();
    max0.clear();
    double d6 = max0.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);

  }

  @Test
  public void test118() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test118"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatistics0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs7.increment(0.0d);
    sumOfLogs7.increment(Double.NEGATIVE_INFINITY);
    summaryStatistics0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs7);
    java.lang.Object obj13 = null;
    boolean b14 = sumOfLogs7.equals(obj13);
    sumOfLogs7.increment(0.7076752109959976d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b14 == false);

  }

  @Test
  public void test119() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test119"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str7 = convergenceException6.toString();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array4, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array10 = mathException8.getArguments();
    java.lang.Object[] obj_array16 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException18 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array16);
    org.apache.commons.math.MathException mathException19 = new org.apache.commons.math.MathException("Convergence failed", obj_array10, (java.lang.Throwable)maxIterationsExceededException18);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: 0.5\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str7.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test120() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test120"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    firstMoment0.clear();
    firstMoment0.clear();
    firstMoment0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary10 = summaryStatisticsImpl5.getSummary();
    double d11 = summaryStatisticsImpl5.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl5.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance12);
    double[] d_array14 = new double[] {  };
    double d16 = variance12.evaluate(d_array14, 100.0d);
    firstMoment0.incrementAll(d_array14);
    long long18 = firstMoment0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);

  }

  @Test
  public void test121() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test121"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array4 = new double[] { 1.0d, 0.0d };
    double d5 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array4);
    double[] d_array9 = new double[] { 1.0d, 0.0d };
    double d10 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array9);
    double d11 = tTestImpl0.pairedT(d_array4, d_array9);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl0);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics15 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b17 = summaryStatistics15.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs18 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long19 = sumOfLogs18.getN();
    summaryStatistics15.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs18);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl21 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long22 = summaryStatisticsImpl21.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment23 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d24 = firstMoment23.getResult();
    summaryStatisticsImpl21.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment23);
    boolean b26 = sumOfLogs18.equals((java.lang.Object)summaryStatisticsImpl21);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatisticsImpl21.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = summaryStatisticsImpl21.getMeanImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d29 = tTestImpl0.homoscedasticTTest(statisticalSummary14, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl21);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d24, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b26 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);

  }

  @Test
  public void test122() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test122"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl4 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d5 = gammaDistributionImpl4.getAlpha();
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl6 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.5010105807105762d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    gammaDistributionImpl4.setAlpha(0.46761113031083257d);
    double d10 = gammaDistributionImpl4.cumulativeProbability(0.23913419341588305d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl11 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.4419727585774209d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    double d13 = gammaDistributionImpl4.cumulativeProbability(0.0010573878680386404d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.1955644965025385d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.14487494328066486d);

  }

  @Test
  public void test123() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test123"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary6 = summaryStatistics0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs7 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs7.increment(0.0d);
    sumOfLogs7.increment(Double.NEGATIVE_INFINITY);
    summaryStatistics0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs7);
    double d13 = sumOfLogs7.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl14 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long15 = summaryStatisticsImpl14.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl14.getSumsqImpl();
    boolean b17 = sumOfLogs7.equals((java.lang.Object)summaryStatisticsImpl14);
    double d18 = summaryStatisticsImpl14.getSumsq();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = summaryStatisticsImpl14.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl20 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long21 = summaryStatisticsImpl20.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl20.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl23 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long24 = summaryStatisticsImpl23.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment25 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d26 = firstMoment25.getResult();
    summaryStatisticsImpl23.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment25);
    double d28 = firstMoment25.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl29 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long30 = summaryStatisticsImpl29.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment31 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d32 = firstMoment31.getResult();
    summaryStatisticsImpl29.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment31);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary34 = summaryStatisticsImpl29.getSummary();
    double d35 = summaryStatisticsImpl29.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance36 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl29.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance36);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl39 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double[] d_array48 = new double[] { 1.0d, 0.0d };
    double d49 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array48);
    double d50 = tTestImpl39.pairedT(d_array43, d_array48);
    double d51 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array48);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl53 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array57 = new double[] { 1.0d, 0.0d };
    double d58 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array57);
    double[] d_array62 = new double[] { 1.0d, 0.0d };
    double d63 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array62);
    double d64 = tTestImpl53.pairedT(d_array57, d_array62);
    double d65 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array62);
    boolean b67 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array48, d_array62, 0.003199067406189915d);
    double d71 = variance36.evaluate(d_array48, Double.NaN, 0, 0);
    firstMoment25.incrementAll(d_array48);
    summaryStatisticsImpl20.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment25);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic74 = summaryStatisticsImpl20.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment76 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d77 = secondMoment76.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance78 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment76);
    summaryStatisticsImpl20.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment76);
    // The following exception was thrown during execution in test generation
    try {
      double d80 = org.apache.commons.math.stat.inference.TestUtils.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl14, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl20);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long21 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long24 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long30 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d50, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array57);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array62);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d63 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b67 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d71, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic74);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);

  }

  @Test
  public void test124() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test124"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs3.increment(0.0d);
    sumOfLogs3.increment(Double.NEGATIVE_INFINITY);
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    boolean b10 = summaryStatisticsImpl0.equals((java.lang.Object)(short)(-1));
    summaryStatisticsImpl0.addValue(0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b10 == false);

  }

  @Test
  public void test125() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test125"); }


    org.apache.commons.math.ConvergenceException convergenceException3 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded");
    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException3);
    org.apache.commons.math.MathException mathException5 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", (java.lang.Throwable)convergenceException3);
    java.lang.String str6 = mathException5.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str6 + "' != '" + "org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded"+ "'", str6.equals("org.apache.commons.math.MathException: org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test126() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test126"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumImpl();
    double d5 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getMinImpl();
    double d7 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl0.getMinImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);

  }

  @Test
  public void test127() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test127"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    java.lang.String str2 = mathException1.getPattern();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str2 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str2.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));

  }

  @Test
  public void test128() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test128"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str15 = convergenceException14.toString();
    java.lang.Object[] obj_array19 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array19);
    convergenceException14.addSuppressed((java.lang.Throwable)maxIterationsExceededException20);
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10, (java.lang.Throwable)convergenceException14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException23 = new org.apache.commons.math.MaxIterationsExceededException((-1), "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array10);
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", (java.lang.Throwable)maxIterationsExceededException23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str15 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str15.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array19);

  }

  @Test
  public void test129() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test129"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution6 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution6);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl9 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl11 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl12 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl11);
    double d14 = chiSquaredDistributionImpl11.cumulativeProbability(0.020798772066727332d);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl17 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl17.setBeta(10.0d);
    gammaDistributionImpl17.setAlpha(0.7653192729571252d);
    gammaDistributionImpl17.setAlpha(1.0d);
    chiSquaredDistributionImpl11.setGamma((org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl17);
    chiSquaredDistributionImpl11.setDegreesOfFreedom(0.2488882984641818d);
    chiSquareTestImpl9.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.46761113031083257d);

  }

  @Test
  public void test130() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test130"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance0 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    long long1 = variance0.getN();
    long long2 = variance0.getN();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment4);
    secondMoment4.increment(0.9984150981000139d);
    secondMoment4.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Mean mean12 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment4);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl29 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array33 = new double[] { 1.0d, 0.0d };
    double d34 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array33);
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double d40 = tTestImpl29.pairedT(d_array33, d_array38);
    double d41 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array38);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl43 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double[] d_array52 = new double[] { 1.0d, 0.0d };
    double d53 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array52);
    double d54 = tTestImpl43.pairedT(d_array47, d_array52);
    double d55 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array52);
    boolean b57 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array38, d_array52, 0.003199067406189915d);
    double d58 = tTestImpl15.t(d_array25, d_array38);
    double d59 = variance14.evaluate(d_array25);
    double d60 = variance0.evaluate(d_array25);
    boolean b61 = variance0.isBiasCorrected();
    double[] d_array62 = null;
    // The following exception was thrown during execution in test generation
    try {
      variance0.incrementAll(d_array62);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array52);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d53 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b57 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d58 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b61 == true);

  }

  @Test
  public void test131() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test131"); }


    java.lang.Object[] obj_array8 = null;
    org.apache.commons.math.ConvergenceException convergenceException9 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException10 = new org.apache.commons.math.ConvergenceException("hi!", obj_array8, (java.lang.Throwable)convergenceException9);
    java.lang.Throwable[] throwable_array11 = convergenceException10.getSuppressed();
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException("");
    java.lang.Object[] obj_array15 = null;
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("hi!", obj_array15, (java.lang.Throwable)convergenceException16);
    java.lang.Throwable[] throwable_array18 = convergenceException17.getSuppressed();
    mathException13.addSuppressed((java.lang.Throwable)convergenceException17);
    java.lang.Object[] obj_array20 = convergenceException17.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array11, (java.lang.Throwable)convergenceException17);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    org.apache.commons.math.MathException mathException24 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array11, (java.lang.Throwable)mathException23);
    org.apache.commons.math.MathException mathException25 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Object[])throwable_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException26 = new org.apache.commons.math.MaxIterationsExceededException(1, "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Object[])throwable_array11);
    java.lang.Throwable throwable27 = null;
    org.apache.commons.math.MathException mathException28 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array11, throwable27);
    org.apache.commons.math.MathException mathException29 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: Maximal number of iterations ({0}) exceeded", (java.lang.Object[])throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array20);

  }

  @Test
  public void test132() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test132"); }


    double d2 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.4429372004849344d, 0.866289751216055d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d2 == 0.16281578528828922d);

  }

  @Test
  public void test133() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test133"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    double d12 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    long long14 = secondMoment1.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 4.9990016347435355E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 2L);

  }

  @Test
  public void test134() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test134"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumImpl();
    double d5 = summaryStatisticsImpl0.getGeometricMean();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics7 = new org.apache.commons.math.stat.descriptive.SummaryStatistics();
    java.lang.String str8 = summaryStatistics7.toString();
    double d9 = summaryStatistics7.getMax();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean10 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean10.clear();
    double d12 = geometricMean10.getResult();
    geometricMean10.increment(0.0d);
    summaryStatistics7.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean10);
    org.apache.commons.math.stat.descriptive.rank.Max max16 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d17 = max16.getResult();
    long long18 = max16.getN();
    long long19 = max16.getN();
    double d20 = max16.getResult();
    summaryStatistics7.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max16);
    summaryStatisticsImpl0.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max16);
    double d23 = summaryStatisticsImpl0.getSumsq();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str8.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);

  }

  @Test
  public void test135() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test135"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(2.6814779448980355d, (-148.57076092073046d), 29587.97797143664d, (-1));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test136() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test136"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    double d9 = tDistributionImpl2.getDegreesOfFreedom();
    double d10 = tDistributionImpl2.getDegreesOfFreedom();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double[] d_array15 = new double[] { 0.0d, 100.0d };
    boolean b17 = tTestImpl11.tTest(0.020798772066727332d, d_array15, 0.41561131206277957d);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);

  }

  @Test
  public void test137() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test137"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    double d4 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment7);
    firstMoment7.clear();
    summaryStatisticsImpl5.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    double d17 = summaryStatisticsImpl12.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
    variance19.clear();
    summaryStatisticsImpl12.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance19);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl12.getGeoMeanImpl();
    double d23 = summaryStatisticsImpl12.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary24 = summaryStatisticsImpl12.getSummary();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatisticsImpl12.getMinImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d26 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticT((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl12);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d23, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);

  }

  @Test
  public void test138() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test138"); }


    java.lang.Object[] obj_array4 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str7 = convergenceException6.toString();
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException6);
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", obj_array4, (java.lang.Throwable)mathException8);
    java.lang.Object[] obj_array10 = mathException8.getArguments();
    java.lang.Throwable[] throwable_array11 = mathException8.getSuppressed();
    java.lang.Throwable throwable13 = null;
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", throwable13);
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: ", (java.lang.Object[])throwable_array11, throwable13);
    java.lang.Throwable throwable16 = null;
    org.apache.commons.math.ConvergenceException convergenceException17 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: ", (java.lang.Object[])throwable_array11, throwable16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str7 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str7.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);

  }

  @Test
  public void test139() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test139"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability((-1.0d));
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs6 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long7 = sumOfLogs6.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    double[] d_array12 = new double[] { 1.0d, 0.0d };
    double d13 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array12);
    double d14 = variance8.evaluate(d_array12);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance16.setBiasCorrected(false);
    double d19 = variance16.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double d33 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array30);
    double d34 = variance16.evaluate(d_array30);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment35 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d36 = firstMoment35.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean37 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment35);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double[] d_array53 = new double[] { 1.0d, 0.0d };
    double d54 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array53);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    double d67 = tTestImpl38.t(d_array53, d_array64);
    double d68 = firstMoment35.evaluate(d_array64);
    double d69 = org.apache.commons.math.stat.inference.TestUtils.t(d_array30, d_array64);
    double d70 = variance8.evaluate(d_array30);
    double d73 = sumOfLogs6.evaluate(d_array30, 1, 0);
    double d74 = tTestImpl4.t(0.2505052903552881d, d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.17044656615103027d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array53);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d68 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d70 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.49898941928942375d);

  }

  @Test
  public void test140() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test140"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    firstMoment0.clear();
    firstMoment0.increment(Double.POSITIVE_INFINITY);
    org.apache.commons.math.stat.descriptive.moment.Mean mean5 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    double d6 = firstMoment0.getResult();
    firstMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Mean mean9 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    long long10 = mean9.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == Double.POSITIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 2L);

  }

  @Test
  public void test141() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test141"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    long long2 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getSumsqImpl();
    long long4 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = summaryStatisticsImpl5.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares11 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares11.increment(100.0d);
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares11);
    double d15 = summaryStatisticsImpl5.getMax();
    summaryStatisticsImpl5.clear();
    summaryStatisticsImpl5.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl18 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic19 = summaryStatisticsImpl18.getGeoMeanImpl();
    summaryStatisticsImpl18.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = summaryStatisticsImpl18.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl18.getVarianceImpl();
    summaryStatisticsImpl5.setMeanImpl(storelessUnivariateStatistic22);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatisticsImpl5.getMinImpl();
    boolean b25 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatisticsImpl5);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment26 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean27 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment26);
    firstMoment26.clear();
    firstMoment26.clear();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment26);
    long long31 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic32 = summaryStatisticsImpl0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.rank.Max max33 = new org.apache.commons.math.stat.descriptive.rank.Max();
    long long34 = max33.getN();
    max33.increment(0.9984150981000139d);
    max33.increment(0.5d);
    max33.clear();
    double d40 = max33.getResult();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max33);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b25 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long34 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);

  }

  @Test
  public void test142() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test142"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getSumsqImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);

  }

  @Test
  public void test143() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test143"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl4 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d6 = chiSquaredDistributionImpl4.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    chiSquareTestImpl2.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl4);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl2);
    long[] long_array13 = new long[] { 0L, 1L };
    long[] long_array16 = new long[] { 1L, 1L };
    double d17 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array13, long_array16);
    long[] long_array20 = new long[] { 0L, 1L };
    long[] long_array23 = new long[] { 1L, 1L };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array20, long_array23);
    double d25 = chiSquareTestImpl2.chiSquareDataSetsComparison(long_array16, long_array23);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl29 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl29.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl32 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl29);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl33 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl32);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl34 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array37 = new long[] { 0L, 1L };
    long[] long_array40 = new long[] { 1L, 1L };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array37, long_array40);
    long[] long_array44 = new long[] { 0L, 1L };
    long[] long_array47 = new long[] { 1L, 1L };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array44, long_array47);
    double d49 = chiSquareTestImpl34.chiSquareTestDataSetsComparison(long_array40, long_array47);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl51 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl52 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl51);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl54 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d56 = chiSquaredDistributionImpl54.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl57 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl54);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl58 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl54);
    chiSquareTestImpl52.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl54);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl52);
    long[] long_array63 = new long[] { 0L, 1L };
    long[] long_array66 = new long[] { 1L, 1L };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array63, long_array66);
    long[] long_array70 = new long[] { 0L, 1L };
    long[] long_array73 = new long[] { 1L, 1L };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array70, long_array73);
    double d75 = chiSquareTestImpl52.chiSquareDataSetsComparison(long_array66, long_array73);
    double d76 = chiSquareTestImpl33.chiSquareTestDataSetsComparison(long_array47, long_array73);
    long[] long_array79 = new long[] { 0L, 1L };
    long[] long_array82 = new long[] { 1L, 1L };
    double d83 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array79, long_array82);
    double d84 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array73, long_array82);
    double d85 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array23, long_array82);
    long[][] long_array_array86 = new long[][] { long_array23 };
    // The following exception was thrown during execution in test generation
    try {
      double d87 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTest(long_array_array86);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d17 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array79);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array82);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d83 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array86);

  }

  @Test
  public void test144() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test144"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.5d);
    double d3 = tDistributionImpl1.inverseCumulativeProbability(0.4365489651388925d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == (-0.24196437067184032d));

  }

  @Test
  public void test145() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test145"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    summaryStatistics0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance4);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl6.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares9 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares9);
    sumOfSquares9.clear();
    summaryStatistics0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares9);
    summaryStatistics0.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatistics0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance14);
    long long16 = variance14.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long16 == 0L);

  }

  @Test
  public void test146() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test146"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    secondMoment0.increment(0.9984150981000139d);
    secondMoment0.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment0);
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment0);
    mean8.clear();
    long long10 = mean8.getN();
    mean8.increment(0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 2L);

  }

  @Test
  public void test147() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test147"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    double d7 = tDistributionImpl1.getDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 3.0d);

  }

  @Test
  public void test148() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test148"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: org.apache.commons.math.ConvergenceException: Convergence failed");

  }

  @Test
  public void test149() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test149"); }


    // The following exception was thrown during execution in test generation
    try {
      double d4 = org.apache.commons.math.special.Gamma.regularizedGammaQ(0.2800619327527149d, 52797.894277222906d, 0.5061406539810476d, (-1));
      org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException");
    } catch (org.apache.commons.math.MaxIterationsExceededException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("org.apache.commons.math.MaxIterationsExceededException")) {
        org.junit.Assert.fail("Expected exception of type org.apache.commons.math.MaxIterationsExceededException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test150() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test150"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance6.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    double d15 = firstMoment12.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl16 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long17 = summaryStatisticsImpl16.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment18 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d19 = firstMoment18.getResult();
    summaryStatisticsImpl16.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment18);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary21 = summaryStatisticsImpl16.getSummary();
    double d22 = summaryStatisticsImpl16.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl16.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl40 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double d51 = tTestImpl40.pairedT(d_array44, d_array49);
    double d52 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array49);
    boolean b54 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array35, d_array49, 0.003199067406189915d);
    double d58 = variance23.evaluate(d_array35, Double.NaN, 0, 0);
    firstMoment12.incrementAll(d_array35);
    double d60 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array35);
    double d61 = variance6.evaluate(d_array35);
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance6);
    double[] d_array63 = null;
    // The following exception was thrown during execution in test generation
    try {
      double d65 = variance6.evaluate(d_array63, (-0.999999999999974d));
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.25d);

  }

  @Test
  public void test151() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test151"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    summaryStatisticsImpl13.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl13.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic17 = summaryStatisticsImpl13.getVarianceImpl();
    summaryStatisticsImpl0.setMeanImpl(storelessUnivariateStatistic17);
    double d19 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic20 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl21 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl21.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum23 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl21.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum23);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatisticsImpl21.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatisticsImpl26.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary28 = summaryStatisticsImpl26.getSummary();
    long long29 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic30 = summaryStatisticsImpl26.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment32 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment32);
    double d34 = secondMoment32.getResult();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment32);
    summaryStatisticsImpl21.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment32);
    org.apache.commons.math.stat.descriptive.moment.Variance variance38 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment32);
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long29 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);

  }

  @Test
  public void test152() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test152"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b5 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatistics4);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic8 = summaryStatisticsImpl6.getVarianceImpl();
    summaryStatistics4.setSumsqImpl(storelessUnivariateStatistic8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic8);

  }

  @Test
  public void test153() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test153"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    variance7.clear();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d11 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.increment((-1.0d));
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl0.getSumsqImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);

  }

  @Test
  public void test154() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test154"); }


    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str8 = convergenceException7.toString();
    org.apache.commons.math.MathException mathException9 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException7);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("");
    convergenceException7.addSuppressed((java.lang.Throwable)mathException11);
    org.apache.commons.math.MathException mathException13 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException7);
    java.lang.Throwable[] throwable_array14 = convergenceException7.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array14);
    java.lang.String str16 = maxIterationsExceededException15.toString();
    java.lang.Throwable[] throwable_array17 = maxIterationsExceededException15.getSuppressed();
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", (java.lang.Object[])throwable_array17);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException19 = new org.apache.commons.math.MaxIterationsExceededException(10, "", (java.lang.Object[])throwable_array17);
    java.lang.Object[] obj_array20 = maxIterationsExceededException19.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException21 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str8 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str8.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str16 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"+ "'", str16.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array20);

  }

  @Test
  public void test155() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test155"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl2 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long3 = summaryStatisticsImpl2.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum4 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl2.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum4);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics6 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b8 = summaryStatistics6.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs9 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long10 = sumOfLogs9.getN();
    summaryStatistics6.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs9);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    boolean b17 = sumOfLogs9.equals((java.lang.Object)summaryStatisticsImpl12);
    sumOfLogs9.increment(0.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double d50 = tTestImpl21.t(d_array36, d_array47);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl51 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    double d62 = tTestImpl51.pairedT(d_array55, d_array60);
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl68 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array72 = new double[] { 1.0d, 0.0d };
    double d73 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array72);
    double[] d_array77 = new double[] { 1.0d, 0.0d };
    double d78 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array77);
    double d79 = tTestImpl68.pairedT(d_array72, d_array77);
    double d80 = tTestImpl51.t(d_array66, d_array77);
    double d81 = tTestImpl20.tTest(d_array36, d_array77);
    double d84 = sumOfLogs9.evaluate(d_array77, 1, 1);
    double d87 = sum4.evaluate(d_array77, 1, 1);
    double d88 = org.apache.commons.math.stat.inference.TestUtils.tTest((-1.5760450493961526d), d_array77);
    boolean b90 = org.apache.commons.math.stat.inference.TestUtils.tTest((-1.5760450493961526d), d_array77, 0.0013528528009289279d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b8 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long10 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b17 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d62, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d73 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d78 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d79, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d80 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d81 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d88 == 0.1504596706425243d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b90 == false);

  }

  @Test
  public void test156() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test156"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl1 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array5 = new double[] { 1.0d, 0.0d };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array5);
    double[] d_array10 = new double[] { 1.0d, 0.0d };
    double d11 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array10);
    double d12 = tTestImpl1.pairedT(d_array5, d_array10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double[] d_array23 = new double[] { 1.0d, 0.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array23);
    double d25 = tTestImpl14.pairedT(d_array18, d_array23);
    double d26 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl28 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double[] d_array37 = new double[] { 1.0d, 0.0d };
    double d38 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array37);
    double d39 = tTestImpl28.pairedT(d_array32, d_array37);
    double d40 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array37);
    boolean b42 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array23, d_array37, 0.003199067406189915d);
    double d43 = tTestImpl0.t(d_array10, d_array23);
    org.apache.commons.math.stat.descriptive.summary.Sum sum45 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl46 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array50 = new double[] { 1.0d, 0.0d };
    double d51 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array50);
    double[] d_array55 = new double[] { 1.0d, 0.0d };
    double d56 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array55);
    double d57 = tTestImpl46.pairedT(d_array50, d_array55);
    sum45.incrementAll(d_array55);
    double d59 = tTestImpl0.tTest(0.9984150981000139d, d_array55);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl60 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic61 = summaryStatisticsImpl60.getSumLogImpl();
    summaryStatisticsImpl60.clear();
    summaryStatisticsImpl60.addValue(0.9084974562464172d);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl65 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long66 = summaryStatisticsImpl65.getN();
    summaryStatisticsImpl65.clear();
    double d68 = summaryStatisticsImpl65.getGeometricMean();
    double d69 = summaryStatisticsImpl65.getSum();
    // The following exception was thrown during execution in test generation
    try {
      double d70 = tTestImpl0.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl60, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl65);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array37);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d40 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b42 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d57, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d59 == 0.5010105807105762d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic61);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long66 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d69, Double.NaN, 0);

  }

  @Test
  public void test157() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test157"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    double d4 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl5.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean8 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment7);
    firstMoment7.clear();
    summaryStatisticsImpl5.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    long long12 = firstMoment7.getN();
    firstMoment7.clear();
    firstMoment7.clear();
    long long15 = firstMoment7.getN();
    double d16 = firstMoment7.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long12 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);

  }

  @Test
  public void test158() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test158"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance8 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double[] d_array18 = new double[] { 1.0d, 0.0d };
    double d19 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array18);
    double d20 = tTestImpl9.pairedT(d_array13, d_array18);
    double[] d_array23 = new double[] { 100.0d, 10.0d };
    double d24 = org.apache.commons.math.stat.inference.TestUtils.t(d_array18, d_array23);
    double d26 = variance8.evaluate(d_array23, 0.5010105807105762d);
    variance8.increment((-1.2110363580874859d));
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance8);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl30 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl30.t(0.0d, d_array35);
    double d39 = variance8.evaluate(d_array35, 1.7551117089467874d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d19 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.5000000000000004d);

  }

  @Test
  public void test159() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test159"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance2 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment1);
    secondMoment1.increment(0.9984150981000139d);
    secondMoment1.increment(10000.0d);
    secondMoment1.clear();
    secondMoment1.increment((-0.0020211614211524953d));
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    double d12 = variance11.getResult();
    variance11.setBiasCorrected(false);
    variance11.setBiasCorrected(true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.0d);

  }

  @Test
  public void test160() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test160"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment6);
    double d8 = secondMoment6.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);

  }

  @Test
  public void test161() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test161"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d4 = tDistributionImpl2.cumulativeProbability(0.003199067406189915d);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.getDegreesOfFreedom();
    double d8 = tDistributionImpl2.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.TTest)tTestImpl10);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl12 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl14 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl14);
    tTestImpl12.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl14);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl18 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl19 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl18);
    double d21 = tDistributionImpl18.cumulativeProbability(0.5d);
    tTestImpl12.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl18);
    double d24 = tDistributionImpl18.cumulativeProbability(5.398589728139425E-63d);
    tDistributionImpl18.setDegreesOfFreedom(10.0d);
    tDistributionImpl18.setDegreesOfFreedom(0.0279770305475171d);
    tTestImpl10.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 10.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d24 == 0.5d);

  }

  @Test
  public void test162() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test162"); }


    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs0 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs0.increment(0.0d);
    sumOfLogs0.increment(0.6931471805599457d);
    sumOfLogs0.clear();
    long long6 = sumOfLogs0.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);

  }

  @Test
  public void test163() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test163"); }


    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary0 = null;
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl1 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long2 = summaryStatisticsImpl1.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl1.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    double d9 = firstMoment6.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl10.getSummary();
    double d16 = summaryStatisticsImpl10.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance17 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl10.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance17);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl20 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double d31 = tTestImpl20.pairedT(d_array24, d_array29);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array29);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl34 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array38 = new double[] { 1.0d, 0.0d };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array38);
    double[] d_array43 = new double[] { 1.0d, 0.0d };
    double d44 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array43);
    double d45 = tTestImpl34.pairedT(d_array38, d_array43);
    double d46 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array43);
    boolean b48 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array29, d_array43, 0.003199067406189915d);
    double d52 = variance17.evaluate(d_array29, Double.NaN, 0, 0);
    firstMoment6.incrementAll(d_array29);
    summaryStatisticsImpl1.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic55 = summaryStatisticsImpl1.getSumsqImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment57 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d58 = secondMoment57.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance59 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment57);
    summaryStatisticsImpl1.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment57);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl61 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long62 = summaryStatisticsImpl61.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment63 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d64 = firstMoment63.getResult();
    summaryStatisticsImpl61.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment63);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary66 = summaryStatisticsImpl61.getSummary();
    double d67 = summaryStatisticsImpl61.getMean();
    double d68 = summaryStatisticsImpl61.getSum();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl69 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic70 = summaryStatisticsImpl69.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary71 = summaryStatisticsImpl69.getSummary();
    long long72 = summaryStatisticsImpl69.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic73 = summaryStatisticsImpl69.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment75 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance76 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment75);
    double d77 = secondMoment75.getResult();
    summaryStatisticsImpl69.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment75);
    long long79 = secondMoment75.getN();
    boolean b80 = summaryStatisticsImpl61.equals((java.lang.Object)long79);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic81 = null;
    summaryStatisticsImpl61.setSumImpl(storelessUnivariateStatistic81);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic83 = summaryStatisticsImpl61.getGeoMeanImpl();
    summaryStatisticsImpl1.setVarianceImpl(storelessUnivariateStatistic83);
    // The following exception was thrown during execution in test generation
    try {
      boolean b86 = org.apache.commons.math.stat.inference.TestUtils.tTest(statisticalSummary0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl1, 0.158066817204641d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long2 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d31, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b48 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d52, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic55);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d68, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long72 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d77, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long79 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b80 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic83);

  }

  @Test
  public void test164() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test164"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    java.lang.Object[] obj_array5 = null;
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException7 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5, (java.lang.Throwable)convergenceException6);
    java.lang.Throwable[] throwable_array8 = convergenceException7.getSuppressed();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("");
    java.lang.Object[] obj_array12 = null;
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException();
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("hi!", obj_array12, (java.lang.Throwable)convergenceException13);
    java.lang.Throwable[] throwable_array15 = convergenceException14.getSuppressed();
    mathException10.addSuppressed((java.lang.Throwable)convergenceException14);
    java.lang.Object[] obj_array17 = convergenceException14.getArguments();
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)convergenceException14);
    org.apache.commons.math.MathException mathException20 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n");
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("", (java.lang.Object[])throwable_array8, (java.lang.Throwable)mathException20);
    org.apache.commons.math.ConvergenceException convergenceException22 = new org.apache.commons.math.ConvergenceException("hi!", (java.lang.Object[])throwable_array8);
    boolean b23 = summaryStatistics0.equals((java.lang.Object)"hi!");
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatistics0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatistics0.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatisticsImpl26.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    double d30 = sum28.getResult();
    long long31 = sum28.getN();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl32 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long33 = summaryStatisticsImpl32.getN();
    summaryStatisticsImpl32.clear();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs35 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs35.increment(0.0d);
    sumOfLogs35.increment(Double.NEGATIVE_INFINITY);
    summaryStatisticsImpl32.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs35);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl41 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = summaryStatisticsImpl41.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary43 = summaryStatisticsImpl41.getSummary();
    summaryStatisticsImpl41.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic45 = summaryStatisticsImpl41.getSumImpl();
    double d46 = summaryStatisticsImpl41.getGeometricMean();
    boolean b47 = summaryStatisticsImpl32.equals((java.lang.Object)d46);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic48 = summaryStatisticsImpl32.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic49 = summaryStatisticsImpl32.getSumImpl();
    boolean b50 = sum28.equals((java.lang.Object)storelessUnivariateStatistic49);
    summaryStatistics0.setGeoMeanImpl(storelessUnivariateStatistic49);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic52 = summaryStatistics0.getMeanImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNull(obj_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b23 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long33 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary43);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d46, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b47 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b50 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic52);

  }

  @Test
  public void test165() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test165"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    double d4 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics6 = new org.apache.commons.math.stat.descriptive.SummaryStatistics();
    double d7 = summaryStatistics6.getStandardDeviation();
    long long8 = summaryStatistics6.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatistics6.getVarianceImpl();
    // The following exception was thrown during execution in test generation
    try {
      double d10 = org.apache.commons.math.stat.inference.TestUtils.t(statisticalSummary5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatistics6);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);

  }

  @Test
  public void test166() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test166"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MathException: hi!");

  }

  @Test
  public void test167() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test167"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    mean1.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl5 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl6 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl5);
    tTestImpl3.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl5);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl9 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl9);
    double d12 = tDistributionImpl9.cumulativeProbability(0.5d);
    tTestImpl3.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl9);
    org.apache.commons.math.stat.descriptive.summary.Sum sum15 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl16 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array20 = new double[] { 1.0d, 0.0d };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array20);
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double d27 = tTestImpl16.pairedT(d_array20, d_array25);
    sum15.incrementAll(d_array25);
    double d29 = tTestImpl3.tTest(10.0d, d_array25);
    mean1.incrementAll(d_array25);
    mean1.clear();
    long long32 = mean1.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.03347541671314813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 0L);

  }

  @Test
  public void test168() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test168"); }


    java.lang.Object[] obj_array11 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array11);
    org.apache.commons.math.ConvergenceException convergenceException14 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException13);
    java.lang.Throwable[] throwable_array15 = convergenceException14.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException16 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array15);
    java.lang.String str17 = convergenceException16.toString();
    java.lang.Throwable[] throwable_array18 = convergenceException16.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException19 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: 10000.0\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException20 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException", (java.lang.Object[])throwable_array18);
    org.apache.commons.math.MathException mathException21 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: Convergence failed", (java.lang.Object[])throwable_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str17 + "' != '" + "org.apache.commons.math.ConvergenceException: "+ "'", str17.equals("org.apache.commons.math.ConvergenceException: "));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array18);

  }

  @Test
  public void test169() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test169"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    summaryStatisticsImpl0.clear();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    double d20 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs21 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    sumOfLogs21.increment(0.0d);
    sumOfLogs21.increment(0.0d);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs21);
    double d27 = sumOfLogs21.getResult();
    long long28 = sumOfLogs21.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == Double.NEGATIVE_INFINITY);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long28 == 2L);

  }

  @Test
  public void test170() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test170"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment0 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d1 = secondMoment0.getResult();
    secondMoment0.increment(2.4995008173717678E7d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);

  }

  @Test
  public void test171() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test171"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    sumOfSquares6.increment(82099.71749644238d);
    sumOfSquares6.increment(0.9984150981000139d);
    sumOfSquares6.clear();
    sumOfSquares6.increment(0.0d);
    sumOfSquares6.increment((-2.7465834297116425d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test172() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test172"); }


    java.lang.Object[] obj_array6 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException8 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str9 = convergenceException8.toString();
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException8);
    org.apache.commons.math.MathException mathException11 = new org.apache.commons.math.MathException("", obj_array6, (java.lang.Throwable)mathException10);
    org.apache.commons.math.ConvergenceException convergenceException12 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: Convergence failed", obj_array6);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException13 = new org.apache.commons.math.MaxIterationsExceededException(100, "hi!", obj_array6);
    org.apache.commons.math.MathException mathException14 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: org.apache.commons.math.ConvergenceException: Convergence failed", obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str9 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str9.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));

  }

  @Test
  public void test173() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test173"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumImpl();
    double d5 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.rank.Max max6 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d7 = max6.getResult();
    double d8 = max6.getResult();
    double d9 = max6.getResult();
    summaryStatisticsImpl0.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max6);
    max6.clear();
    double d12 = max6.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long14 = summaryStatisticsImpl13.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment15 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d16 = firstMoment15.getResult();
    summaryStatisticsImpl13.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment15);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary18 = summaryStatisticsImpl13.getSummary();
    double d19 = summaryStatisticsImpl13.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance20 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl13.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance20);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl23 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array27 = new double[] { 1.0d, 0.0d };
    double d28 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array27);
    double[] d_array32 = new double[] { 1.0d, 0.0d };
    double d33 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array32);
    double d34 = tTestImpl23.pairedT(d_array27, d_array32);
    double d35 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array32);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl37 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double d48 = tTestImpl37.pairedT(d_array41, d_array46);
    double d49 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array46);
    boolean b51 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array32, d_array46, 0.003199067406189915d);
    double d55 = variance20.evaluate(d_array32, Double.NaN, 0, 0);
    long long56 = variance20.getN();
    variance20.setBiasCorrected(true);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl59 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array63 = new double[] { 1.0d, 0.0d };
    double d64 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array63);
    double[] d_array68 = new double[] { 1.0d, 0.0d };
    double d69 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array68);
    double d70 = tTestImpl59.pairedT(d_array63, d_array68);
    double[] d_array73 = new double[] { 100.0d, 10.0d };
    double d74 = org.apache.commons.math.stat.inference.TestUtils.t(d_array68, d_array73);
    double d76 = variance20.evaluate(d_array73, 0.8839455171548418d);
    max6.incrementAll(d_array73);
    long long78 = max6.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array27);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d48, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d49 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d55, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long56 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d64 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array68);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d69 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d70, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == (-1.2110363580874859d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d76 == 4049.999999999999d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long78 == 2L);

  }

  @Test
  public void test174() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test174"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.25896828783393283d);

  }

  @Test
  public void test175() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test175"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumImpl();
    double d5 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatisticsImpl6.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary8 = summaryStatisticsImpl6.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares9 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl6.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares9);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl6.getVarianceImpl();
    double d12 = summaryStatisticsImpl6.getVariance();
    boolean b13 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatisticsImpl6);
    summaryStatisticsImpl6.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b13 == true);

  }

  @Test
  public void test176() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test176"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException();
    java.lang.Object[] obj_array9 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException10 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array9);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array9);
    mathException1.addSuppressed((java.lang.Throwable)maxIterationsExceededException12);
    int i14 = maxIterationsExceededException12.getMaxIterations();
    int i15 = maxIterationsExceededException12.getMaxIterations();
    java.lang.Object[] obj_array16 = maxIterationsExceededException12.getArguments();
    java.lang.Throwable throwable17 = null;
    org.apache.commons.math.MathException mathException18 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", obj_array16, throwable17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i14 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i15 == 10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array16);

  }

  @Test
  public void test177() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test177"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    summaryStatisticsImpl0.clear();
    double d3 = summaryStatisticsImpl0.getVariance();
    double d4 = summaryStatisticsImpl0.getMin();
    summaryStatisticsImpl0.addValue(0.30714465222925413d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);

  }

  @Test
  public void test178() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test178"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d3 = chiSquaredDistributionImpl1.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution4 = null;
    chiSquaredDistributionImpl1.setGamma(gammaDistribution4);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl6 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl7 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution8 = null;
    chiSquareTestImpl7.setDistribution(chiSquaredDistribution8);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution10 = null;
    chiSquareTestImpl7.setDistribution(chiSquaredDistribution10);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl13 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d15 = chiSquaredDistributionImpl13.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution16 = null;
    chiSquaredDistributionImpl13.setGamma(gammaDistribution16);
    org.apache.commons.math.distribution.GammaDistribution gammaDistribution18 = null;
    chiSquaredDistributionImpl13.setGamma(gammaDistribution18);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl20 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl13);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl21 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl13);
    chiSquareTestImpl7.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl13);
    long[][] long_array_array23 = null;
    // The following exception was thrown during execution in test generation
    try {
      boolean b25 = chiSquareTestImpl7.chiSquareTest(long_array_array23, 0.0038740831104894236d);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.0d);

  }

  @Test
  public void test179() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test179"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment1 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    double d2 = secondMoment1.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance3 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment1);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array8 = new double[] { 1.0d, 0.0d };
    double d9 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array8);
    double[] d_array13 = new double[] { 1.0d, 0.0d };
    double d14 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array13);
    double d15 = tTestImpl4.pairedT(d_array8, d_array13);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl21 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array25 = new double[] { 1.0d, 0.0d };
    double d26 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array25);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double d32 = tTestImpl21.pairedT(d_array25, d_array30);
    double d33 = tTestImpl4.t(d_array19, d_array30);
    double d34 = variance3.evaluate(d_array19);
    double d35 = variance3.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance37 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance37.setBiasCorrected(false);
    double d40 = variance37.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double d54 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array51);
    double d55 = variance37.evaluate(d_array51);
    double d56 = variance3.evaluate(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d14 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d26 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d32, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d34 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d35, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d40, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d56 == 0.25d);

  }

  @Test
  public void test180() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test180"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getSumImpl();
    double d5 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getMinImpl();
    double d7 = summaryStatisticsImpl0.getSum();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);

  }

  @Test
  public void test181() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test181"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    double d8 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getSumImpl();
    double d11 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic13 = summaryStatisticsImpl12.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary14 = summaryStatisticsImpl12.getSummary();
    long long15 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic16 = summaryStatisticsImpl12.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment18 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance19 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment18);
    double d20 = secondMoment18.getResult();
    summaryStatisticsImpl12.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment18);
    secondMoment18.increment(100.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance24 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment18);
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment18);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic27 = summaryStatisticsImpl0.getSumsqImpl();
    summaryStatisticsImpl0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long15 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic16);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic27);

  }

  @Test
  public void test182() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test182"); }


    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution0 = null;
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl1 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl(chiSquaredDistribution0);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution2 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution2);
    org.apache.commons.math.distribution.ChiSquaredDistribution chiSquaredDistribution4 = null;
    chiSquareTestImpl1.setDistribution(chiSquaredDistribution4);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl7 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl8 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl7);
    double d10 = chiSquaredDistributionImpl7.cumulativeProbability(0.020798772066727332d);
    double d13 = chiSquaredDistributionImpl7.cumulativeProbability(Double.NEGATIVE_INFINITY, (-0.0020211614211524953d));
    chiSquareTestImpl1.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl7);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl15 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl();
    long[] long_array18 = new long[] { 0L, 1L };
    long[] long_array21 = new long[] { 1L, 1L };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array18, long_array21);
    long[] long_array25 = new long[] { 0L, 1L };
    long[] long_array28 = new long[] { 1L, 1L };
    double d29 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array25, long_array28);
    double d30 = chiSquareTestImpl15.chiSquareTestDataSetsComparison(long_array21, long_array28);
    long[][] long_array_array31 = new long[][] { long_array21 };
    // The following exception was thrown during execution in test generation
    try {
      double d32 = chiSquareTestImpl1.chiSquare(long_array_array31);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.46761113031083257d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d29 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array_array31);

  }

  @Test
  public void test183() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test183"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance6.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    double d15 = firstMoment12.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl16 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long17 = summaryStatisticsImpl16.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment18 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d19 = firstMoment18.getResult();
    summaryStatisticsImpl16.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment18);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary21 = summaryStatisticsImpl16.getSummary();
    double d22 = summaryStatisticsImpl16.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl16.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl40 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double d51 = tTestImpl40.pairedT(d_array44, d_array49);
    double d52 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array49);
    boolean b54 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array35, d_array49, 0.003199067406189915d);
    double d58 = variance23.evaluate(d_array35, Double.NaN, 0, 0);
    firstMoment12.incrementAll(d_array35);
    double d60 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array35);
    double d61 = variance6.evaluate(d_array35);
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic63 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment65 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean66 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment65);
    double d67 = mean66.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)mean66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d67, Double.NaN, 0);

  }

  @Test
  public void test184() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test184"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.9984150981000139d);
    tDistributionImpl1.setDegreesOfFreedom(0.9127925209022083d);

  }

  @Test
  public void test185() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test185"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl9 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl11 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d13 = tDistributionImpl11.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    tDistributionImpl11.setDegreesOfFreedom(3.0d);
    tDistributionImpl11.setDegreesOfFreedom(0.6909132170845432d);
    tDistributionImpl11.setDegreesOfFreedom(3.929994268525583E-5d);
    tTestImpl9.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl11);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl22 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = summaryStatisticsImpl22.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary24 = summaryStatisticsImpl22.getSummary();
    long long25 = summaryStatisticsImpl22.getN();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic26 = summaryStatisticsImpl22.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment28 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance29 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment28);
    double d30 = secondMoment28.getResult();
    summaryStatisticsImpl22.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment28);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics32 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b34 = summaryStatistics32.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs35 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long36 = sumOfLogs35.getN();
    summaryStatistics32.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs35);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl38 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long39 = summaryStatisticsImpl38.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment40 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d41 = firstMoment40.getResult();
    summaryStatisticsImpl38.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment40);
    boolean b43 = sumOfLogs35.equals((java.lang.Object)summaryStatisticsImpl38);
    sumOfLogs35.clear();
    summaryStatisticsImpl22.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs35);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic46 = summaryStatisticsImpl22.getSumLogImpl();
    double d47 = summaryStatisticsImpl22.getMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic48 = summaryStatisticsImpl22.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl49 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long50 = summaryStatisticsImpl49.getN();
    long long51 = summaryStatisticsImpl49.getN();
    // The following exception was thrown during execution in test generation
    try {
      double d52 = tTestImpl9.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl22, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl49);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long25 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d30, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b34 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long36 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long39 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d41, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b43 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d47, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic48);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long50 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long51 == 0L);

  }

  @Test
  public void test186() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test186"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    summaryStatisticsImpl0.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getMeanImpl();
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.rank.Min min6 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min6.clear();
    double d8 = min6.getResult();
    double d9 = min6.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl12 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long13 = summaryStatisticsImpl12.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment14 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d15 = firstMoment14.getResult();
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment14);
    double d17 = summaryStatisticsImpl12.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares18 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares18.increment(100.0d);
    summaryStatisticsImpl12.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares18);
    double d22 = summaryStatisticsImpl12.getMax();
    summaryStatisticsImpl12.clear();
    summaryStatisticsImpl12.clear();
    summaryStatisticsImpl12.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long27 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    sum28.increment(1.0d);
    summaryStatisticsImpl12.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl34 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long35 = summaryStatisticsImpl34.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum36 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl34.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum36);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics38 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b39 = summaryStatisticsImpl34.equals((java.lang.Object)summaryStatistics38);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic40 = summaryStatistics38.getSumLogImpl();
    boolean b41 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatistics38);
    double d42 = summaryStatisticsImpl0.getMax();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d17, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long35 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b39 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b41 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d42, Double.NaN, 0);

  }

  @Test
  public void test187() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test187"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl5 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long6 = summaryStatisticsImpl5.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment7 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d8 = firstMoment7.getResult();
    summaryStatisticsImpl5.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment7);
    double d10 = summaryStatisticsImpl5.getStandardDeviation();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    boolean b16 = summaryStatisticsImpl5.equals((java.lang.Object)100.0d);
    org.apache.commons.math.stat.descriptive.rank.Min min17 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d18 = min17.getResult();
    double d19 = min17.getResult();
    summaryStatisticsImpl5.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min17);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean21 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean21.increment(0.9984150981000139d);
    summaryStatisticsImpl5.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean21);
    double d25 = summaryStatisticsImpl5.getMax();
    org.apache.commons.math.stat.descriptive.rank.Max max26 = new org.apache.commons.math.stat.descriptive.rank.Max();
    double d27 = max26.getResult();
    max26.increment(5.398589728139425E-63d);
    max26.increment(0.23913419341588305d);
    summaryStatisticsImpl5.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)max26);
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean33 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    geometricMean33.clear();
    geometricMean33.clear();
    geometricMean33.increment(0.651587584045083d);
    summaryStatisticsImpl5.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean33);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic39 = summaryStatisticsImpl5.getMaxImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl40 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long41 = summaryStatisticsImpl40.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment42 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d43 = firstMoment42.getResult();
    summaryStatisticsImpl40.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment42);
    double d45 = summaryStatisticsImpl40.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares46 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares46.increment(100.0d);
    summaryStatisticsImpl40.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares46);
    double d50 = summaryStatisticsImpl40.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic51 = summaryStatisticsImpl40.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic52 = null;
    summaryStatisticsImpl40.setSumLogImpl(storelessUnivariateStatistic52);
    double d54 = summaryStatisticsImpl40.getGeometricMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance56 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long57 = variance56.getN();
    long long58 = variance56.getN();
    long long59 = variance56.getN();
    variance56.increment(0.0d);
    long long62 = variance56.getN();
    summaryStatisticsImpl40.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance56);
    double d64 = summaryStatisticsImpl40.getStandardDeviation();
    // The following exception was thrown during execution in test generation
    try {
      double d65 = tTestImpl4.t((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl5, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl40);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long6 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b16 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d18, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic39);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long41 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d54, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long57 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long58 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long59 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long62 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d64, Double.NaN, 0);

  }

  @Test
  public void test188() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test188"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    double d4 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    double d9 = sumOfSquares6.getResult();
    sumOfSquares6.increment(100.0d);
    sumOfSquares6.increment(0.0d);
    sumOfSquares6.clear();
    sumOfSquares6.clear();
    summaryStatisticsImpl0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic18 = summaryStatisticsImpl17.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary19 = summaryStatisticsImpl17.getSummary();
    summaryStatisticsImpl17.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic21 = summaryStatisticsImpl17.getSumImpl();
    double d22 = summaryStatisticsImpl17.getGeometricMean();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl23 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatisticsImpl23.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary25 = summaryStatisticsImpl23.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares26 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl23.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares26);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic28 = summaryStatisticsImpl23.getVarianceImpl();
    double d29 = summaryStatisticsImpl23.getVariance();
    boolean b30 = summaryStatisticsImpl17.equals((java.lang.Object)summaryStatisticsImpl23);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic31 = null;
    summaryStatisticsImpl17.setVarianceImpl(storelessUnivariateStatistic31);
    // The following exception was thrown during execution in test generation
    try {
      double d33 = org.apache.commons.math.stat.inference.TestUtils.homoscedasticTTest((org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl0, (org.apache.commons.math.stat.descriptive.StatisticalSummary)summaryStatisticsImpl17);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic28);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d29, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b30 == true);

  }

  @Test
  public void test189() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test189"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics4 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b5 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatistics4);
    double d6 = summaryStatistics4.getMin();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic7 = summaryStatistics4.getSumLogImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b5 == true);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic7);

  }

  @Test
  public void test190() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test190"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    double d1 = summaryStatisticsImpl0.getSum();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic2 = summaryStatisticsImpl0.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic5 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic6 = summaryStatisticsImpl0.getMaxImpl();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment8 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance9 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment8);
    double d10 = secondMoment8.getResult();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment8);
    double d12 = secondMoment8.getResult();
    summaryStatisticsImpl0.setSumImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)secondMoment8);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d1, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d12, Double.NaN, 0);

  }

  @Test
  public void test191() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test191"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.moment.Variance variance6 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance6.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl10 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long11 = summaryStatisticsImpl10.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment12 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d13 = firstMoment12.getResult();
    summaryStatisticsImpl10.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment12);
    double d15 = firstMoment12.getResult();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl16 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long17 = summaryStatisticsImpl16.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment18 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d19 = firstMoment18.getResult();
    summaryStatisticsImpl16.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment18);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary21 = summaryStatisticsImpl16.getSummary();
    double d22 = summaryStatisticsImpl16.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance23 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl16.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance23);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl26 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    double[] d_array35 = new double[] { 1.0d, 0.0d };
    double d36 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array35);
    double d37 = tTestImpl26.pairedT(d_array30, d_array35);
    double d38 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array35);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl40 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array44 = new double[] { 1.0d, 0.0d };
    double d45 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array44);
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double d51 = tTestImpl40.pairedT(d_array44, d_array49);
    double d52 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array49);
    boolean b54 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array35, d_array49, 0.003199067406189915d);
    double d58 = variance23.evaluate(d_array35, Double.NaN, 0, 0);
    firstMoment12.incrementAll(d_array35);
    double d60 = org.apache.commons.math.stat.inference.TestUtils.t((-1.0d), d_array35);
    double d61 = variance6.evaluate(d_array35);
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance6);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic63 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic64 = summaryStatisticsImpl0.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic65 = summaryStatisticsImpl0.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl66 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic67 = summaryStatisticsImpl66.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum68 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl66.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum68);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic70 = summaryStatisticsImpl66.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl71 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic72 = summaryStatisticsImpl71.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary73 = summaryStatisticsImpl71.getSummary();
    summaryStatisticsImpl71.clear();
    double d75 = summaryStatisticsImpl71.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl76 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic77 = summaryStatisticsImpl76.getSumLogImpl();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment78 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean79 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment78);
    firstMoment78.clear();
    summaryStatisticsImpl76.setMinImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment78);
    summaryStatisticsImpl71.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment78);
    firstMoment78.clear();
    summaryStatisticsImpl66.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment78);
    java.lang.String str85 = summaryStatisticsImpl66.toString();
    summaryStatisticsImpl66.addValue(0.49999999999999933d);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic88 = summaryStatisticsImpl66.getSumLogImpl();
    boolean b89 = summaryStatisticsImpl0.equals((java.lang.Object)summaryStatisticsImpl66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d19, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d36 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d38 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d45 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d51, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b54 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d58, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 3.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic63);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic65);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic67);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic72);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary73);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d75, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic77);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str85 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str85.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic88);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b89 == false);

  }

  @Test
  public void test192() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test192"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment3 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance4 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance5 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    secondMoment3.increment(0.9984150981000139d);
    secondMoment3.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Mean mean11 = new org.apache.commons.math.stat.descriptive.moment.Mean((org.apache.commons.math.stat.descriptive.moment.FirstMoment)secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance12 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance13 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance14 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance15 = new org.apache.commons.math.stat.descriptive.moment.Variance(false, secondMoment3);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment3);
    long long17 = secondMoment3.getN();
    double d18 = secondMoment3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d18 == 4.9990016347435355E7d);

  }

  @Test
  public void test193() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test193"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl2 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    double d3 = gammaDistributionImpl2.getAlpha();
    gammaDistributionImpl2.setBeta(0.998206254491263d);
    double d6 = gammaDistributionImpl2.getBeta();
    double d9 = gammaDistributionImpl2.cumulativeProbability(7.246399326649492E-97d, 1.5355960408392786d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.8839455171548418d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.998206254491263d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 0.8204718266289188d);

  }

  @Test
  public void test194() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test194"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.3675056060707571d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl4 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d6 = tDistributionImpl4.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    tTestImpl2.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl4);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl10 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array14 = new double[] { 1.0d, 0.0d };
    double d15 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array14);
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double d21 = tTestImpl10.pairedT(d_array14, d_array19);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl22 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic23 = summaryStatisticsImpl22.getGeoMeanImpl();
    summaryStatisticsImpl22.clear();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic25 = summaryStatisticsImpl22.getMinImpl();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl26 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long27 = summaryStatisticsImpl26.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum28 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl26.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    summaryStatisticsImpl22.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum28);
    long long31 = sum28.getN();
    org.apache.commons.math.stat.descriptive.moment.Variance variance33 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance33.setBiasCorrected(false);
    double d36 = variance33.getResult();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl38 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array42 = new double[] { 1.0d, 0.0d };
    double d43 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array42);
    double[] d_array47 = new double[] { 1.0d, 0.0d };
    double d48 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array47);
    double d49 = tTestImpl38.pairedT(d_array42, d_array47);
    double d50 = org.apache.commons.math.stat.inference.TestUtils.t(0.0d, d_array47);
    double d51 = variance33.evaluate(d_array47);
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment52 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d53 = firstMoment52.getResult();
    org.apache.commons.math.stat.descriptive.moment.Mean mean54 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment52);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl72 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array76 = new double[] { 1.0d, 0.0d };
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array76);
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    double d82 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array81);
    double d83 = tTestImpl72.pairedT(d_array76, d_array81);
    double d84 = tTestImpl55.t(d_array70, d_array81);
    double d85 = firstMoment52.evaluate(d_array81);
    double d86 = org.apache.commons.math.stat.inference.TestUtils.t(d_array47, d_array81);
    double d89 = sum28.evaluate(d_array81, 0, 1);
    double d90 = org.apache.commons.math.stat.inference.TestUtils.pairedTTest(d_array14, d_array81);
    double d91 = tTestImpl2.tTest(0.9811909201654965d, d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.5012447816130978d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d15 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d21, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic23);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic25);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long27 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long31 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d43 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array47);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d49, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d51 == 0.25d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 0.5d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d86 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d89 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d90, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d91 == 0.5122022793478873d);

  }

  @Test
  public void test195() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test195"); }


    org.apache.commons.math.distribution.GammaDistribution gammaDistribution1 = null;
    // The following exception was thrown during execution in test generation
    try {
      org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl2 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl((-0.999909200140475d), gammaDistribution1);
      org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException");
    } catch (java.lang.NullPointerException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.NullPointerException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.NullPointerException, got " + e.getClass().getCanonicalName());
      }
    }

  }

  @Test
  public void test196() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test196"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(0.998206254491263d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    double d4 = tDistributionImpl1.cumulativeProbability(0.6896512522450777d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.6920946740254623d);

  }

  @Test
  public void test197() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test197"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    long long3 = summaryStatisticsImpl0.getN();
    double d4 = summaryStatisticsImpl0.getMax();
    double d5 = summaryStatisticsImpl0.getSumsq();
    org.apache.commons.math.stat.descriptive.rank.Min min6 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d7 = min6.getResult();
    double d8 = min6.getResult();
    min6.increment(3.0d);
    double d11 = min6.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min6);
    min6.increment((-2.972170948523897d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long3 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d4, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d11 == 3.0d);

  }

  @Test
  public void test198() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test198"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    sumOfLogs3.clear();
    long long13 = sumOfLogs3.getN();
    sumOfLogs3.clear();
    double d15 = sumOfLogs3.getResult();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);

  }

  @Test
  public void test199() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test199"); }


    long[] long_array2 = new long[] { 0L, 1L };
    long[] long_array5 = new long[] { 1L, 1L };
    double d6 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array2, long_array5);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl8 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d10 = chiSquaredDistributionImpl8.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl11 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl8);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl12 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl8);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl12);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl12);
    long[] long_array17 = new long[] { 0L, 1L };
    long[] long_array20 = new long[] { 1L, 1L };
    double d21 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array17, long_array20);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl23 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl24 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl23);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl26 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    double d28 = chiSquaredDistributionImpl26.inverseCumulativeProbability(0.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl29 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl26);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl30 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl26);
    chiSquareTestImpl24.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl26);
    org.apache.commons.math.stat.inference.TestUtils.setChiSquareTest((org.apache.commons.math.stat.inference.ChiSquareTest)chiSquareTestImpl24);
    long[] long_array35 = new long[] { 0L, 1L };
    long[] long_array38 = new long[] { 1L, 1L };
    double d39 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array35, long_array38);
    long[] long_array42 = new long[] { 0L, 1L };
    long[] long_array45 = new long[] { 1L, 1L };
    double d46 = org.apache.commons.math.stat.inference.TestUtils.chiSquareDataSetsComparison(long_array42, long_array45);
    double d47 = chiSquareTestImpl24.chiSquareDataSetsComparison(long_array38, long_array45);
    double d48 = chiSquareTestImpl12.chiSquareTestDataSetsComparison(long_array17, long_array38);
    // The following exception was thrown during execution in test generation
    try {
      boolean b50 = org.apache.commons.math.stat.inference.TestUtils.chiSquareTestDataSetsComparison(long_array2, long_array38, (-8098.999999999998d));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array17);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array20);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d21 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d28 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array35);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array38);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d39 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(long_array45);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d46 == 0.75d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d48 == 0.3864762307712326d);

  }

  @Test
  public void test200() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test200"); }


    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment0 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    org.apache.commons.math.stat.descriptive.moment.Mean mean1 = new org.apache.commons.math.stat.descriptive.moment.Mean(firstMoment0);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl2 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array6 = new double[] { 1.0d, 0.0d };
    double d7 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array6);
    double[] d_array11 = new double[] { 1.0d, 0.0d };
    double d12 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array11);
    double d13 = tTestImpl2.pairedT(d_array6, d_array11);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl14 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl15 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array19 = new double[] { 1.0d, 0.0d };
    double d20 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array19);
    double[] d_array24 = new double[] { 1.0d, 0.0d };
    double d25 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array24);
    double d26 = tTestImpl15.pairedT(d_array19, d_array24);
    double[] d_array30 = new double[] { 1.0d, 0.0d };
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array30);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl32 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array36 = new double[] { 1.0d, 0.0d };
    double d37 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array36);
    double[] d_array41 = new double[] { 1.0d, 0.0d };
    double d42 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array41);
    double d43 = tTestImpl32.pairedT(d_array36, d_array41);
    double d44 = tTestImpl15.t(d_array30, d_array41);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl45 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array49 = new double[] { 1.0d, 0.0d };
    double d50 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array49);
    double[] d_array54 = new double[] { 1.0d, 0.0d };
    double d55 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array54);
    double d56 = tTestImpl45.pairedT(d_array49, d_array54);
    double[] d_array60 = new double[] { 1.0d, 0.0d };
    double d61 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array60);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl62 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array66 = new double[] { 1.0d, 0.0d };
    double d67 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array66);
    double[] d_array71 = new double[] { 1.0d, 0.0d };
    double d72 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array71);
    double d73 = tTestImpl62.pairedT(d_array66, d_array71);
    double d74 = tTestImpl45.t(d_array60, d_array71);
    double d75 = tTestImpl14.tTest(d_array30, d_array71);
    org.apache.commons.math.stat.descriptive.summary.Sum sum76 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl77 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    double d82 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array81);
    double[] d_array86 = new double[] { 1.0d, 0.0d };
    double d87 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array86);
    double d88 = tTestImpl77.pairedT(d_array81, d_array86);
    sum76.incrementAll(d_array86);
    double d90 = tTestImpl2.homoscedasticT(d_array30, d_array86);
    firstMoment0.incrementAll(d_array30);
    long long92 = firstMoment0.getN();
    long long93 = firstMoment0.getN();
    long long94 = firstMoment0.getN();
    firstMoment0.clear();
    firstMoment0.clear();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array6);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d12 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array19);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d20 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d37 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d42 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d43, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d44 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array49);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d50 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array54);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d55 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d56, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array60);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d61 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array66);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d67 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array71);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d72 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d73, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d74 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d75 == 1.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array86);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d87 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d88, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d90 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long92 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long93 == 2L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long94 == 2L);

  }

  @Test
  public void test201() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test201"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl0 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl2 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl3 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    tTestImpl0.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl2);
    double d6 = tDistributionImpl2.cumulativeProbability(0.49999999999999994d);
    double d8 = tDistributionImpl2.cumulativeProbability(0.998206254491263d);
    double d9 = tDistributionImpl2.getDegreesOfFreedom();
    double d10 = tDistributionImpl2.getDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d6 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d8 == 0.8397056620223668d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d9 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 100.0d);

  }

  @Test
  public void test202() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test202"); }


    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl1 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl2 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl1);
    double d3 = chiSquaredDistributionImpl1.getDegreesOfFreedom();
    double d6 = chiSquaredDistributionImpl1.cumulativeProbability(0.23913419341588305d, Double.NaN);
    double d7 = chiSquaredDistributionImpl1.getDegreesOfFreedom();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 100.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d7 == 100.0d);

  }

  @Test
  public void test203() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test203"); }


    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment4 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    java.lang.Object[] obj_array5 = new java.lang.Object[] { secondMoment4 };
    org.apache.commons.math.ConvergenceException convergenceException6 = new org.apache.commons.math.ConvergenceException("hi!", obj_array5);
    java.lang.Object[] obj_array14 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException16 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array14);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException17 = new org.apache.commons.math.MaxIterationsExceededException(10, "", obj_array14);
    org.apache.commons.math.ConvergenceException convergenceException18 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.ConvergenceException: SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", obj_array5, (java.lang.Throwable)maxIterationsExceededException17);
    java.lang.Object[] obj_array26 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException27 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException28 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array26);
    org.apache.commons.math.ConvergenceException convergenceException29 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException28);
    java.lang.Throwable[] throwable_array30 = convergenceException29.getSuppressed();
    org.apache.commons.math.ConvergenceException convergenceException31 = new org.apache.commons.math.ConvergenceException("", (java.lang.Object[])throwable_array30);
    org.apache.commons.math.MathException mathException32 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", obj_array5, (java.lang.Throwable)convergenceException31);
    java.lang.String str33 = mathException32.getPattern();
    org.apache.commons.math.ConvergenceException convergenceException34 = new org.apache.commons.math.ConvergenceException("", (java.lang.Throwable)mathException32);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array30);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str33 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded"+ "'", str33.equals("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded"));

  }

  @Test
  public void test204() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test204"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl3 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl3.setBeta(10.0d);
    gammaDistributionImpl3.setAlpha(0.7653192729571252d);
    gammaDistributionImpl3.setAlpha(1.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl10 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.16230087157570017d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl3);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl11 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl12 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl13 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl10);
    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl18 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl18.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl21 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl18);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl22 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(2.4995008173717678E7d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl18);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl23 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl22);
    chiSquareTestImpl13.setDistribution((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl22);
    org.apache.commons.math.stat.inference.ChiSquareTestImpl chiSquareTestImpl25 = new org.apache.commons.math.stat.inference.ChiSquareTestImpl((org.apache.commons.math.distribution.ChiSquaredDistribution)chiSquaredDistributionImpl22);

  }

  @Test
  public void test205() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test205"); }


    org.apache.commons.math.MathException mathException1 = new org.apache.commons.math.MathException("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.ConvergenceException: Convergence failed");

  }

  @Test
  public void test206() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test206"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    double d3 = tDistributionImpl1.cumulativeProbability(0.003199067406189915d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl1);
    tDistributionImpl1.setDegreesOfFreedom(3.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.6909132170845432d);
    tDistributionImpl1.setDegreesOfFreedom(3.929994268525583E-5d);
    tDistributionImpl1.setDegreesOfFreedom(4050.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d3 == 0.5012447816130978d);

  }

  @Test
  public void test207() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test207"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary5 = summaryStatisticsImpl0.getSummary();
    double d6 = summaryStatisticsImpl0.getMean();
    double d7 = summaryStatisticsImpl0.getSum();
    double d8 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic9 = summaryStatisticsImpl0.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getSumImpl();
    long long11 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.GeometricMean geometricMean12 = new org.apache.commons.math.stat.descriptive.moment.GeometricMean();
    long long13 = geometricMean12.getN();
    long long14 = geometricMean12.getN();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)geometricMean12);
    geometricMean12.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl17 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long18 = summaryStatisticsImpl17.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment19 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d20 = firstMoment19.getResult();
    summaryStatisticsImpl17.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment19);
    double d22 = summaryStatisticsImpl17.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares23 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares23.increment(100.0d);
    summaryStatisticsImpl17.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares23);
    double d27 = summaryStatisticsImpl17.getMax();
    summaryStatisticsImpl17.clear();
    summaryStatisticsImpl17.clear();
    summaryStatisticsImpl17.clear();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl31 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long32 = summaryStatisticsImpl31.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment33 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d34 = firstMoment33.getResult();
    summaryStatisticsImpl31.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment33);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary36 = summaryStatisticsImpl31.getSummary();
    double d37 = summaryStatisticsImpl31.getMean();
    double d38 = summaryStatisticsImpl31.getSum();
    double d39 = summaryStatisticsImpl31.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic40 = summaryStatisticsImpl31.getMeanImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic41 = summaryStatisticsImpl31.getSumImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic42 = summaryStatisticsImpl31.getVarianceImpl();
    org.apache.commons.math.stat.descriptive.rank.Min min43 = new org.apache.commons.math.stat.descriptive.rank.Min();
    double d44 = min43.getResult();
    double d45 = min43.getResult();
    long long46 = min43.getN();
    min43.increment(0.6209046206685016d);
    summaryStatisticsImpl31.setMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)min43);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic50 = summaryStatisticsImpl31.getVarianceImpl();
    boolean b51 = summaryStatisticsImpl17.equals((java.lang.Object)storelessUnivariateStatistic50);
    boolean b52 = geometricMean12.equals((java.lang.Object)b51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary5);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d8, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long11 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long13 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long14 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d20, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long32 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d34, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary36);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d37, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d38, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d39, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic41);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic42);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d44, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d45, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long46 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic50);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b51 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b52 == false);

  }

  @Test
  public void test208() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test208"); }


    org.apache.commons.math.distribution.GammaDistributionImpl gammaDistributionImpl4 = new org.apache.commons.math.distribution.GammaDistributionImpl(0.8839455171548418d, 10.0d);
    gammaDistributionImpl4.setBeta(10.0d);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl7 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(0.8839455171548418d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    org.apache.commons.math.distribution.ChiSquaredDistributionImpl chiSquaredDistributionImpl8 = new org.apache.commons.math.distribution.ChiSquaredDistributionImpl(2.4995008173717678E7d, (org.apache.commons.math.distribution.GammaDistribution)gammaDistributionImpl4);
    gammaDistributionImpl4.setBeta(0.21739607511844738d);

  }

  @Test
  public void test209() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test209"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    variance7.clear();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d11 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.increment((-1.0d));
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic22 = summaryStatisticsImpl0.getMaxImpl();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic22);

  }

  @Test
  public void test210() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test210"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.summary.Sum sum2 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum2);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic4 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    summaryStatisticsImpl0.addValue(0.5831073846051282d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic4);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);

  }

  @Test
  public void test211() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test211"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares6 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    sumOfSquares6.increment(100.0d);
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares6);
    double d10 = summaryStatisticsImpl0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic11 = summaryStatisticsImpl0.getMinImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic12 = null;
    summaryStatisticsImpl0.setSumLogImpl(storelessUnivariateStatistic12);
    double d14 = summaryStatisticsImpl0.getGeometricMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    long long17 = variance16.getN();
    long long18 = variance16.getN();
    long long19 = variance16.getN();
    variance16.increment(0.0d);
    long long22 = variance16.getN();
    summaryStatisticsImpl0.setSumLogImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance16);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic24 = summaryStatisticsImpl0.getSumLogImpl();
    double d25 = summaryStatisticsImpl0.getMean();
    double d26 = summaryStatisticsImpl0.getVariance();
    double d27 = summaryStatisticsImpl0.getStandardDeviation();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d10 == 10000.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long17 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long18 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long22 == 1L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic24);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d25, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d26, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d27, Double.NaN, 0);

  }

  @Test
  public void test212() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test212"); }


    double d4 = org.apache.commons.math.special.Gamma.regularizedGammaP(0.9268376669881198d, 0.0d, 0.0d, 100);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d4 == 0.0d);

  }

  @Test
  public void test213() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test213"); }


    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl1 = new org.apache.commons.math.distribution.TDistributionImpl(10.0d);
    tDistributionImpl1.setDegreesOfFreedom(0.5012447816130978d);
    double d5 = tDistributionImpl1.cumulativeProbability(356.0733251097851d);
    tDistributionImpl1.setDegreesOfFreedom(0.6885706567198597d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d5 == 0.9831342539557272d);

  }

  @Test
  public void test214() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test214"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = new org.apache.commons.math.stat.descriptive.SummaryStatistics();
    java.lang.String str1 = summaryStatistics0.toString();
    double d2 = summaryStatistics0.getMax();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic3 = summaryStatistics0.getSumLogImpl();
    java.lang.String str4 = summaryStatistics0.toString();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str1 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str1.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d2, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic3);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str4 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str4.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));

  }

  @Test
  public void test215() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test215"); }


    org.apache.commons.math.ConvergenceException convergenceException4 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str5 = convergenceException4.toString();
    org.apache.commons.math.MathException mathException6 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException4);
    org.apache.commons.math.MathException mathException8 = new org.apache.commons.math.MathException("");
    convergenceException4.addSuppressed((java.lang.Throwable)mathException8);
    org.apache.commons.math.MathException mathException10 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException4);
    java.lang.Throwable[] throwable_array11 = convergenceException4.getSuppressed();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException((-1), "org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", (java.lang.Object[])throwable_array11);
    java.lang.String str13 = maxIterationsExceededException12.toString();
    java.lang.Throwable[] throwable_array14 = maxIterationsExceededException12.getSuppressed();
    org.apache.commons.math.MathException mathException15 = new org.apache.commons.math.MathException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: 0.5\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Object[])throwable_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str5 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str5.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array11);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str13 + "' != '" + "org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"+ "'", str13.equals("org.apache.commons.math.MaxIterationsExceededException: org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(throwable_array14);

  }

  @Test
  public void test216() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test216"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long1 = summaryStatisticsImpl0.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment2 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d3 = firstMoment2.getResult();
    summaryStatisticsImpl0.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment2);
    double d5 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment6 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance7 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment6);
    variance7.clear();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance7);
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic10 = summaryStatisticsImpl0.getGeoMeanImpl();
    double d11 = summaryStatisticsImpl0.getStandardDeviation();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary12 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl13 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic14 = summaryStatisticsImpl13.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary15 = summaryStatisticsImpl13.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares16 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl13.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    sumOfSquares16.increment((-1.0d));
    sumOfSquares16.clear();
    summaryStatisticsImpl0.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares16);
    double d22 = summaryStatisticsImpl0.getStandardDeviation();
    summaryStatisticsImpl0.addValue(0.999619794070516d);
    double d25 = summaryStatisticsImpl0.getMean();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary26 = summaryStatisticsImpl0.getSummary();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long1 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d3, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d5, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d11, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary12);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary15);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d22, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d25 == 0.999619794070516d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary26);

  }

  @Test
  public void test217() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test217"); }


    org.apache.commons.math.stat.descriptive.SummaryStatistics summaryStatistics0 = org.apache.commons.math.stat.descriptive.SummaryStatistics.newInstance();
    boolean b2 = summaryStatistics0.equals((java.lang.Object)10);
    org.apache.commons.math.stat.descriptive.summary.SumOfLogs sumOfLogs3 = new org.apache.commons.math.stat.descriptive.summary.SumOfLogs();
    long long4 = sumOfLogs3.getN();
    summaryStatistics0.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfLogs3);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl6 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long7 = summaryStatisticsImpl6.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment8 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d9 = firstMoment8.getResult();
    summaryStatisticsImpl6.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment8);
    boolean b11 = sumOfLogs3.equals((java.lang.Object)summaryStatisticsImpl6);
    java.lang.String str12 = summaryStatisticsImpl6.toString();
    double d13 = summaryStatisticsImpl6.getSum();
    double d14 = summaryStatisticsImpl6.getMin();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(summaryStatistics0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b2 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long4 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long7 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d9, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(b11 == false);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str12 + "' != '" + "SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"+ "'", str12.equals("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d13, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d14, Double.NaN, 0);

  }

  @Test
  public void test218() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test218"); }


    java.lang.Object[] obj_array10 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException11 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException12 = new org.apache.commons.math.MaxIterationsExceededException(10, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array10);
    org.apache.commons.math.ConvergenceException convergenceException13 = new org.apache.commons.math.ConvergenceException("SummaryStatistics:\nn: 0\nmin: NaN\nmax: NaN\nmean: NaN\ngeometric mean: NaN\nvariance: NaN\nsum of squares: NaN\nstandard deviation: NaN\n", (java.lang.Throwable)maxIterationsExceededException12);
    java.lang.Object[] obj_array14 = maxIterationsExceededException12.getArguments();
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException15 = new org.apache.commons.math.MaxIterationsExceededException((-1), "", obj_array14);
    java.lang.Object[] obj_array18 = new java.lang.Object[] { 0.0d };
    org.apache.commons.math.ConvergenceException convergenceException20 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str21 = convergenceException20.toString();
    org.apache.commons.math.MathException mathException22 = new org.apache.commons.math.MathException("", (java.lang.Throwable)convergenceException20);
    org.apache.commons.math.MathException mathException23 = new org.apache.commons.math.MathException("", obj_array18, (java.lang.Throwable)mathException22);
    org.apache.commons.math.ConvergenceException convergenceException24 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MathException: Maximal number of iterations (1) exceeded", obj_array14, (java.lang.Throwable)mathException23);
    org.apache.commons.math.ConvergenceException convergenceException26 = new org.apache.commons.math.ConvergenceException();
    java.lang.String str27 = convergenceException26.toString();
    java.lang.Object[] obj_array31 = new java.lang.Object[] { (short)10 };
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException32 = new org.apache.commons.math.MaxIterationsExceededException(0, "org.apache.commons.math.ConvergenceException: Convergence failed", obj_array31);
    convergenceException26.addSuppressed((java.lang.Throwable)maxIterationsExceededException32);
    org.apache.commons.math.MathException mathException34 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: hi!", (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.MathException mathException35 = new org.apache.commons.math.MathException("org.apache.commons.math.ConvergenceException: ", obj_array14, (java.lang.Throwable)convergenceException26);
    org.apache.commons.math.MathException mathException36 = new org.apache.commons.math.MathException((java.lang.Throwable)convergenceException26);
    java.lang.Object[] obj_array40 = null;
    org.apache.commons.math.MaxIterationsExceededException maxIterationsExceededException41 = new org.apache.commons.math.MaxIterationsExceededException(1, "org.apache.commons.math.MaxIterationsExceededException: ", obj_array40);
    int i42 = maxIterationsExceededException41.getMaxIterations();
    org.apache.commons.math.ConvergenceException convergenceException43 = new org.apache.commons.math.ConvergenceException("org.apache.commons.math.MaxIterationsExceededException: Maximal number of iterations (1) exceeded", (java.lang.Throwable)maxIterationsExceededException41);
    org.apache.commons.math.MathException mathException44 = new org.apache.commons.math.MathException((java.lang.Throwable)maxIterationsExceededException41);
    convergenceException26.addSuppressed((java.lang.Throwable)mathException44);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array10);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array14);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array18);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str21 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str21.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue("'" + str27 + "' != '" + "org.apache.commons.math.ConvergenceException: Convergence failed"+ "'", str27.equals("org.apache.commons.math.ConvergenceException: Convergence failed"));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(obj_array31);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(i42 == 1);

  }

  @Test
  public void test219() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test219"); }


    org.apache.commons.math.stat.inference.TTestImpl tTestImpl4 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl6 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl7 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    tTestImpl4.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl6);
    org.apache.commons.math.distribution.TDistributionImpl tDistributionImpl10 = new org.apache.commons.math.distribution.TDistributionImpl(100.0d);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl11 = new org.apache.commons.math.stat.inference.TTestImpl((org.apache.commons.math.distribution.TDistribution)tDistributionImpl10);
    double d13 = tDistributionImpl10.cumulativeProbability(0.5d);
    tTestImpl4.setDistribution((org.apache.commons.math.distribution.TDistribution)tDistributionImpl10);
    org.apache.commons.math.stat.descriptive.summary.Sum sum16 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl17 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array21 = new double[] { 1.0d, 0.0d };
    double d22 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array21);
    double[] d_array26 = new double[] { 1.0d, 0.0d };
    double d27 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array26);
    double d28 = tTestImpl17.pairedT(d_array21, d_array26);
    sum16.incrementAll(d_array26);
    double d30 = tTestImpl4.tTest(10.0d, d_array26);
    double d31 = org.apache.commons.math.stat.inference.TestUtils.tTest(0.0d, d_array26);
    double d32 = org.apache.commons.math.stat.inference.TestUtils.t(0.7235837309238407d, d_array26);
    double d33 = org.apache.commons.math.stat.inference.TestUtils.t(0.999999999999987d, d_array26);
    // The following exception was thrown during execution in test generation
    try {
      boolean b35 = org.apache.commons.math.stat.inference.TestUtils.tTest(2.0299524618644174E-95d, d_array26, 0.999619794070516d);
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d13 == 0.6909132170845432d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array21);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d22 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array26);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d27 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d28, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.03347541671314813d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d31 == 0.49999999999999933d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d32 == (-0.4471674618476813d));
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d33 == (-0.999999999999974d));

  }

  @Test
  public void test220() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test220"); }


    org.apache.commons.math.stat.descriptive.rank.Min min0 = new org.apache.commons.math.stat.descriptive.rank.Min();
    min0.clear();
    min0.increment(Double.NaN);
    min0.increment((-1.2110363580874859d));
    min0.increment(0.49999999999999933d);
    long long8 = min0.getN();
    min0.increment(0.999999999999987d);
    min0.increment(0.9270131318881731d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long8 == 3L);

  }

  @Test
  public void test221() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test221"); }


    org.apache.commons.math.stat.descriptive.moment.Variance variance1 = new org.apache.commons.math.stat.descriptive.moment.Variance(true);
    variance1.setBiasCorrected(false);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl4 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long5 = summaryStatisticsImpl4.getN();
    org.apache.commons.math.stat.descriptive.moment.FirstMoment firstMoment6 = new org.apache.commons.math.stat.descriptive.moment.FirstMoment();
    double d7 = firstMoment6.getResult();
    summaryStatisticsImpl4.setMaxImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)firstMoment6);
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary9 = summaryStatisticsImpl4.getSummary();
    double d10 = summaryStatisticsImpl4.getMean();
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance();
    summaryStatisticsImpl4.setVarianceImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)variance11);
    double[] d_array13 = new double[] {  };
    double d15 = variance11.evaluate(d_array13, 100.0d);
    double d16 = variance1.evaluate(d_array13);
    variance1.setBiasCorrected(true);
    long long19 = variance1.getN();
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long5 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d7, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary9);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d10, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array13);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d15, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d16, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long19 == 0L);

  }

  @Test
  public void test222() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test222"); }


    java.lang.Throwable throwable1 = null;
    org.apache.commons.math.ConvergenceException convergenceException2 = new org.apache.commons.math.ConvergenceException("Maximal number of iterations ({0}) exceeded", throwable1);

  }

  @Test
  public void test223() throws Throwable {

    if (debug) { System.out.format("%n%s%n","RegressionTest7.test223"); }


    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl0 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic storelessUnivariateStatistic1 = summaryStatisticsImpl0.getGeoMeanImpl();
    org.apache.commons.math.stat.descriptive.StatisticalSummary statisticalSummary2 = summaryStatisticsImpl0.getSummary();
    org.apache.commons.math.stat.descriptive.summary.SumOfSquares sumOfSquares3 = new org.apache.commons.math.stat.descriptive.summary.SumOfSquares();
    summaryStatisticsImpl0.setSumsqImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sumOfSquares3);
    sumOfSquares3.clear();
    double d6 = sumOfSquares3.getResult();
    sumOfSquares3.increment(0.8835072327229082d);
    org.apache.commons.math.stat.descriptive.moment.SecondMoment secondMoment9 = new org.apache.commons.math.stat.descriptive.moment.SecondMoment();
    org.apache.commons.math.stat.descriptive.moment.Variance variance10 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.moment.Variance variance11 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    secondMoment9.increment(0.9984150981000139d);
    secondMoment9.increment(10000.0d);
    org.apache.commons.math.stat.descriptive.moment.Variance variance16 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    secondMoment9.clear();
    org.apache.commons.math.stat.descriptive.moment.Variance variance18 = new org.apache.commons.math.stat.descriptive.moment.Variance(secondMoment9);
    org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl summaryStatisticsImpl19 = new org.apache.commons.math.stat.descriptive.SummaryStatisticsImpl();
    long long20 = summaryStatisticsImpl19.getN();
    org.apache.commons.math.stat.descriptive.summary.Sum sum21 = new org.apache.commons.math.stat.descriptive.summary.Sum();
    summaryStatisticsImpl19.setGeoMeanImpl((org.apache.commons.math.stat.descriptive.StorelessUnivariateStatistic)sum21);
    sum21.clear();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl24 = new org.apache.commons.math.stat.inference.TTestImpl();
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl25 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array29 = new double[] { 1.0d, 0.0d };
    double d30 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array29);
    double[] d_array34 = new double[] { 1.0d, 0.0d };
    double d35 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array34);
    double d36 = tTestImpl25.pairedT(d_array29, d_array34);
    double[] d_array40 = new double[] { 1.0d, 0.0d };
    double d41 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array40);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl42 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array46 = new double[] { 1.0d, 0.0d };
    double d47 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array46);
    double[] d_array51 = new double[] { 1.0d, 0.0d };
    double d52 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array51);
    double d53 = tTestImpl42.pairedT(d_array46, d_array51);
    double d54 = tTestImpl25.t(d_array40, d_array51);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl55 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array59 = new double[] { 1.0d, 0.0d };
    double d60 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array59);
    double[] d_array64 = new double[] { 1.0d, 0.0d };
    double d65 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array64);
    double d66 = tTestImpl55.pairedT(d_array59, d_array64);
    double[] d_array70 = new double[] { 1.0d, 0.0d };
    double d71 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array70);
    org.apache.commons.math.stat.inference.TTestImpl tTestImpl72 = new org.apache.commons.math.stat.inference.TTestImpl();
    double[] d_array76 = new double[] { 1.0d, 0.0d };
    double d77 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array76);
    double[] d_array81 = new double[] { 1.0d, 0.0d };
    double d82 = org.apache.commons.math.stat.inference.TestUtils.tTest(100.0d, d_array81);
    double d83 = tTestImpl72.pairedT(d_array76, d_array81);
    double d84 = tTestImpl55.t(d_array70, d_array81);
    double d85 = tTestImpl24.tTest(d_array40, d_array81);
    sum21.incrementAll(d_array81);
    secondMoment9.incrementAll(d_array81);
    // The following exception was thrown during execution in test generation
    try {
      double d90 = sumOfSquares3.evaluate(d_array81, 10, (-1));
      org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException");
    } catch (java.lang.IllegalArgumentException e) {
      // Expected exception.
      if (! e.getClass().getCanonicalName().equals("java.lang.IllegalArgumentException")) {
        org.junit.Assert.fail("Expected exception of type java.lang.IllegalArgumentException, got " + e.getClass().getCanonicalName());
      }
    }
    
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(storelessUnivariateStatistic1);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(statisticalSummary2);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d6, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(long20 == 0L);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array29);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d30 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array34);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d35 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d36, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array40);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d41 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array46);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d47 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array51);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d52 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d53, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d54 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array59);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d60 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array64);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d65 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d66, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array70);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d71 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array76);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d77 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertNotNull(d_array81);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d82 == 0.003199067406189915d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertEquals((double)d83, Double.NaN, 0);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d84 == 0.0d);
    
    // Regression assertion (captures the current behavior of the code)
    org.junit.Assert.assertTrue(d85 == 1.0d);

  }

}
